#
# spec file for package yast2 (Version 2.13.111)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpg gpm grep groff gzip hal info insserv klogd less libacl libattr libcom_err libgcc libgssapi libicu libidn libmudflap libnscd libstdc++ libtool libusb libxcrypt libxml2 liby2util libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim yast2-core yast2-devtools yast2-pkg-bindings yast2-testsuite zlib zlib-devel


Name:           yast2
Version:        2.13.111
Release:        2.2
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-2.13.111.tar.bz2
Prefix:         /usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2-devtools yast2-pkg-bindings yast2-testsuite pkg-config
# any-agent .etc.fstab: Omit
Requires:       yast2-core >= 2.13.43
# Pkg::CallbackAcceptNonTrustedGpgKey()
Requires:       yast2-pkg-bindings >= 2.13.111
Requires:       yast2_ui yast2_theme
# For Cron Agent, Module
Requires:       perl-Config-Crontab
# for ag_tty (/bin/stty)
Requires:       coreutils
Requires:       yast2-xml yast2-hardware-detection
Requires:       SuSEfirewall2
# moved cfg_security.scr
Conflicts:      yast2-security <= 2.13.2
# moved ag_netd, cfg_netd.scr, cfg_xinetd.scr
Conflicts:      yast2-inetd <= 2.13.4
Provides:       yast2-lib-sequencer
Obsoletes:      yast2-lib-sequencer
Provides:       yast2-lib-wizard yast2-lib-wizard-devel yast2-trans-wizard
Obsoletes:      yast2-lib-wizard yast2-lib-wizard-devel yast2-trans-wizard
Provides:       yast2-trans-menu y2t_menu
Obsoletes:      yast2-trans-menu y2t_menu
Summary:        YaST2 - Main Package

%description
This package contains scripts and data needed for SuSE Linux
installation with YaST2



Authors:
--------
    Michael Andres <ma@suse.de>
    Waldo Bastian <bastian@suse.de>
    Michael Hager <mike@suse.de>
    Stefan Hundhammer <sh@suse.de>
    Klaus Kaempf <kkaempf@suse.de>
    Mathias Kettner <kettner@suse.de>
    Thomas Roelz <tom@suse.de>
    Arvin Schnell <arvin@suse.de>
    Stefan Schubert <schubi@suse.de>
    Andreas Schwab <schwab@suse.de>
    Steffen Winterfeldt <snwint@suse.de>
    Martin Vidner <mvidner@suse.cz>
    Jiri Srain <jsrain@suse.cz>
    Lukas Ocilka <locilka@suse.cz>
    Stanislav Visnovsky <visnov@suse.cz>
    Jiri Suchomel <jsuchome@suse.cz>
    Ladislav Slezak <lslezak@suse.cz>

%debug_package
%package devel
License:        GPL v2 or later
Requires:       yast2 = %version
Group:          System/YaST
Provides:       yast2-lib-sequencer-devel
Obsoletes:      yast2-lib-sequencer-devel
Requires:       yast2-core-devel
Summary:        YaST2 - Development Scripts and Documentation

%description devel
This package contains scripts and data needed for a SuSE Linux
installation with YaST2



Authors:
--------
    Michael Andres <ma@suse.de>
    Waldo Bastian <bastian@suse.de>
    Michael Hager <mike@suse.de>
    Stefan Hundhammer <sh@suse.de>
    Klaus Kaempf <kkaempf@suse.de>
    Mathias Kettner <kettner@suse.de>
    Thomas Roelz <tom@suse.de>
    Arvin Schnell <arvin@suse.de>
    Stefan Schubert <schubi@suse.de>
    Andreas Schwab <schwab@suse.de>
    Steffen Winterfeldt <snwint@suse.de>

%prep
%setup -n yast2-2.13.111

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
for f in `find $RPM_BUILD_ROOT/usr/share/applications/YaST2/groups/*.desktop` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
mkdir -p "$RPM_BUILD_ROOT"/usr/share/YaST2/clients
mkdir -p "$RPM_BUILD_ROOT"%{prefix}/share/applications/YaST2
mkdir -p "$RPM_BUILD_ROOT"/usr/share/YaST2/images
mkdir -p "$RPM_BUILD_ROOT"/usr/share/YaST2/locale
mkdir -p "$RPM_BUILD_ROOT"/usr/share/YaST2/modules
mkdir -p "$RPM_BUILD_ROOT"/usr/share/YaST2/scrconf
mkdir -p "$RPM_BUILD_ROOT"%{prefix}/lib/YaST2/bin
mkdir -p "$RPM_BUILD_ROOT"/usr/share/YaST2/data
mkdir -p "$RPM_BUILD_ROOT"/usr/share/YaST2/include
mkdir -p "$RPM_BUILD_ROOT"/var/lib/YaST2
mkdir -p "$RPM_BUILD_ROOT"/usr/share/YaST2/schema/control/rnc
mkdir -p "$RPM_BUILD_ROOT"/usr/share/YaST2/schema/autoyast/rnc
mkdir -p "$RPM_BUILD_ROOT"/etc/YaST2

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
# basic directory structure
%dir /usr/share/YaST2/clients
%dir %{prefix}/share/applications/YaST2
%{prefix}/share/applications/YaST2/groups
%dir /usr/share/YaST2/images
%dir /usr/share/YaST2/locale
%dir /usr/share/YaST2/modules
%dir /usr/share/YaST2/scrconf
%dir %{prefix}/lib/YaST2/bin
%dir /usr/share/YaST2/data
%dir /usr/share/YaST2/include
%dir /var/lib/YaST2
%dir /usr/share/YaST2/schema
%dir /usr/share/YaST2/schema/control
%dir /usr/share/YaST2/schema/control/rnc
%dir /usr/share/YaST2/schema/autoyast
%dir /usr/share/YaST2/schema/autoyast/rnc
%dir /etc/YaST2
# yast2
/usr/share/YaST2/clients/*
/usr/share/YaST2/modules/*
/usr/share/YaST2/scrconf/*
%{prefix}/lib/YaST2/bin/*
/usr/lib/YaST2/servers_non_y2/ag_*
/etc/bash_completion.d/yast2*.sh
/etc/YaST2/XVersion
# documentation (not included in devel subpackage)
%doc %dir %{prefix}/share/doc/packages/yast2
%doc %{prefix}/share/doc/packages/yast2/*.*
%doc %{prefix}/share/doc/packages/yast2/COPYING
%doc %{prefix}/share/doc/packages/yast2/README
%doc %{_mandir}/*/*
/sbin/*
# wizard
%dir /usr/share/YaST2/include/wizard
/usr/share/YaST2/include/wizard/*.ycp
#packags
%dir /usr/share/YaST2/include/packages
/usr/share/YaST2/include/packages/*.ycp
# documentation

%files devel
%defattr(-,root,root)
%doc %{prefix}/share/doc/packages/yast2/autodocs
%doc %{prefix}/share/doc/packages/yast2/commandline
%doc %{prefix}/share/doc/packages/yast2/cron
%doc %{prefix}/share/doc/packages/yast2/cwm
%doc %{prefix}/share/doc/packages/yast2/desktop
%doc %{prefix}/share/doc/packages/yast2/gpg
%doc %{prefix}/share/doc/packages/yast2/log
%doc %{prefix}/share/doc/packages/yast2/network
%doc %{prefix}/share/doc/packages/yast2/packages
%doc %{prefix}/share/doc/packages/yast2/runlevel
%doc %{prefix}/share/doc/packages/yast2/sequencer
%doc %{prefix}/share/doc/packages/yast2/system
%doc %{prefix}/share/doc/packages/yast2/types
%doc %{prefix}/share/doc/packages/yast2/wizard

%changelog
* Mon Apr 07 2008 - mvidner@suse.cz
- nfs-client: do not truncate /etc/fstab starting at lines with
  leading or trailing whitespace (bnc#351648).
- 2.13.111
* Fri Apr 04 2008 - locilka@suse.cz
- Function AddXenSupport doesn't change FW_FORWARD_ALWAYS_INOUT_DEV
  anymore. The whole functionality is handled by SuSEfirewall2
  itself (bnc #375482).
- 2.13.110
* Wed Apr 02 2008 - locilka@suse.cz
- Changing Xen helper string in FW_FORWARD_ALWAYS_INOUT_DEV from
  'xenbr+' to 'eth+' (bnc #375482).
- 2.13.109
* Wed Mar 12 2008 - locilka@suse.cz
- Fixed ProductControl to evaluate `accept and `ok as if it was
  `next (bnc #369846).
- 2.13.108
* Tue Jan 15 2008 - jsrain@suse.cz
- merged texts from proofread
- 2.13.107
* Sun Dec 09 2007 - mzugec@suse.cz
- added br (bridge) into device types list
* Sat Dec 08 2007 - mzugec@suse.cz
- added vlan into device types list
* Fri Nov 30 2007 - mzugec@suse.cz
- added function NetworkService::isNetworkRunning()
- 2.13.106
* Thu Nov 29 2007 - mzugec@suse.cz
- for AY Confirm::Detection popup has timeout 10 seconds (#192181)
- 2.13.105
* Thu Oct 25 2007 - locilka@suse.cz
- Evaluate also textdomain of a merged control file when searching
  for translated text (#271608).
* Wed Apr 11 2007 - lslezak@suse.cz
- properly detect PV/FV Xen machine (#255217)
- 2.13.104
* Mon Apr 02 2007 - jsuchome@suse.cz
- fixed restarting after Patch CD update (#259825)
- 2.13.103
* Wed Mar 14 2007 - locilka@suse.cz
- Added "isns-server" definition into SuSEFirewallServices module
  (#253826).
- 2.13.102
* Fri Mar 09 2007 - locilka@suse.cz
- Changing 'xenbr0' in SuSEfirewall2's FW_FORWARD_ALWAYS_INOUT_DEV
  to 'xenbr+' to match all XEN bridges. XEN bridge name is newly
  dependent on network interface number (#233934).
- 2.13.101
* Fri Mar 02 2007 - lslezak@suse.cz
- don't ignore the extra kernel packages, include them in the
  list of computed packages (#241564)
- 2.13.100
* Thu Mar 01 2007 - lslezak@suse.cz
- install Xen paravirtual drivers (xen-kmp-* package) if running in
  a fully virtualized guest (#241564)
- 2.13.99
* Wed Feb 28 2007 - lslezak@suse.cz
- ProductControl::Run() - return `abort also in the firstboot
  stage (#247552)
- 2.13.98
* Mon Feb 26 2007 - mvidner@suse.cz
- Documented the command line interface in yast2.8 (jfriedl).
* Fri Feb 16 2007 - lslezak@suse.cz
- added String::FormatFilename() and URL::FormatUrl() - functions
  for removing the middle part of an URL/file name (#221163)
- 2.13.97
* Wed Feb 14 2007 - aosthof@suse.de
- Fixed ComputePackage() in library/system/src/Kernel.ycp to be
  able to check provided kernel packages in installed system
* Mon Feb 12 2007 - lslezak@suse.cz
- register TrustGpgKey() callback handler (#242087, #240771)
- 2.13.96
* Fri Feb 09 2007 - locilka@suse.cz
- Using SCR::UnregisterAgent() instead of SCR::UnmountAgent in
  SetDesktopIcon() in Wizard.ycp (#244046).
* Thu Feb 08 2007 - kmachalkova@suse.cz
- Use UI::RunInTerminal in menu.ycp for text-mode only. In all other
  cases run appropriate module in Qt(Gtk)
- 2.13.95
* Mon Jan 29 2007 - mzugec@suse.de
- #238246 - Internet connection test fails on s390
- 2.13.94
* Mon Jan 22 2007 - mzugec@suse.cz
- #237353 - use cache to avoid multiple confirmations for the same purpose
- 2.13.93
* Fri Jan 19 2007 - jsuchome@suse.cz
- added new API to Popup: MessageDetails, WarningDetails, ErrorDetails,
  NotifyDetails (popup with text and Details button for extra info)
- 2.13.92
* Thu Jan 18 2007 - kmachalkova@suse.cz
- Avoid displaying empty strings in NetworkPopup (#220813, #223498)
* Tue Jan 16 2007 - jsrain@suse.cz
- added support for starting GNOME control center (fate #301082)
- 2.13.91
* Tue Jan 09 2007 - mzugec@suse.cz
- add bond device
* Mon Jan 08 2007 - locilka@suse.cz
- Fixed handling Y2_GEOMETRY="-geometry XxY[+OffsX+OffsY]" and
  "--geometry XxY[+OffsX+OffsY]" in /sbin/yast2 call (#232568).
* Fri Jan 05 2007 - lslezak@suse.cz
- gpg library: fixed export of a key, export key in ASCII or
  binary format, added passphrase widget/popup, API documentation,
  example code
- 2.13.90
* Thu Jan 04 2007 - locilka@suse.cz
- Changed y2error() to y2warning() when using default value is
  Misc::SysconfigRead() (#231744).
* Thu Dec 21 2006 - lslezak@suse.cz
- added a gpg library - a wrapper for gpg binary (GPG.ycp),
  CWM widgets (GPGWidgets.ycp)  (initial version)
* Wed Dec 06 2006 - kmachalkova@suse.cz
- Adapt ncurses menu.ycp for running yast modules as separate
  processes (#148683, #221254, #222547)
- Do not change LANG and LC_CTYPE when stdin does not support
  utf8 (testutf8 returns 0) (partly #179989)
- 2.13.89
* Tue Nov 28 2006 - jsrain@suse.cz
- fixed board detection on PPC (#223872)
* Tue Nov 14 2006 - kmachalkova@suse.cz
- Better selection of fastest available network device (checking
  for cable connection and status for NICs) (#214897)
- 2.13.88
* Mon Nov 13 2006 - locilka@suse.cz
- Calling /sbin/SuSEfirewall2 (start|stop) instead of
  Service::Start()/Service::Stop() for SuSEfirewall2_(init && setup)
  (#215416).
* Mon Nov 06 2006 - mzugec@suse.cz
- #177560 - fixed corrupting sysconfig files after setting locale to et_EE
- set value to boolean if contains "yes" or "no" in /etc/sysconfig/network/dhcp
- 2.13.87
* Fri Nov 03 2006 - locilka@suse.cz
- Fixed handling of missign SuSE-release files (partly #217013).
* Mon Oct 30 2006 - locilka@suse.cz
- Stopping/Starting and/or Enabling/Disabling all SuSEfirewall2
  services even if one of them fails. Partly preventing from not
  writing the new status of services (bugzilla #215416).
- More debugging messages in ProductControl module. Logging return
  values.
- Restarting firewall in SuSEFirewall::ActivateConfiguration() even
  if the configuration is not changed but there are some RPC
  services in the configuration (bugzilla #186186).
- 2.13.86
* Tue Oct 24 2006 - lslezak@suse.cz
- fixed script callback registration
* Wed Oct 18 2006 - locilka@suse.cz
- Returning `abort from ProductControl::Run in case of Abort button
  pressed during the second stage installation (FATE #300422).
- 2.13.85
* Tue Oct 17 2006 - kmachalkova@suse.cz
- NetworkDevices: return device type (e.g. netcard, modem,..) in
  human readable form
- NetworkPopup: display more information (besides device id also
  type, name and IP address)
- Moved NetworkPopup.ycp from library/wizard to library/network
- 2.13.84
* Mon Oct 16 2006 - lslezak@suse.cz
- register script callbacks (feature #100233)
- 2.13.83
* Mon Oct 02 2006 - jsrain@suse.cz
- merged texts from proofread
* Wed Sep 27 2006 - jsrain@suse.cz
- removed 10.2 patches (conditinally applied)
- 2.13.82
* Mon Sep 18 2006 - lslezak@suse.cz
- use the new source callbacks (feature #1466),
  require yast2-pkg-bindigs >= 2.13.95
- 2.13.81
* Fri Sep 15 2006 - mvidner@suse.cz
- Refactored Progress.ycp (but reverted the interface change).
- 2.13.80
* Wed Aug 30 2006 - sh@suse.de
- Added output of "rpm -qa" to save_y2logs
  upon request at all-hands meeting 2006-08-29
- 2.13.79
* Wed Aug 30 2006 - locilka@suse.cz
- DnsServerPunycode module moved from yast2-dns-server to yast2
  as Punycode module.
- 2.13.78
* Wed Aug 23 2006 - jsrain@suse.cz
- added release-specific Xvnc parameters
- 2.13.77
* Wed Aug 23 2006 - jsrain@suse.cz
- kernel-smp package is dropped for 10.2
- simplified kernel package detection for PPC for 10.2 (#195049)
- 2.13.76
* Tue Aug 22 2006 - mvidner@suse.cz
- CWM::ShowAndRun: documented disable_buttons.
* Thu Aug 17 2006 - jsrain@suse.cz
- initialize patch/delta RPM callbacks
- 2.13.75
* Thu Aug 10 2006 - locilka@suse.cz
- Moved (x)inetd agent from yast2-inetd to yast2
- 2.13.74
* Wed Aug 09 2006 - jsrain@suse.cz
- fixed recognizing pegasos, cell and maple boot requirements (PPC)
  (#192957)
* Wed Aug 09 2006 - kmachalkova@suse.cz
- Added new Address::CheckMAC() and Address::ValidMAC() functions.
- 2.13.73
* Mon Aug 07 2006 - locilka@suse.cz
- Added new IP::IPv4ToBits() and IP::BitsToIPv4() functions.
* Fri Aug 04 2006 - jsrain@suse.cz
- added mode X-version-specific paths
- 2.13.72
* Thu Aug 03 2006 - mvidner@suse.cz
- Start-up speed-up: don't read all desktop files to find our icon.
  Thanks to Michael Meeks for profiling.
- 2.13.71
* Wed Aug 02 2006 - jsrain@suse.cz
- Added more X-version-specific paths
- 2.13.70
* Wed Aug 02 2006 - locilka@suse.cz
- Added new module SuSEFirewallExpertRules managing expert ACCEPT
  rules of SuSEfirewall2.
- Port-ranges-related functionality in SuSEFirewall module moved
  to new module PortRanges.
* Tue Aug 01 2006 - jsrain@suse.cz
- Added module and data file specifying X11 paths
* Wed Jul 26 2006 - locilka@suse.cz
- Added new FileUtils::CheckAndCreatePath function that checks the
  current system for path existency and offers its creation if it
  doesn't exist.
- 2.13.69
* Tue Jul 25 2006 - jsrain@suse.cz
- fixed error popup if log of mkinitrd could not be run (#156762)
- prevent from crash in DialogTree.ycp (#191237)
* Mon Jul 24 2006 - locilka@suse.cz
- Fixed handling of multiline entries in the SuSEfirewall2
  sysconfig file. Newline characters were removed when joining
  multiline entries together. By now, .sysconfig.SuSEfirewall2
  returns values as it reads them, newlines are replaced with
  spaces in SuSEFirewall::Read() (#194419).
* Tue Jul 18 2006 - jsrain@suse.cz
- fixed handling of translated strings in control file (eg.
  congratulate string)
- 2.13.68
* Tue Jul 18 2006 - locilka@suse.cz
- Fixed proposal to reflect the current status better. Network
  interfaces might be assigned to the zone with 'any' in 'EXT'.
  If there are no network interfaces but SSH port is open, proposal
  informs about it (#154401).
- If there are only dial-up interfaces, SSH port can be also
  enabled and correctly informs about the current state.
* Sun Jul 16 2006 - olh@suse.de
- introduce a Linuxrc::display_ip and use it instead of Arch::s390
- 2.13.67
* Fri Jul 14 2006 - locilka@suse.cz
- Added better checking for wrong port-ranges. Invalid ones are
  stored in the configuration but ignored for firewall functions,
  such as joining port ranges.
- Joining ranges is possible only for TCP and UDP because other
  protocols don't support port ranges.
- Removing notes about NetworkManager from the SuSEFirewall
  documentation because it isn't needed to mention it there.
- 2.13.66
* Sun Jun 25 2006 - locilka@suse.cz
- Adding special Xen interface "xenbr0" into the
  FW_FORWARD_ALWAYS_INOUT_DEV variable in the Network Proposal in
  case of "kernel-xenpae" package installed (#154133) (Similar to
  change in 2.13.43).
- 2.13.65
* Tue Jun 13 2006 - jsrain@suse.cz
- fixed encoding/decoding query part of URL (#179913)
- 2.13.64
* Mon Jun 12 2006 - mvidner@suse.cz
- Moved cfg_security.scr from yast2-security.rpm to yast2.rpm
- Do not sit in a networked directory when reconfiguring network
  (#61055, reapplied lost fix).
- 2.13.63
* Mon Jun 12 2006 - locilka@suse.cz
- Do not register Signature Callbacks in case of AutoInst (#183821)
- 2.13.62
* Fri Jun 02 2006 - jsrain@suse.cz
- Marked global API of following modules as stable:
  ProductFeatures, WizardHW
- 2.13.61
* Thu Jun 01 2006 - locilka@suse.cz
- Global API or parts of these modules were marked as Stable:
  Address, Arch, Confirm, Crash, FileUtils, Hostname, HTML,
  HWConfig, IP, Label, Map, Message, Mode, Netmask, Package,
  PackageAI, PackageSystem, Popup, Report, RichText, Sequencer,
  Service, Stage, TypeRepository, URL and Wizard
- Added some more documentation into the Wizard module
- Fixing documentation of global modules (for generated docu.)
- 2.13.60
* Thu May 18 2006 - locilka@suse.cz
- Fixing exporting the $QT_HOME_DIR according to $user's home
  directory (#162114).
- 2.13.59
* Mon May 15 2006 - locilka@suse.cz
- Fixed CWMFirewallInterfaces behavior in the basic view for all
  interfaces at once. When the status of the firewall checkbox is
  changed, the current configuration is checked and possible errors
  are reported to user (#158520 c17).
- 2.13.58
* Mon May 15 2006 - jsrain@suse.cz
- provide more information about restart of YaST during
  installation from ProductControl (#167561)
* Thu May 11 2006 - lslezak@suse.cz
- select kernel-xenpae package if Xen PAE kernel is running
  (#172978)
- 2.13.57
* Wed May 10 2006 - locilka@suse.cz
- Added more logging into the Service.ycp module (for bug #173418)
* Thu May 04 2006 - jsrain@suse.cz
- read texts from control file (#170881)
- 2.13.56
* Wed May 03 2006 - locilka@suse.cz
- Properly handle special string 'any' in 'EXT' zone in CWM for
  firewall. Creating special functions in SuSEFirewall module for
  that (#158520).
- 2.13.55
* Tue Apr 25 2006 - jsrain@suse.de
- properly parse FTP URL (#166248, many others)
- 2.13.54
* Tue Apr 25 2006 - visnov@suse.cz
- ensure importing trusted RPM keys before initializing sources (#169121)
- 2.13.53
* Fri Apr 21 2006 - jsrain@suse.de
- handle installation restart with repeating last step (#167561)
- 2.13.52
* Wed Apr 19 2006 - jsuchome@suse.cz
- menu.ycp: check for `restart_menu possible return value (#162966)
- scripts/yast2: enable restarting curses menu
- 2.13.51
* Tue Apr 18 2006 - jsuchome@suse.cz
- menu.ycp: better check if menu should exit after online-update
- 2.13.50
* Fri Apr 14 2006 - jsrain@suse.de
- fixed handling of disabling back button (#165832)
- 2.13.49
* Fri Apr 14 2006 - jsuchome@suse.cz
- restart online update if there are some selected patches left to
  installation (#165540)
- 2.13.48
* Tue Apr 11 2006 - locilka@suse.cz
- Registering callback Pkg::CallbackAcceptFileWithoutChecksum
- 2.13.47
* Sat Apr 08 2006 - jsrain@suse.de
- fixed content file parser (#163702)
- 2.13.46
* Wed Apr 05 2006 - locilka@suse.cz
- Registered new Pkg:: callbacks
  - Pkg::CallbackAcceptUnsignedFile
  - Pkg::CallbackAcceptUnknownGpgKey
  - Pkg::CallbackImportGpgKey
  - Pkg::CallbackAcceptVerificationFailed
  - Pkg::CallbackTrustedKeyAdded
  - Pkg::CallbackTrustedKeyRemoved
- 2.13.45
* Wed Apr 05 2006 - sh@suse.de
- V 2.13.44
- Fixed bug #116356: save_y2logs saves into a different directory
* Wed Apr 05 2006 - fehr@suse.de
- changed some very verbose debug output in AsciiFile.ycp
- 2.13.43
* Wed Apr 05 2006 - locilka@suse.cz
- Adding special Xen interface "xenbr0" into the
  FW_FORWARD_ALWAYS_INOUT_DEV variable in the Network Proposal in
  case of "kernel-xen" package installed (#154133).
* Wed Apr 05 2006 - mvidner@suse.cz
- Added CWM::DisableButtons (jsuchome, #157125).
* Wed Apr 05 2006 - locilka@suse.cz
- Fixed wrong handling of special 'any' string in the internal
  function ArePortsOrServicesAllowed(). This part was forgotten
  from the first implementation of NetworkManager support (#162512).
- Adding FW_FORWARD_ALWAYS_INOUT_DEV variable into the Read()
  function to prepare fix for Xen handling (#154133).
* Tue Apr 04 2006 - locilka@suse.cz
- Added mapping for Pkg::CallbackAcceptUnsignedFile() callback
  (#162858)
- 2.13.42
* Wed Mar 29 2006 - mvidner@suse.cz
- Added PackageLock, a module to handle the big Zypp lock (#160319).
- 2.13.41
* Mon Mar 27 2006 - locilka@suse.cz
- TERM=raw -> TERM=dumb in Service::RunInitScriptWithTimeOut()
* Wed Mar 22 2006 - locilka@suse.cz
- better testing of UTF-8 support using the testutf8 binary
  (#158001)
- 2.13.40
* Mon Mar 20 2006 - locilka@suse.cz
- removed yast2 starting script from /usr/lib/YaST2/bin/, leaving
  it only in /sbin/ (#144237).
- replacing relative paths in /sbin/yast2 with absolute ones.
- 2.13.39
* Wed Mar 15 2006 - jsrain@suse.de
- changed the name of kernel package on S/390 (#157605)
- 2.13.38
* Wed Mar 15 2006 - locilka@suse.cz
- checking for testutf8 binary before running it in /sbin/yast2
  starting script (#158001)
- 2.13.37
* Mon Mar 13 2006 - jsuchome@suse.cz
- fixed long buttons (#157420)
- 2.13.36
* Sat Mar 11 2006 - jsrain@suse.de
- store all installation options in /etc/YaST2/Productfeatures
  (#156388)
- 2.13.35
* Fri Mar 10 2006 - mvidner@suse.cz
- Start ncurses UI in non-threaded mode to enable spawning of
  interactive processes (like w3m for suseRegister, #150799).
- Added String::Random (#157107).
- 2.13.34
* Mon Feb 27 2006 - lslezak@suse.cz
- Arch::is_xen0() and Arch::is_xenU() (#153235)
- 2.13.33
* Thu Feb 23 2006 - mvidner@suse.cz
- ag_initscripts: no need to use absolute paths to awk and friends
  (#152840)
- 2.13.32
* Mon Feb 20 2006 - mvidner@suse.cz
- Added Arch::is_laptop as a better alternative to
  Arch::has_pcmcia (#151813).
- 2.13.31
* Thu Feb 16 2006 - olh@suse.de
- fix two typos in error path in Mode.ycp
* Tue Feb 14 2006 - jsrain@suse.de
- added possibility to disable individual proposals
- 2.13.30
* Tue Feb 14 2006 - olh@suse.de
- remove nubus support
* Mon Feb 13 2006 - lslezak@suse.cz
- don't try to install kernel-*-nongpl packages
- 2.13.29
* Mon Feb 13 2006 - locilka@suse.cz
- Killing the .background agent in the
  Service::RunInitScriptWithTimeOut function to prevent from
  undefined behavior when calling this function one by one
  without any sleep (#144891).
- Ignoring all 'skeleton' and 'skeleton.*' init scripts in the
  Rulevel editor since they are not a real init scripts.
* Mon Feb 13 2006 - locilka@suse.cz
- Removing obsolete support for NetworkManager which have changed
  its behavior again (#149075). Changing firewall, firewall
  proposal and CWM firewall.
- 2.13.28
* Thu Feb 09 2006 - locilka@suse.cz
- Added support for the iscsi-target (#149548) into the Firewall
  services
* Wed Feb 08 2006 - jsrain@suse.de
- added support for localization of workflows updated from add-on
  products
* Tue Feb 07 2006 - mvidner@suse.cz
- Use rcnetwork restart insted of rcnetwork start to handle the switch
  between ifup and NetworkManager (#148263).
- Use BuildRequires, but without openslp-devel, popt-devel.
- 2.13.27
* Thu Jan 26 2006 - locilka@suse.cz
- Added new function String::WrapAt() to ease wrapping texts in
  dialogs and pop-up windows.
  Useful particulary for translated strings with unknown length.
* Mon Jan 23 2006 - locilka@suse.cz
- Added new function NetworkService::ConfirmNetworkManager() to be
  called in the Read dialogs of services configuration. User has to
  confirm continuing the configuration when NetworkManager is
  enabled.
- Merged texts from proofreading.
- 2.13.26
* Mon Jan 23 2006 - mvidner@suse.cz
- Start the network using rcnetwork start, not rcnetwork status.
  Fixes the internet test (#144829).
- 2.13.25
* Sun Jan 15 2006 - mvidner@suse.cz
- NetworkService: use /etc/sysconfig/network/config:NETWORKMANAGER
  instead of rcnetworkmanager (#135595).
- 2.13.24
* Fri Jan 13 2006 - jsrain@suse.cz
- hide disabled steps from installation workflow
- 2.13.23
* Fri Jan 13 2006 - locilka@suse.cz
- Added missing function Progress::status()
  Returning whether progress 'is' on or 'off'
* Wed Jan 11 2006 - mvidner@suse.cz
- CWMTab::CleanUp: do not reset current_tab_id, the caller may want to
  remember it for revisiting the dialog (#134386).
- Added String::NonEmpty (stringlist) and NewlineItems (string).
- Added XML::XmlError () (ug).
- 2.13.22
* Wed Jan 11 2006 - jsrain@suse.cz
- added possibility to hide Edit button in Table/Popup
- 2.13.21
* Wed Jan 11 2006 - locilka@suse.cz
- Fixing bug #142502
  Firewall still reported 'closed' SSH port when the Network Manager
  was used.
  Added more debugging logs.
- 2.13.20
* Mon Jan 09 2006 - locilka@suse.cz
- Teaching SuSEFirewallProposal to work well with Network Manager
  enabled.
- 2.13.19
* Fri Jan 06 2006 - locilka@suse.cz
- Tuning SuSEFirewall known Services
  Adding "TCP: 427" and "Broadcast: 427" to the definition of
  SLP-daemon by the feature #117 "SLP configuration module"
* Thu Jan 05 2006 - mvidner@suse.cz
- CWM: implemented valid_chars property; added InitNull and StoreNull.
- CWM::Run: generate a fake event to allow a handler to enable/disable
  widgets before the first real UserInput takes place
- Dropped commandline.ycp, really now.
- 2.13.18
* Thu Jan 05 2006 - locilka@suse.cz
- Adjusting environment for bugfix #129679
  Preventing Service::RunInitScript() from stuck by adding a new
  function Service::RunInitScriptWithTimeOut() using the
  .background agent
- Fixing bug #139587
  Firewall Functions IsEnabled() and IsStarted() expected that the
  firewall is not enabled or started by default in the
  installation. The [Back] button from the connection test (and
  changing firewall "enabled" to "disabled") has broken this
  expectation.
* Wed Jan 04 2006 - visnov@suse.cz
- Dropped Require.ycp, long time obsolete library
- Dropped commandline.ycp obsolete wrapper
* Wed Jan 04 2006 - locilka@suse.cz
- Adding Network Manager support into
        - SuSEFirewall Proposal
        - SuSEFirewall itself
        - CWM Firewall Interfaces (for other modules)
- 2.13.17
* Tue Jan 03 2006 - visnov@suse.cz
- Show progress in command-line mode (F300349)
* Tue Jan 03 2006 - mvidner@suse.cz
- Prevented NetworkService::Managed() from returning nil.
* Thu Dec 22 2005 - visnov@suse.cz
- ignore .desktop comments starting with #
* Tue Dec 20 2005 - visnov@suse.cz
- Include bash completion script
- 2.13.16
* Mon Dec 19 2005 - mvidner@suse.cz
- Consider also NetworkManager if there are no ifcfgs during the
  firewall proposal (#139402).
- 2.13.15
* Mon Dec 19 2005 - jsuchome@suse.cz
- merged texts from proofreading
- 2.13.14
* Wed Dec 14 2005 - mvidner@suse.cz
- Added a bash completion script, thanks to choeger.
* Wed Dec 07 2005 - locilka@suse.cz
- Changing firewall summary texts due to the bug/enhancement
  [#119810]. A bit misleading text "SSH is enabled" was changed to
  the "SSH port is open" etc. Also translatios should be now much
  more clearer.
* Tue Nov 29 2005 - locilka@suse.cz
- Adding feature #5998 from FaTE: Port ranges
  Port ranges are supported in the whole configuration of
  SuSEFirewall2 for TCP, UDP and Broadcast. Port range has a higher
  priority than a port itsef, which means that adding a port which
  is already mentioned in some port alias will not add it again. If
  there is some port range next to the new port it will join it
  with the port range. Port ranges can be flatten when one is a
  neighbor of any other or if one covers any other. Removing a port
  from the port range will split the port range up into two port
  ranges.
- Adding port range support into port aliases
- Changing searching for port alias from grep-regexp to the
  perl-regexp (because of buggy behaviour with the 'mysql' port).
- Fixing variable types in documentation of some functions
- 2.13.13
* Thu Nov 24 2005 - locilka@suse.cz
- Fixed the misleading documentation for GetEnableService()
  function in the SuSEFirewall module, thanks to jsmeix
* Wed Nov 23 2005 - mvidner@suse.cz
- CWM::ProcessTerm now handles all container widgets
  (added `MarginBox, `MinWidth, `MinHeight, `MinSize).
* Wed Nov 23 2005 - visnov@suse.cz
- 2.13.12
* Tue Nov 22 2005 - lslezak@suse.cz
- do not log passwords (#134886)
* Wed Nov 16 2005 - jsrain@suse.cz
- read list of modules to clone at the end of installation from
  control file
* Wed Nov 16 2005 - lslezak@suse.cz
- Kernel.ycp - some PPC kernel RPMs have been dropped, kernel
  package selection updated (#64206)
- 2.13.11
* Tue Nov 15 2005 - mvidner@suse.cz
- CWM:
 - added `menu_button
 - explicitly specifying an empty help produces no errors, like no_help
 - actually implemented validate_help
 - added validate_type: `function_no_popup so that the function bodies
  can be shared and only validate_help needs to differ
- CWMTab:
 - widget_names is now optional
 - generate a fake event when switching to a new tab to allow a handler
  to enabled/disable widgets before the first real UserInput takes place
 - prevent double tab initialization at tab set initialization
- 2.13.10
* Fri Nov 11 2005 - jsrain@suse.cz
- initialize package source only if needed when installing kernel
  modules package (#132458)
* Tue Nov 08 2005 - lslezak@suse.cz
- add %%2f when the begining of FTP URL path starts with /
- 2.13.9
* Tue Nov 08 2005 - lslezak@suse.cz
- The reserved characters can be part of URL (#96960),
  properly handle the escape sequences in parsing/building of URL
- 2.13.8
* Wed Nov 02 2005 - mvidner@suse.cz
- CWM
 - PrepareDialog recognizes *Squash and alignment widgets.
 - "widget_names" can be omitted in ShowAndRun.
 - Added section: Widget Description Map Reference.
 - Factored out rules to format the docbook documentation.
- CWMTab
 - CreateWidget recognizes "fallback_functions" in the main map
  and the tab maps.
 - Also call "clean_up" functions for widgets inside the tabs.
* Wed Nov 02 2005 - locilka@suse.cz
- Removing TCP port 135 from samba-server firewall definition.
- Adding "Portable Batch System (PBS)" definition into firewall
- Adding MySQL definition into firewall, enhancement #131478
* Thu Oct 27 2005 - mvidner@suse.cz
- CLI XML help: changed document structure, hopefully for the better.
- 2.13.7
* Fri Oct 21 2005 - lslezak@suse.cz
- CommandLine:: supports printing texts without trailing
  newline character (useful for progress messages); added YesNo()
  functionality for the command line mode
- Package:: supports installing packages in the command line mode
  (#91033)
- 2.13.6
* Thu Oct 20 2005 - jsuchome@suse.cz
- added Misc::CustomSysconfigRead for reading custom sysconfig files
- 2.13.5
* Mon Oct 10 2005 - mvidner@suse.cz
- Do not use modules marked with BrokenModules (#97655).
- 2.13.4
* Fri Sep 30 2005 - mvidner@suse.cz
- Fixed the configuration of ESCON and FICON (#82891).
- 2.13.3
* Thu Sep 29 2005 - visnov@suse.cz
- require yast2-hardware-detection for probing
* Tue Sep 27 2005 - jsrain@suse.cz
- do not prevent USB modules from being added to initrd (#66733)
* Tue Sep 27 2005 - lslezak@suse.cz
- Popup - display long error "as is" - escape rich text tags,
  format lines; layout fixes
- version 2.13.2
* Fri Sep 23 2005 - lslezak@suse.cz
- command line - multiline description of a command is possible
  (help can be string or list of strings)
* Fri Sep 23 2005 - locilka@suse.cz
- Adding support for VNC and SSH installations. Firewall proposal
  enables SSH on non-dial-up interfaces when installing over SSH,
  enables VNC on non-dial-up interfaces when installing over VNC.
  Firewall proposal warns when installing over SSH/VNC and SSH/VNC
  is not enabled. (enahancement #113211)
- Adding XDMCP (Remote Acces to Display Manager) support
  (enhancement #118200)
- Adding FAM (Remote File Alteration Monitor) support
  (enhancement #118196)
- 2.13.1
* Wed Sep 21 2005 - lslezak@suse.cz
- Support for long error and long warning messages
  (e.g. Report::LongError) (#79161)
- new popups in Popup:: module (e.g. Popup::TimedLongError)
- added [Stop] button to all timed popups
- version 2.13.0
* Wed Sep 07 2005 - mvidner@suse.cz
- Fixed deleting an interface after writing and returning
  to the network proposal (#115448).
- WIRELESS_WPA_PASSWORD is also secret (#65741).
- 2.12.27
* Tue Sep 06 2005 - locilka@suse.cz
- fixing default SuSEfirewall2 logging values using the
  GetDefaultValue() function for undefined and newly also for
  empty values  for security reasons (#100692).
- 2.12.26
* Mon Sep 05 2005 - jsrain@suse.cz
- translate proposal tab headers (#114677)
- 2.12.25
* Mon Aug 22 2005 - jsuchome@suse.cz
- added check for `cancel to ncurses menu loop (#105507)
- 2.12.24
* Thu Aug 18 2005 - lslezak@suse.cz
- added simple XEN detection (workaround for #100726)
- select kernel-xen if XEN is detected
- 2.12.23
* Thu Aug 18 2005 - locilka@suse.cz
- Do not Read() NetworkDevices when running CWMFirewallInterfaces
  in Installation or Update.
- Set SuSEFirewallProposal as 'modified' when changing the firewall
  counfiguration via CWMFirewallInterfaces in Installation or
  Update (bug #105170).
* Mon Aug 15 2005 - jsrain@suse.cz
- check whether VGA kernel parameter is correct (#103150)
* Fri Aug 12 2005 - jsrain@suse.cz
- don't prevent xfs and jfx module from being added to initrd on
  PPC (#104037)
- 2.12.22
* Fri Aug 12 2005 - locilka@suse.cz
- Fixed YaST in console. It had been using LANG set to "POSIX"
  which was supporsed to be empty or to contain "xx_XX" string
  (#103007).
* Fri Aug 12 2005 - visnov@suse.cz
- added comments for translators
* Tue Aug 09 2005 - mvidner@suse.cz
- Fixed init script parsing with special backslash and whitespace
  combination (#103013).
* Tue Aug 09 2005 - locilka@suse.cz
- Fixing bug #102951
  Adding SLP Daemon to the firewall as a known service
- 2.12.21
* Mon Aug 08 2005 - jsrain@suse.cz
- disable "Edit" and "Delete" buttons in hardware dialog if no item
  is present in the list (#102526)
- store vendor URL in the installed system (#102542)
- do not add unneeded modules to initrd (#102588)
- 2.12.20
* Fri Aug 05 2005 - jsrain@suse.cz
- added initialization of source refresh callbacks
- changed label of the menubutton in the hardware dialog
- 2.12.19
* Thu Aug 04 2005 - lslezak@suse.cz
- move sysconfig metadata parsing functions from Sysconfig
  to String module.
- 2.12.18
* Tue Aug 02 2005 - lslezak@suse.cz
- format function in WizardHW module
- 2.12.17
* Tue Aug 02 2005 - jsrain@suse.cz
- added support not to allow to go back in the installation
  workflow if started from the middle
- 2.12.16
* Mon Aug 01 2005 - locilka@suse.cz
- Changing firewall definition for samba-server by the Samba-Howto
  Allowed ports/functionality is: TCP 135, 139, 445; UDP: 137, 138;
  Broadcast: 137, 138;
  Bugzilla #81254
* Thu Jul 28 2005 - jsrain@suse.cz
- merged texts from proofreading
* Thu Jul 28 2005 - jsrain@suse.cz
- fixed stopping the workflow in the middle to reboot (eg. in case
  of kernel update)
- 2.12.15
* Thu Jul 21 2005 - sh@suse.de
- Now using `opt(`hvstretch) in wizard to restore old laoyut
  behaviour: center content by default
- V 2.12.14
* Thu Jul 21 2005 - jsrain@suse.cz
- don't report void errors in CWM
* Wed Jul 20 2005 - jsrain@suse.cz
- fixed incorrecr wizard command causing crash at the begin of the
  installation
- 2.12.13
* Wed Jul 20 2005 - jsrain@suse.cz
- added libxml2(-devel) to neededforbuild
- 2.12.12
* Tue Jul 19 2005 - jsrain@suse.cz
- fixed installation workflow re-load on switch from installation
  to update or vice versa
- added possibility to start the workflow from the middle
- added possibility for having more stages in the installation
  wizard navigation bar
- added support for specifying textdomain for translatable texts
  for installation wizard
- 2.12.11
* Mon Jul 18 2005 - sh@suse.de
- Properly check if KDE is running in /sbin/yast so the sw_single
  module is started full-screen if that works flawlessly (KDE)
- V 2.12.10
* Mon Jul 11 2005 - sh@suse.de
- Fixed NCurses wizard layout behaviour:
  Properly propagate content strechability to layout parent
- V 2.12.9
* Fri Jul 08 2005 - visnov@suse.cz
- adapt build dependencies for blocxx
- 2.12.8
* Fri Jul 01 2005 - jsrain@suse.cz
- added support functions fir general hardware summary dialog
- added possibility to get selected tab from CWMTab
- 2.12.7
* Tue Jun 14 2005 - lslezak@suse.cz
- command line - fixed example definition in xmlhelp output
- 2.12.6
* Mon Jun 13 2005 - lslezak@suse.cz
- command line - 'xmlhelp' command (store command line help of
  a client in XML format)
* Mon Jun 06 2005 - jsrain@suse.cz
- keep order of initrd modules from installation system in the
  target system
- 2.12.5
* Tue May 31 2005 - jsrain@suse.cz
- create initial ProductFeatures file via fillup (#79278)
* Wed May 25 2005 - locilka@suse.cz
- Fixed SuSEFirewall testsuite after adding 'bootps' port to the
  DHCP Server definition
* Wed May 25 2005 - mvidner@suse.cz
- CWM: added a standalone radio button widget
* Thu May 19 2005 - locilka@suse.cz
- Fixed bug in CWMTsigKeys
  Key name containing the 't' letter had been ending on that
  character because of wrong implementation of regexp with '\\t'
* Mon May 09 2005 - locilka@suse.cz
- Adding "Requires: SuSEfirewall2" into the yast2 package instead
  of the yast2-firewall
* Tue May 03 2005 - jsrain@suse.cz
- made the hardcoded fallback list of VGA modes in Initrd.ycp
  public (via global function)
* Tue May 03 2005 - locilka@suse.cz
- Added 'bootps' port allowing broadcast into the DHCP Server
  definition for SuSEFirewallServices
* Thu Apr 28 2005 - jsrain@suse.cz
- if YOU updates any YaST package, restart NCurses control center
  (#80591)
* Thu Apr 28 2005 - jsrain@suse.cz
- updated ProductControl.ycp to privide inst_finish steps
- 2.12.4
* Fri Apr 22 2005 - mvidner@suse.cz
- Do not use "default" as an identifier.
* Mon Apr 18 2005 - jsrain@suse.cz
- added testsuite for new ProductFeatures.ycp
- 2.12.3
* Mon Apr 18 2005 - jsrain@suse.cz
- updated manual page and help of yast2 (#70892)
- changed interface of ProductFeatures.ycp
- 2.12.2
* Tue Apr 05 2005 - visnov@suse.cz
- fix NFB
- 2.12.1
* Mon Apr 04 2005 - jsrain@suse.cz
- after running online update, exit ncurses control center (#63542)
* Thu Mar 31 2005 - jsrain@suse.cz
- initialize product macro for help texts from /etc/*-release
  (#61247)
* Thu Mar 31 2005 - locilka@suse.cz
- Changed firewall proposal texts to be clearly translatable
  (#73612)
* Thu Mar 24 2005 - jsrain@suse.cz
- changed kernel packages for PPC (#72344)
* Mon Mar 21 2005 - sh@suse.de
- Fixed bug #72799: Help/Steps buttons not translated
- V 2.11.48
* Mon Mar 21 2005 - jsrain@suse.cz
- fixed setting bootsplash resolutino if framebuffer modes couldn't
  be detected (#74052)
- 2.11.47
* Fri Mar 18 2005 - jsrain@suse.cz
- fixed determining if firewall is enabled (#73819)
- 2.11.46
* Wed Mar 16 2005 - visnov@suse.cz
- 2.11.45
* Tue Mar 15 2005 - visnov@suse.cz
- added check-all-syntax script for validating all YCP clients
  and modules (#63942)
* Mon Mar 14 2005 - mvidner@suse.cz
- Don't allow single quotes inside ifcfg-* variables,
  especially NAME (#72164).
- NetworkDevices::ConcealSecrets: only nonempty; also WIRELESS_WPA_PSK.
- 2.11.44
* Sat Mar 12 2005 - nashif@suse.de
- optionally add addon selections using the control file (#72257)
- 2.11.43
* Fri Mar 11 2005 - mvidner@suse.cz
- Added NetworkDevices::ConcealSecrets not to log sensitive
  information (#65741).
- 2.11.42
* Fri Mar 11 2005 - locilka@suse.cz
- Added new testsuite for SuSEFirewall module
- Added new testsuite for PortAliases module
* Wed Mar 09 2005 - locilka@suse.cz
- Adjusting to changed /etc/services
  "ipsec-msft" has been changed to "ipsec-nat-t"
- 2.11.41
* Fri Mar 04 2005 - lslezak@suse.cz
- HWConfig.ycp - /etc/sysconfig/hardware/hwcfg-* file access
- 2.11.40
* Fri Mar 04 2005 - locilka@suse.cz
- fixed bug #67335
  Aborting unchanged SuSEfirewall configuration
- 2.11.39
* Thu Mar 03 2005 - jsrain@suse.cz
- prevent Initrd module from automatical reading in Mode::config
  (#67256)
* Wed Mar 02 2005 - locilka@suse.cz
- merged proofed texts
- 2.11.38
* Fri Feb 25 2005 - lslezak@suse.cz
- command line - fixed checking of the mandatory keys - don't
  abort in "unsupported" mode, testsuite updated
- 2.11.37
* Fri Feb 25 2005 - visnov@suse.cz
- 2.11.35
* Fri Feb 25 2005 - lslezak@suse.cz
- commandline - don't check mandatory keys when the command line
  mode is "unsupported", testsuite updated
- 2.11.36
* Thu Feb 24 2005 - fehr@suse.de
- Add AsciiFile::ReplaceLine
- 2.11.34
* Thu Feb 24 2005 - visnov@suse.cz
- reading INCOMPLETE_TRANSLATION_TRESHOLD enabled
- 2.11.33
* Wed Feb 23 2005 - lslezak@suse.cz
- command line - use command 'abort' instead of 'quit',
  testsuite updated
* Mon Feb 21 2005 - nashif@suse.de
- Fixed reading of global variable which breaks testsuites
* Mon Feb 21 2005 - nashif@suse.de
- Added incomplete_translation_treshold to product features
* Fri Feb 18 2005 - visnov@suse.cz
- Don't show desktop files with "Hidden" set to yes in ncurses menu
* Thu Feb 17 2005 - nashif@suse.de
- Added function to reset install.inf data to initiate a reread of
  the file
* Tue Feb 15 2005 - locilka@suse.cz
- added name of the device for configuring interfaces
- added missing comments for SuSEFirewall functions
* Mon Feb 14 2005 - jsrain@suse.cz
- added functions to disable and enable the CWM Firewall Interfaces
  widget
- 2.11.30
* Thu Feb 10 2005 - mvidner@suse.cz
- Do not propose a dynamic address if the product (OES) says
  force_static_ip (#50524).
- 2.11.29
* Wed Feb 09 2005 - nashif@suse.de
- control file and saved features from installation is now saved
  into /etc/YaST2,  /var/lib is too risky
* Wed Feb 09 2005 - jsrain@suse.cz
- merged variables for kernel parameters in ProductFeatures into
  one (#50369)
* Wed Feb 09 2005 - locilka@suse.cz
- Fixed reading SuSEfirewall2 configuration to be done only once
  in network proposal.
* Tue Feb 08 2005 - sh@suse.de
- Added icons to standard popups
- V 2.11.26
* Tue Feb 08 2005 - nashif@suse.de
- Moved ProductControl. Hooks from installation
* Tue Feb 08 2005 - nashif@suse.de
- Moved XML module to library
* Tue Feb 08 2005 - jsrain@suse.cz
- added richtext and (multi)selection box widget support to CWM
- enable release notes in inst. proposal also for NCurses
* Tue Feb 08 2005 - jsuchome@suse.cz
- merged texts from proofreading
- 2.11.25
* Tue Feb 08 2005 - jsuchome@suse.cz
- build with CustomDialogs.ycp
- 2.11.24
* Mon Feb 07 2005 - nashif@suse.de
- Fixed call to inst_suseconfig
- Added variable to Directory used for custom workflows
* Fri Feb 04 2005 - mvidner@suse.cz
- Added String::OptParens, String::OptFormat.
- 2.11.23
* Tue Feb 01 2005 - lslezak@suse.cz
- fixed finish call handling (don't call finish handler (Write)
  when module is not initialized)
- 2.11.22
* Mon Jan 31 2005 - sh@suse.de
- Added Show|HideReleaseNotesButton() to Wizard::
- V 2.11.21
* Mon Jan 31 2005 - locilka@suse.cz
- added samba-server allowing broadcast feature (#50311)
- 2.11.20
* Fri Jan 28 2005 - mlazar@suse.cz
- fixed runlevel agent: don't dump error msg if service script
  isn't readable
* Thu Jan 27 2005 - mvidner@suse.cz
- NetworkDevices: canonicalize STARTMODE (~#50095), also on Import.
- 2.11.19
* Thu Jan 27 2005 - locilka@suse.cz
- Rewritten SuSEFirewall::ActivateConfiguration() function
- Fixed some y2error message
* Wed Jan 26 2005 - mvidner@suse.cz
- Fixed a typo preventing from adding an Altix XP interface (#50044).
* Tue Jan 25 2005 - locilka@suse.cz
- removed SuSEfirewall2_final init script (bugzilla #50157)
- 2.11.18
* Fri Jan 21 2005 - lslezak@suse.cz
- an option in command line mode specification can have
  more help texts (depending on command)
- improved command line mode support test (test also empty map)
- version 2.11.17
* Tue Jan 18 2005 - lslezak@suse.cz
- command line - new simple mode (no commands),
  lazy initialization (bug #44083)
- version 2.11.16
* Wed Jan 12 2005 - lslezak@suse.cz
- command line mode enhancements: accept integer type,
  added CommandLine::PrintVerbose(), cutom help option,
  testsuite update, small fixes
- version 2.11.15
* Tue Jan 11 2005 - jsrain@suse.cz
-reverted fix of #49483
* Mon Jan 10 2005 - jsrain@suse.cz
- added new function to compute additional packages (eg. -nongpl)
  for any base kernel package to Kernel.ycp
* Fri Jan 07 2005 - locilka@suse.cz
- added new functions into String module
  TextTable() & UnderlinedHeader()
* Thu Jan 06 2005 - jsrain@suse.cz
- prevent vga= kernel parameter from being used on IA64 (#49483)
* Wed Jan 05 2005 - jsrain@suse.cz
- changed Kernel.ycp to functional interface
- 2.11.14
* Tue Jan 04 2005 - jsrain@suse.cz
- fixed handling of sysconfig/kernel:MODULES_LOADED_ON_BOOT if
  changed externally during installation (#46971)
* Mon Jan 03 2005 - locilka@suse.cz
- Added new implementation of SuSEfirewall2 broadcast configuration
  into SuSEFirewall module
- 2.11.13
* Tue Dec 21 2004 - mvidner@suse.cz
- Added Hostname::Validhost (#22802).
- Substitute VERSION in Version.ycp also at "make" time (#40492).
- Support FW_ALLOW_FW_BROADCAST_* (locilka).
- 2.11.12
* Tue Dec 21 2004 - jsrain@suse.cz
- fixed validation of widgets inside CWM Tab widget
- added possibility to set functions for immediate service
  start/stop in the CWMServiceStart widget
* Tue Dec 14 2004 - mvidner@suse.cz
- Added Progress::set, fixed docs a bit.
- 2.11.11
* Fri Dec 03 2004 - mvidner@suse.cz
- NetworkDevices: Canonicalize netmask data (#46885).
* Wed Dec 01 2004 - locilka@suse.cz
- Added handling for 'all' parameter in old firewall functions
  in SuSEFirewall module
- Added CharacterDevice file-type into FileUtils.ycp.
- Created testsuite for FileUtils module.
* Wed Dec 01 2004 - mvidner@suse.cz
- NetworkDevices: Improved ifcfg name handling,
  particularly mobile ipv6 (#48696).
* Tue Nov 30 2004 - locilka@suse.cz
- Moved CWMFirewallInterfaces from yast2-firewall to yast2 rpm
* Tue Nov 30 2004 - visnov@suse.cz
- added testsuite infrastructure for library/modules
* Thu Nov 25 2004 - locilka@suse.cz
- added SuSEFirewallServices and PortAliases YCP Modules into
  library/network.
* Wed Nov 17 2004 - arvin@suse.de
- fixed handling of command line arguments with space (bug #48264)
* Tue Nov 16 2004 - fehr@suse.de
- add evms logfiles to save_y2logs if present
* Fri Nov 12 2004 - mvidner@suse.cz
- Added NetworkDevices::DeleteAlias (#48191).
* Fri Nov 12 2004 - locilka@suse.cz
- FileUtils have now GetFileRealType and GetFileType functions
  with output depending on the type of requested file.
- Increased documentation for FileUtils.
* Thu Nov 11 2004 - arvin@suse.de
- always use Directory::logdir
* Thu Nov 11 2004 - locilka@suse.cz
- Created FileUtils module for getting information about system
  files and directories.
* Thu Nov 11 2004 - mvidner@suse.cz
- Added String::ValidCharsFilename, NetworkDevices::ValidCharsIfcfg
  (#46803)
- Added character set functions to String.
- PackageSystem::InstallKernel: return early if the module list is
  empty, thus slashing "yast2 lan" startup time.
- Desktop::RunViaDesktop now accepts arguments (#46828).
* Wed Nov 10 2004 - mvidner@suse.cz
- Moved NetworkDevices from yast2-network to yast2.
- 2.11.7
* Mon Nov 08 2004 - visnov@suse.cz
- yast2-pkg-bindings added to requires
* Mon Nov 08 2004 - jsrain@suse.cz
- added optional "no_help" key to CWM widget description map
  in order to suppress errors in log if no help wanted (#47938)
- added protection against removing used TSIG keys to the CWM
  TSIG keys management widget (#47480)
* Thu Nov 04 2004 - sh@suse.de
- Added save_y2logs script for easier bug reporting
- V 2.11.6
* Thu Nov 04 2004 - mvidner@suse.cz
- Added String::FirstChunk.
- 2.11.5
* Wed Nov 03 2004 - arvin@suse.de
- removed deprecated lookup
* Tue Nov 02 2004 - mvidner@suse.cz
- Allow overriding sbindir so that we can install to a prefix.
- Merged changes from the 9.2 branch.
* Mon Nov 01 2004 - visnov@suse.cz
- set product name in wizard when opening a dialog (#46247)
* Mon Nov 01 2004 - visnov@suse.cz
- fix processing of command line arguments in Mode and Stage
* Mon Nov 01 2004 - msvec@suse.cz
- use ll_LL in .desktop files (#47668)
* Mon Nov 01 2004 - jsrain@suse.cz
- fixed parameters to sformat in Commandline.ycp
- 2.11.3
* Tue Oct 26 2004 - jsrain@suse.cz
- Mode.ycp split to Mode.ycp, Stage.ycp, Linuxrc.ycp and
  Installation.ycp (yast2-installation), clean-up
- adapted the code to the clean-up
- 2.11.2
* Tue Oct 19 2004 - locilka@suse.de
- added several messages into Message.ycp
- added several labels into Label.ycp
- added two functions into Confirm.ycp
- 2.11.1
* Mon Oct 11 2004 - jsrain@suse.cz
- changed Arch.ycp to functional interface, probing the settings
  when they are needed (instead of constructor)
- update Initrd.ycp not to use Arch:: in its constructor
- 2.11.0
* Mon Oct 04 2004 - mvidner@suse.cz
- Moved the "cd /" workaround to yast2-network (#46055).
- 2.10.27
* Fri Oct 01 2004 - sh@suse.de
- Fixed bug #46598: Layout broken due to 800x600 default size
- V 2.10.24
* Wed Sep 29 2004 - visnov@suse.cz
- always reinitialize target (#45356)
- 2.10.23
* Wed Sep 29 2004 - mvidner@suse.cz
- Fixed Package::FunctionsAI["DoInstall" and "DoRemove"] (#45463).
- 2.10.22
* Mon Sep 27 2004 - arvin@suse.de
- fixed generation of desktop files
* Sat Sep 25 2004 - mvidner@suse.cz
- Change directory to / in /sbin/yast2 (#46055).
- 2.10.20
* Fri Sep 24 2004 - mvidner@suse.cz
- Added Desktop::RunViaDesktop (#37864).
- 2.10.19
* Fri Sep 24 2004 - visnov@suse.cz
- always initialize SourceCache when installing packages
- use installed kernel to compute kernel packages (#45905)
- 2.10.18
* Thu Sep 23 2004 - mvidner@suse.cz
- Fixed empty runlevel editor (#45858).
* Tue Sep 21 2004 - arvin@suse.de
- adapted path for qtrc (bug #44803)
* Tue Sep 14 2004 - mvidner@suse.cz
- Ignore /etc/init.d/Makefile (#45198).
* Tue Sep 14 2004 - jsrain@suse.cz
- added ProductFeatures::enable_firewall and firewall_ssh_enable
  to control firewall behavior in the proposal
* Mon Sep 13 2004 - jsrain@suse.cz
- fixed reordering of items in Table/Popup's table (#45097)
- added ProductFeatures::fam_local_only
- 2.10.14
* Mon Sep 06 2004 - visnov@suse.cz
- moved ComputeKernelPackages to Kernel.ycp
- use Kernel::ComputePackages in Package (#44394)
- 2.10.13
* Mon Sep 06 2004 - jsrain@suse.cz
- mark licenses as confirmed when accepted (in PackageSystem.ycp
  and Require.ycp)
* Thu Sep 02 2004 - locilka@suse.cz
- added String::escapetags - function for escaping HTML/XML tags
* Mon Aug 30 2004 - arvin@suse.de
- add nongpl kernel package during installation (bug #44394)
* Fri Aug 27 2004 - arvin@suse.de
- merged proof read messages
* Fri Aug 27 2004 - mvidner@suse.cz
- LogView grep: properly quote the regex; it is a basic regex.
* Fri Aug 20 2004 - nashif@suse.de
- Own schema directory
- 2.10.10
* Thu Aug 19 2004 - visnov@suse.cz
- allow in commandline also GUI handler returning symbols (#43935)
* Tue Aug 17 2004 - jsrain@suse.cz
- fixed function type casting in Table/Popup routines
- prevent 'usbhid' module from being added to initrd (#36766)
* Tue Aug 17 2004 - nashif@suse.de
- fixed testsuites (added Testsuite.ycp to testedfiles or modified output
  according to the change of logging function references) (jsrain)
- type cast fixes
- CWM: fixed structure validation
* Fri Aug 13 2004 - nashif@suse.de
- Disable Commandline interface during firstboot phase
- 2.10.7
* Tue Aug 03 2004 - jsrain@suse.cz
- fixed types in CWM, changed interface of CWM::ShowAndRun ()
- split the CWMServiceStart widget into multiple widgets (one for
  each part)
- 2.10.6
* Fri Jul 30 2004 - jsrain@suse.cz
- adapted CWMServiceStart.ycp functionality for box product
* Thu Jul 29 2004 - nashif@suse.de
- New module for interaction with linuxrc(yast.inf and install.inf
  handling)
- Move functions from misc to Linuxrc
* Thu Jul 29 2004 - nashif@suse.de
- Defined more variables in ProductFeatures
- Removed live_eval variable
* Tue Jul 20 2004 - jsrain@suse.cz
- enhanced the TSIG keys management widget to do more checks before
  creating a new TSIG key (#40845)
* Mon Jul 19 2004 - jsrain@suse.cz
- enhnced functionality of Package*.ycp modules (popups with custom
  message, package check for read functions with error feedback)
* Wed Jul 14 2004 - jsrain@suse.cz
- fixed typos in CWMServiceStart.ycp
* Tue Jul 13 2004 - locilka@suse.de
- added new Message module
- 2.10.3
* Mon Jun 21 2004 - jsrain@suse.cz
- added CWM widget for TSIG keys management
* Fri Jun 18 2004 - lslezak@suse.cz
- CommandLine: read text or password from console
* Fri Jun 18 2004 - jsrain@suse.cz
- added CWM widget for service starting (like the Start-up dialog
  in DNS server component)
* Thu Jun 17 2004 - msvec@suse.cz
- updated testsuite
- 2.10.2
* Wed Jun 16 2004 - jsrain@suse.cz
- added suport for navigation tree and tabs to CWM
- updated the LogView popup to be able to be used as widget for CWM
- do not add 'desktop' to kernel command line
* Wed Jun 16 2004 - msvec@suse.cz
- fixed 'yast2 -l' output (#42087)
- 2.9.75
* Fri Jun 11 2004 - nashif@suse.de
- Added software-proposal variable to product features
* Tue Jun 08 2004 - nashif@suse.de
- Fixed bug #41696: yast uses elevator=anticipatory instead of
  elevator=as
- URL with empty host is valid (i.e. file:///test.xml )
* Fri May 28 2004 - sh@suse.de
- Fixed bug #41305: License agreement after abort in NCurses
* Wed May 26 2004 - mvidner@suse.cz
- Fixed agent definition for /etc/sysconfig/hardware
  to handle multiline values (#39350).
- 2.9.72
* Tue May 25 2004 - arvin@suse.de
- install kernel-bigsmp even with a bit less than 4GB of RAM
  (bug #40729)
* Tue May 25 2004 - jsrain@suse.cz
- set the I/O scheduler in ProductFeatures (#41038)
- 2.9.70
* Wed May 19 2004 - nashif@suse.de
- Added a timeout for ShowText popup when called via
  Report. (Report::ShowText)
* Mon May 17 2004 - msvec@suse.cz
- added PadZero general function for padding with zeros
* Wed May 12 2004 - msvec@suse.cz
- improved ncurses menu responsiveness (#38363)
- 2.9.68
* Wed May 05 2004 - gs@suse.de
- yast2 start script: check whether the terminal supports UTF-8
  and adapt language settings (bug #39606)
- 2.9.67
* Tue May 04 2004 - arvin@suse.de
- merged proofread messages
* Fri Apr 23 2004 - mvidner@suse.cz
- do not copy network aliases from install.inf
  to modprobe.conf (#39135)
- 2.9.65
* Thu Apr 22 2004 - arvin@suse.de
- run unicode_{start,stop} only if they are present (bug #35714)
* Mon Apr 19 2004 - arvin@suse.de
- merged proofread messages
* Fri Apr 16 2004 - nashif@suse.de
- Save runtime product variables
* Thu Apr 08 2004 - jsrain@suse.cz
- use the 'desktop' kernel parameter only for desktop products
* Wed Apr 07 2004 - nashif@suse.de
- #38596: Also use saved id
* Wed Apr 07 2004 - nashif@suse.de
- Workaround for #38596, broken recursion for iterators
* Tue Apr 06 2004 - nashif@suse.de
- update/upgrade defaults added to product feature set (#38486)
* Mon Apr 05 2004 - nashif@suse.de
- Removed unconfigurable options from report summary
- Added optional list of package to product features
- 2.9.60
* Sat Apr 03 2004 - nashif@suse.de
- Fixed wrapper functions for new wizard
- 2.9.59
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Fri Apr 02 2004 - nashif@suse.de
- added wrapper functions around Tree and Menu enabled Wizards to
  support ncurses mode (#37581)
* Thu Apr 01 2004 - arvin@suse.de
- don't set download callbacks globaly (bug #37151)
* Wed Mar 31 2004 - nashif@suse.de
- New ProductFeature variables
* Wed Mar 31 2004 - msvec@suse.cz
- added /etc/YaST2 dir (for log.conf)
- 2.9.54
* Wed Mar 31 2004 - gs@suse.de
- show header of ShowText popup (bug #37171)
* Wed Mar 31 2004 - arvin@suse.de
- added product feature about suboptimal distribution (bug #36823)
* Wed Mar 31 2004 - jsrain@suse.de
- remove ide-scsi from initrd during update (#37591)
* Tue Mar 30 2004 - jsrain@suse.de
- fixed map validator of CWM
* Mon Mar 29 2004 - jsrain@suse.de
- fixed behavior of combo box for adding new option if it is
  editable (#37267)
- 2.9.52
* Mon Mar 29 2004 - adrian@suse.de
- hide YaST groups desktop files in the desktop world
* Mon Mar 29 2004 - arvin@suse.de
- fixed kernel selection on i386 smp systems (bug #35876)
* Mon Mar 29 2004 - jsrain@suse.de
- adapted CWM to updated 'is' builtin
- fixed Initrd testsuite
- 2.9.50
* Fri Mar 26 2004 - arvin@suse.de
- added uml detection to Arch module
* Wed Mar 24 2004 - adrian@suse.de
- fix yast qt ui themeing, export QT_HOME_DIR again
  (got broken due to login shell usage bye kdesu)
* Wed Mar 24 2004 - arvin@suse.de
- fixed function name (bug #36783)
* Tue Mar 23 2004 - mvidner@suse.cz
- added Confirm::MustBeRoot to easily alert the user (#35363)
* Tue Mar 23 2004 - lslezak@suse.cz
- fixed parsing quoted string in String::ParseOptions() (#36223)
- testsuite update
* Mon Mar 22 2004 - msvec@suse.cz
- support for sort keys in ncurses menu (#36466)
- 2.9.47
* Mon Mar 22 2004 - jsrain@suse.cz
- fixed unwanted hiding of helps during progress bar run
- don't abort installing packages via Require and PackageSystem
  if dependency solving fails and system wasn't consistent before
  installing them
* Mon Mar 22 2004 - sh@suse.de
- V 2.9.46
- Fixed bug #35768: Wizard buttons not retranslated
* Fri Mar 19 2004 - sh@suse.de
- V 2.9.45
- Improved handling for all Popup::*timed*() dialogs:
  Use UI::TimeoutUserInput() now, no more confusing busy cursor,
  less delays (no more sleep() )
* Wed Mar 17 2004 - fehr@suse.de
- add functions {Set,Get}Utf8Lang() to Encoding module
* Wed Mar 17 2004 - arvin@suse.de
- added download progress callbacks (bug #31445)
* Mon Mar 15 2004 - fehr@suse.de
- add functions {Set,Get}EncLang() && GetCodePage() to Encoding module
- add global boolean evms_config to ProductFeatures.ycp
* Mon Mar 15 2004 - arvin@suse.de
- adapted "yast -l" to desktop files (bug #35019)
* Fri Mar 12 2004 - nashif@suse.de
- Custom wizard added (sh@suse.de)
* Thu Mar 11 2004 - msvec@suse.cz
- proper event ID type handling (#35602)
* Wed Mar 10 2004 - msvec@suse.cz
- accept nil from some UI calls (should fix the failing testsuites)
- added function for creation of FQ hostname
* Wed Mar 10 2004 - arvin@suse.de
- install kernel-um in uml
* Wed Mar 10 2004 - nashif@suse.de
- Fixed Progress for new Wizard
- 2.9.39
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.37
- Migration to new wizard
* Mon Mar 08 2004 - sh@suse.de
- Changed X cursor theme (adrian)
* Mon Mar 08 2004 - msvec@suse.cz
- Added Wizard::SetDesktopIcon to set the title icon
- 2.9.35
* Fri Mar 05 2004 - mvidner@suse.cz
- Added Popup::AnyQuestionRichText.
- {Require,PackageSystem}::DoInstallAndRemove:
  ask for license acceptance (#35250).
* Fri Mar 05 2004 - msvec@suse.cz
- make runlevel testsuite use Service
- add warnings about usage of obsolete interface
- 2.9.33
* Thu Mar 04 2004 - visnov@suse.cz
- 2.9.32
- late initialization of Wizard and Progress (for command line)
* Thu Mar 04 2004 - msvec@suse.cz
- fixed docu installation dirs
- replaced sequencer include with dummy one using Sequencer
* Thu Mar 04 2004 - visnov@suse.cz
- added type info (kkaempf, visnov)
* Thu Mar 04 2004 - msvec@suse.cz
- improved the packages testing client
- fixed ncurses menu generation (#35186)
* Tue Mar 02 2004 - msvec@suse.cz
- fixed Package interface
- added documentation and testing client
* Tue Mar 02 2004 - msvec@suse.cz
- improved (fixed) agent for sysconfig/hardware
- 2.9.31
* Fri Feb 27 2004 - nashif@suse.de
- Adapt for new control file based installation
* Thu Feb 26 2004 - jsrain@suse.de
- preventing modules uhci-hcd, ehci-hcd, ohci-hcd from being put
  into initrd (#35032)
* Tue Feb 24 2004 - visnov@suse.cz
- don't duplicate history entries in interactive command line (#34610)
* Tue Feb 24 2004 - kkaempf@suse.de
- treat x86_64 as 'wintel' architecture (#34853)
* Mon Feb 23 2004 - mvidner@suse.cz
- Services: don't omit boot.hotplug-beta, boot.restore_permissions (#34775)
- 2.9.28
* Fri Feb 20 2004 - arvin@suse.de
- disable accept button during Progress (bug #30303)
* Fri Feb 20 2004 - jsrain@suse.de
- fixed redrawing of fields in Table/Popup table widget after an
  option was changed
* Thu Feb 19 2004 - jsrain@suse.de
- added agent for handling /etc/sysconfig/hardware/hwcfg-*
* Thu Feb 19 2004 - arvin@suse.de
- removed function Kernel::IDERecorders since "ide-scsi" is not
  used anymore (bug #34694)
* Thu Feb 19 2004 - mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch
  to std::sort
* Thu Feb 19 2004 - visnov@suse.cz
- restore AsciiFile::AssertLineValid behavior as in 9.0
* Tue Feb 17 2004 - sh@suse.de
- Use correct kernel image name on S/390
- 2.9.25
* Tue Feb 17 2004 - sh@suse.de
- Fixed bug #34617: New kernel names on S/390
- 2.9.24
* Tue Feb 17 2004 - sh@suse.de
- Applied olh's patch for bug #34602: PPC kernel renamed
- 2.9.23
* Mon Feb 16 2004 - arvin@suse.de
- recognize newer macs (bug #34587)
* Mon Feb 16 2004 - jsrain@suse.de
- kernel image is now /boot/vmlinux on all PPC subarchs (#34588)
- 2.9.21
* Mon Feb 16 2004 - arvin@suse.de
- removed obsolete Mode::hardBoot
* Thu Feb 12 2004 - lslezak@suse.cz
- CWM: added better `back event handling, correctly displaying
  option names in the new option checkbox (jsrain)
- added function String::FormatSizeWithPrecision,
  updated testsuite
- version 2.9.19
* Wed Feb 11 2004 - msvec@suse.cz
- adapt remote clients for the new interpreter
* Tue Feb 10 2004 - arvin@suse.de
- adapted kernel determination to kernel 2.6 names
* Tue Feb 10 2004 - arvin@suse.de
- finally removed configdir from file list (doesn't help anymore)
* Sat Feb 07 2004 - arvin@suse.de
- removed config files (*.y2cc)
* Sat Feb 07 2004 - msvec@suse.cz
- own configdir until all modules are updated
- 2.9.15
* Fri Feb 06 2004 - msvec@suse.cz
- call %%suse_update_desktop_file for the group files
- use the group .desktop files also in the ncurses menu
- 2.9.14
* Tue Feb 03 2004 - msvec@suse.cz
- added yast2 groups .desktop files
- 2.9.13
* Tue Feb 03 2004 - visnov@suse.cz
- implemented non-strict checking of command line options
* Sat Jan 31 2004 - arvin@suse.de
- added function to build a url from tokens
* Fri Jan 30 2004 - mvidner@suse.cz
- removed lookups in Service to fix configuration modules testsuites
- 2.9.11
* Thu Jan 29 2004 - msvec@suse.cz
- more testsuite fixes
- 2.9.10
* Thu Jan 29 2004 - jsrain@suse.de
- fixed cwm testsuite
- fixed file list
- 2.9.9
* Tue Jan 27 2004 - jsrain@suse.de
- removed hwinfo from neededforbuild
- fixed testsuite for initrd
* Mon Jan 26 2004 - jsrain@suse.de
- added hwinfo to neededforbuild
- 2.9.8
* Mon Jan 26 2004 - msvec@suse.cz
- converted wizard sequencer to module
- 2.9.7
* Fri Jan 23 2004 - msvec@suse.cz
- added agents for sysconfig/sysctl and /suseconfig
- 2.9.6
* Fri Jan 23 2004 - arvin@suse.de
- fixed Require.ycp for brand new interpreter
* Mon Jan 19 2004 - jsrain@suse.de
- merged the new interpreter branch
* Mon Dec 15 2003 - jsrain@suse.de
- Moved Label.ycp and Popup.ycp from source/yast2/library/wizard/src
  to source/yas t2/library/module because of building with the new
  interpreter
* Mon Dec 15 2003 - msvec@suse.cz
- better services handling: Service (from Runlevel)
* Fri Dec 05 2003 - jsrain@suse.de
- added Mode::commandline variable, setting it an appropriate way
* Wed Dec 03 2003 - msvec@suse.cz
- use common Makefile.am (needs recent devtools)
* Mon Nov 24 2003 - ro@suse.de
- remove file conflict with yast2-pam (Autologin.ycp moved there)
* Mon Nov 17 2003 - arvin@suse.de
- adapted plugindir detection for NPTL
* Fri Nov 14 2003 - gs@suse.de
- use ncurses file selection widgets
* Wed Oct 29 2003 - visnov@suse.cz
- fix testsuite
- 2.9.2
* Fri Oct 24 2003 - ms@suse.de
- moved x11 subdir to installation
* Fri Oct 17 2003 - jsrain@suse.de
- Fixed "blinking" of Table/Popup's buttons when table content was
  reordered
* Fri Oct 03 2003 - jsrain@suse.de
- Table/Popup stuff splitt off from CWM.ycp to separate file
- Added support for "Changed" column to Table/Popup
* Wed Oct 01 2003 - jsuchome@suse.cz
- added Autologin.ycp module to handle autologin configuration
- 2.9.0
* Wed Sep 17 2003 - gs@suse.de
- script/yast2: start textmode yast in UTF-8 environment (bug #30512)
- 2.8.31
* Wed Sep 17 2003 - visnov@suse.de
- enable interactive mode for command line again
- 2.8.30
* Mon Sep 15 2003 - jsrain@suse.de
- fixed X11Version.ycp to prefix Require:: when calling function
  from Require.ycp module
- 2.8.29
* Mon Sep 15 2003 - ms@suse.de
- fixed X11Version.ycp to use 'import "Require"' instead of
  'include "require.ycp"'
* Thu Sep 11 2003 - arvin@suse.de
- cool mouse cursor theme for 2nd stage installation (bug #30552)
* Thu Sep 11 2003 - gs@suse.de
- file_popups.ycp: bugfix for SaveFileAs() bug #29745
* Wed Sep 10 2003 - gs@suse.de
- V 2.8.27
- menu/menu.ycp: replace <key> by [key] in help text (to avoid
  misinterpretation in RichText)
* Fri Sep 05 2003 - visnov@suse.de
- library/commandline: care about command line only in normal mode (#30144)
* Thu Sep 04 2003 - arvin@suse.de
- proof-read messages
* Mon Sep 01 2003 - visnov@suse.de
- do not print module help twice in the header
- revert capitalization for the command line actions/options from
  proofreader
- 2.8.25
* Mon Sep 01 2003 - jsrain@suse.de
- added support for immutable options to Table/Popup
* Mon Sep 01 2003 - arvin@suse.de
- handle repair mode in Popup::ConfirmAbort
* Fri Aug 29 2003 - visnov@suse.de
- fix error reporting, use RichText::Rich2Plain()
* Wed Aug 27 2003 - msvec@suse.cz
- new module for confirmation of detection (#26515)
- 2.8.23
* Wed Aug 27 2003 - gs@suse.de
- yast2 script: set language to english only on console if LANG is
  japanese, korean or chinese
* Tue Aug 19 2003 - arvin@suse.de
- removed include file common_functions.ycp
* Tue Aug 19 2003 - arvin@suse.de
- optimized String::CutBlanks
* Fri Aug 15 2003 - arvin@suse.de
- added Popup::ShowText
* Thu Aug 14 2003 - arvin@suse.de
- removed y2menu for good
- added /usr/share/YaST2/include to file list (bug #28807)
- removed common_popups.ycp and common_messages.ycp for good
* Mon Aug 11 2003 - gs@suse.de
- yast2 script: start y2base menu ncurses (instead of y2menu)
* Fri Aug 08 2003 - gs@suse.de
- bugfix in file_popups.ycp/PopupDir(dir) (if the argument is an
  empty string, 'pwd' is the directory)
- menu.ycp: improved layout and usability
* Wed Aug 06 2003 - fehr@suse.de
- added function CutRegexMatch to String.ycp it can be used to
  remove matches of a regular expression from a string
- 2.8.16
* Mon Aug 04 2003 - jsrain@suse.de
- added possiblity to restart command getting log after performing
  operation from LogView popup
- 2.8.15
* Fri Aug 01 2003 - arvin@suse.de
- added directory for desktop files
* Tue Jul 29 2003 - jsrain@suse.de
- passing whole event information from CWM to handlers
* Wed Jul 23 2003 - jsrain@suse.de
- updated CWM to use WaitForEvent instead of UserInput, tables of
  table/popup dialogs display popup on double-click or enter key
- allow to specify command to display log directly, not only as
  filename and argument for grep for LogView
* Tue Jul 22 2003 - msvec@suse.cz
- further String updates and fixes
- 2.8.13
* Wed Jul 09 2003 - fehr@suse.de
- remove Mode::language, now handled in Laguage module (#27115)
* Mon Jul 07 2003 - visnov@suse.de
- let TypeRepository module use the simple types
* Fri Jul 04 2003 - msvec@suse.cz
- added a first library of simple types:
  IP, Netmask, Hostname, Address, String, URL
- 2.8.12
* Wed Jul 02 2003 - visnov@suse.de
- propagate y2base exit code from yast2 script
* Tue Jul 01 2003 - jsrain@suse.de
- updates of CWM module, added validation of used structures and
  some wrappers for more complex tasks
* Thu Jun 26 2003 - visnov@suse.de
- print to stderr in non-interactive mode
* Wed Jun 25 2003 - visnov@suse.de
- fixed Perl/encoding problem in commandline agent
- fixed padding of helps in commandline
- quiet is now default, verbose an option
* Tue Jun 24 2003 - visnov@suse.de
- 2.8.11
* Tue Jun 24 2003 - jsrain@suse.de
- added testsuite for CWM module
* Tue Jun 24 2003 - visnov@suse.cz
- removed modules directory at the top-level
* Mon Jun 23 2003 - jsrain@suse.de
- moved YCP libraries to own subdirectory (visnov@suse.cz)
- added CWM module for simple manipulation with widgets, including
  common routines for Table/Popup-style dialogs
- added LogView module for displaying logs with advanced
  functionality
- 2.8.10
* Fri Jun 20 2003 - mvidner@suse.cz
- Runlevel editor: call insserv with force
  when writing multiple services (#27370).
- Moved MailAliases out, to be put to yast2-mail-aliases (#18212).
- Reverted yast2-network from Requires
- 2.8.9
* Wed Jun 18 2003 - visnov@suse.de
- disabled ipaddress type for command line
- disabled interactive mode for command line
- reverted yast2-network from neededforbuild
- version 2.8.8
* Wed Jun 18 2003 - lslezak@suse.de
- spec file: added yast2-network to Requires/neededforbuild
- version 2.8.7
* Mon Jun 16 2003 - lslezak@suse.cz
- new NetworkPopup:: module (common network browsing popups)
- version 2.8.6
* Wed Jun 11 2003 - arvin@suse.de
- added /usr/share/doc/packages/yast2 to file list (2nd try)
* Wed Jun 11 2003 - visnov@suse.de
- added command line interface
- 2.8.4
* Wed Jun 11 2003 - arvin@suse.de
- added /usr/share/doc/packages/yast2 to file list
* Fri Jun 06 2003 - mvidner@suse.cz
- common_popups: fixed an embarassing syntax error
- 2.8.3
* Fri Jun 06 2003 - mvidner@suse.cz
- common_popups: revert from Label to common_messages.
- Fixed file list (lslezak).
- Directory: added tmpdir (msvec).
- 2.8.2
* Tue Jun 03 2003 - sh@suse.de
- Fixed bug #27213: Default sort order in NCurses control center
* Fri May 30 2003 - mvidner@suse.cz
- Added Label and Popup, replacements for common_{messages,popups}.
- ag_initscripts: recognize X-UnitedLinux-Default-Enabled.
- 2.8.1
* Thu Apr 24 2003 - kkaempf@suse.de
- rename 'axp' to 'alpha'
* Wed Apr 23 2003 - ms@suse.de
- added getX11Link function to solve the X11 link
  within the installed system
* Wed Mar 19 2003 - ms@suse.de
- added textdomain to X11Version.ycp (#25627)
- added sax2 to RequireAndConflict() (#25628)
* Mon Mar 17 2003 - arvin@suse.de
- correctly remove ampersand in button lables in y2menu (bug
  [#25364])
* Fri Mar 14 2003 - sh@suse.de
- V 2.7.29
- Removed excess quotes in yast2 script when starting in kcontrol
* Fri Mar 14 2003 - sh@suse.de
- V 2.7.28
- Moved yast2_kde functionality into yast2 script
  (Fix for 25230: kcontrol YaST2 module not working)
* Wed Mar 12 2003 - sh@suse.de
- Applied Adrian's patch to use the correct ~/.qtrc in yast2-funcs
* Tue Mar 11 2003 - arvin@suse.de
- fixed syntax in start script (bug #25080)
* Mon Mar 10 2003 - gs@suse.de
- Fixed bugs #24866/#24865 in ncurses file selector (show links;
  set focus to the directory list)
* Sun Mar 09 2003 - nashif@suse.de
- Fixed bug #24953: beta message during installation does not time out
* Fri Mar 07 2003 - sh@suse.de
- Dropped "Notify" header for notify popups (#24782)
* Fri Mar 07 2003 - sh@suse.de
- Fixed bug #24809: sw_single window outside screen
  Now only using --fullscreen for sw_single with KDE running
* Fri Mar 07 2003 - sh@suse.de
- Fixed bug #24790 - Wrong Qt style in y2cc modules after inst.
  (Adrian)
* Wed Mar 05 2003 - ms@suse.de
- added scr agent for /etc/sysconfig/displaymanager handling (#24669)
- do not check for packages in autoinst mode (#24706)
* Mon Mar 03 2003 - jsrain@suse.de
- added scr agent for /etc/sysconfig/hotplug handling (#22580)
* Mon Mar 03 2003 - arvin@suse.de
- once more merged proofread texts
* Mon Mar 03 2003 - arvin@suse.de
- fixed testsuite
* Fri Feb 28 2003 - ms@suse.de
- use require.ycp for package checks in X11Version.ycp (#24488)
* Fri Feb 28 2003 - kkaempf@suse.de
- honor 'manual' on kernel command line (#24462)
* Tue Feb 25 2003 - kkaempf@suse.de
- fix mkdir silence option.
* Tue Feb 25 2003 - kkaempf@suse.de
- suppress warning if /tmp/.qt already exists (#24243)
* Mon Feb 24 2003 - jsrain@suse.de
- added `opt (`notify) to Wizard_hw::ConfiguredContent table to
  allow double click handling (#24095)
- 2.7.15
* Thu Feb 20 2003 - arvin@suse.de
- use title-style capitalization for menu names (bug #23848)
* Wed Feb 19 2003 - arvin@suse.de
- fixed DoNotAcceptButtonLabel (used during beta notice)
* Tue Feb 18 2003 - arvin@suse.de
- added AsciiFile module from yast2-storage
* Mon Feb 17 2003 - arvin@suse.de
- disable x11 setup on mips
- make Next and Accept the default button
* Mon Feb 10 2003 - arvin@suse.de
- setup complete environment for qt during installation
* Mon Feb 10 2003 - arvin@suse.de
- make anti aliased fonts work
* Thu Feb 06 2003 - sh@suse.de
- New command line options for "yast2" script: --fullscreen --noborder
- Always start "sw_single" in full screen mode
* Wed Feb 05 2003 - arvin@suse.de
- merged proofread messages
* Mon Feb 03 2003 - sh@suse.de
- V 2.7.7
- Added default function key handling
* Mon Feb 03 2003 - arvin@suse.de
- new pot file handling
* Mon Jan 27 2003 - arvin@suse.de
- added popt to neededforbuild
* Mon Jan 27 2003 - msvec@suse.de
- network groups: Network Devices and Network Services
- 2.7.4
* Fri Jan 24 2003 - mvidner@suse.de
- Added readconfig.ycp to the file list. Fixes autoyast.
* Fri Jan 17 2003 - mvidner@suse.de
- Reverted sequencer checking: allow superfluous aliases.
- 2.7.3
* Tue Jan 14 2003 - mvidner@suse.de
- Added function key shortcuts to common dialogs (try F1 in curses).
- Report: added global settings for easier access (nashif).
- 2.7.2
* Mon Jan 13 2003 - jsrain@suse.de
- added crashes handling module
* Fri Jan 10 2003 - mvidner@suse.de
- mail table agent: Prevent returning strings as integers/booleans (~#21804).
* Fri Dec 20 2002 - mvidner@suse.de
- file_popups: in qt, use the new widgets
- Arch: fallback for .probe.system being nil (msvec)
- workaround for CallFunction scope bug (#22486) (msvec)
- sequencer: check that all aliases are used (msvec)
- common_messages: DoNotAcceptButtonLabel (arvin)
- Wizard: use opt(key_F1) for Help (gs)
- 2.7.1
* Wed Nov 13 2002 - ms@suse.de
- forgot to add hwinfo and hwinfo-devel to neededforbuild
* Wed Nov 13 2002 - ms@suse.de
- fixed GetVersion() function within the X11Version module. The code
  to obtain the XFree86 version used to configure the installed
  card was really broken. I add a libhd based C program to check
  whether XFree86 4 or 3 is used to configure the card. This program
  is called from the GetVersion() function now.
* Mon Oct 21 2002 - arvin@suse.de
- print warning if qt frontend is installed but does not work
  (bug #20805)
* Thu Oct 17 2002 - arvin@suse.de
- fixed arrows in ncurses menu (#19902)
* Fri Oct 11 2002 - msvec@suse.cz
- fixed translations in the ncurses menu (#20801)
- 2.6.39
* Fri Oct 11 2002 - arvin@suse.de
- added lost password.ycp (bug #20087)
* Fri Sep 20 2002 - kkaempf@suse.de
- access content only in initial mode
- 2.6.37
* Fri Sep 20 2002 - kkaempf@suse.de
- read initial language from content file
- 2.6.36
* Wed Sep 18 2002 - arvin@suse.de
- does not provides/obsoletes the old yast
* Thu Sep 12 2002 - kkaempf@suse.de
- define IgnoreButtonLabel in WFM and UI
- 2.6.34
* Tue Sep 10 2002 - arvin@suse.de
- added provide/obsolete y2t_menu (bug #19325)
* Sun Sep 08 2002 - arvin@suse.de
- added help text in y2menu
* Thu Sep 05 2002 - arvin@suse.de
- wizard loads it's images from the theme dir
* Wed Sep 04 2002 - mvidner@suse.cz
- ncurses menu: fixed shortcut cycling in the group menu (#18258).
- 2.6.30
* Mon Sep 02 2002 - mvidner@suse.cz
- ag_initscripts: fixed parsing Short-Descriptions.
* Sat Aug 31 2002 - schwab@suse.de
- Don't waste tons of memory in y2menu.
* Fri Aug 30 2002 - arvin@suse.de
- moved X11Version.ycp from yast2-installation here
* Thu Aug 29 2002 - sh@suse.de
- Adapted wizard colors to new grey style images by wimer@suse.de
* Thu Aug 29 2002 - mvidner@suse.cz
- wizard: prevent temporary (but visible) truncations
  of dialog captions (#18517).
* Wed Aug 28 2002 - mvidner@suse.cz
- mail aliases: fixed line continuation processing (#18487).
- file_popups::PopupDir: fixed the Selected directory heading.
- 2.6.28
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Thu Aug 22 2002 - arvin@suse.de
- make links to yast2 relative (bug #18170)
* Tue Aug 20 2002 - arvin@suse.de
- added variable Mode::x11_setup_needed and Arch::x11_setup_needed
* Tue Aug 20 2002 - arvin@suse.de
- added ncurses based y2menu by Marco Skambraks
* Sun Aug 18 2002 - kkaempf@suse.de
- honor /etc/install.inf:UseSSH (#18053)
* Fri Aug 16 2002 - arvin@suse.de
- marked more texts for translation
* Wed Aug 14 2002 - arvin@suse.de
- removed links to /sbin/yast2 with non ascii characters to
  prevent screen corruption is some locales
* Tue Aug 13 2002 - arvin@suse.de
- merged proofread texts
* Mon Aug 12 2002 - kkaempf@suse.de
- read /etc/install.inf:InstMode correctly for Mode::boot
- 2.6.20
* Sun Aug 11 2002 - mvidner@suse.cz
- Runlevel: use full path of service scripts; force removal
  (#17608 workaround)
- 2.6.19
* Fri Aug 09 2002 - mvidner@suse.cz
- Fixed falling back to ncurses when DISPLAY is set
  but yast2-qt is not installed.
- Added Runlevel::error_msg, to inform the user what went wrong.
- 2.6.18
* Tue Aug 06 2002 - arvin@suse.de
- fixed detection of autoinst in Mode.ycp
* Mon Aug 05 2002 - arvin@suse.de
- adaption for new /etc/install.inf agent
* Wed Jul 31 2002 - mvidner@suse.cz
- Moved private runlevel files back to yast2-runlevel.
- 2.6.15
* Mon Jul 29 2002 - msvec@suse.cz
- included some general purpose agents
- 2.6.14
* Wed Jul 24 2002 - jsuchome@suse.cz
- Added runlevel module files.
* Fri Jul 19 2002 - mvidner@suse.cz
- Moved aliases handling from yast2-mail (bug #11730).
- 2.6.13
* Fri Jul 19 2002 - mvidner@suse.cz
- Added Wizard::{Set,Restore}ScreenShotName ().
- Moved sysconfig/ypserv definition from yast2-nis-server.
- 2.6.12
* Fri Jul 19 2002 - sh@suse.de
- Wizard now uses consistent image names for easier OEM logo
  handling
* Tue Jul 16 2002 - sh@suse.de
- V 2.6.11
- provide/obsolete yast2-trans-wizard
* Fri Jul 12 2002 - kkaempf@suse.de
- fix sequencer and wizard testsuite
- call sequencer testsuite during build
- 2.6.10
* Fri Jul 12 2002 - msvec@suse.cz
- added doc and autodocs
- new module Directory: contains definitions of all directories
* Tue Jul 09 2002 - mvidner@suse.cz
- Provides/Obsoletes fixed for the devel subpackage
* Thu Jul 04 2002 - arvin@suse.de
- move non binary file from /usr/lib/YaST2 to /usr/share/YaST2
* Mon Jul 01 2002 - kkaempf@suse.de
- split of images to separate package
* Thu Jun 27 2002 - kkaempf@suse.de
- merged yast2-lib-sequencer and yast2-lib-wizard.
* Tue Jun 11 2002 - arvin@suse.de
- the yast2 script now handels all arguments as strings when
  calling y2base
* Thu Jun 06 2002 - arvin@suse.de
- various minor fixes for installation
* Wed Jun 05 2002 - kkaempf@suse.de
- recode shell output properly for UI (#16178)
- don't require trans packages (#16285)
* Wed May 29 2002 - arvin@suse.de
- fixed yast2 start scripts for lib/lib64
* Tue May 28 2002 - sh@suse.de
- V 2.6.4
- dropped obsolete hw_setup_launcher.ycp
- fixed file list in spec file
- fixed Makefile.am to work with new automake
* Wed May 22 2002 - tom@suse.de
- Moved X11 functionality from x11 to y2c_x11.
* Tue May 14 2002 - arvin@suse.de
- prevent ncurses frontend to start with languages that
  are known to not work correct
* Wed May 08 2002 - tom@suse.de
- Removed keyboard, mouse, timezone, language (now extra packages)
* Tue Apr 23 2002 - fehr@suse.de
- remove subdirectories storage and partitioning they are now in
  a separate package yast2-storage.
- new version 2.6.2
* Wed Apr 17 2002 - tom@suse.de
- (#15565) monitors.ycp newly generated with uppercase vendor and
  model strings.
* Tue Apr 16 2002 - gs@suse.de
- (#15600, #15727) Package Installation: check again the package
  dependencies if the user deselects an additional required package
* Mon Apr 15 2002 - tom@suse.de
- (#15546) Now changing lilo.conf correctly.
* Thu Apr 11 2002 - tom@suse.de
- (#15546) Handle VESA mode correctly for fbdev graphics.
* Wed Apr 10 2002 - tom@suse.de
- (#15690) Now the probe button really probes.
* Wed Apr 10 2002 - lnussel@suse.de
- merged modifications for certification/product CD
* Wed Mar 27 2002 - kkaempf@suse.de
- Unpack driver update data in chrooted directory.
- y2update.tar.gz is alread copied by linuxrc, don't expect
  it below /media/floppy.
* Wed Mar 27 2002 - kkaempf@suse.de
- Evaluate "partition" and "serverdir" when installing from
  harddisk (#15525).
* Wed Mar 27 2002 - gs@suse.de
- Change source medium: use "serverdir" instead of "partition"
  (concerns installation from hard disk)
* Tue Mar 26 2002 - kkaempf@suse.de
- Set all hardware to a defined state after update (#15532).
- For installation from harddisk, use "serverdir" instead of
  "partition" from install.inf (#15525).
- linuxrc mounts CD1 to /var/adm/mount during harddisk install
  (#15525).
* Tue Mar 26 2002 - sh@suse.de
- Fixed bug #15520: can't boot into installed system
* Tue Mar 26 2002 - ms@suse.de
- need blank as first sign for VESA and LCD vendor to ensure
  proper display at top of the monitors list (#15521)
* Tue Mar 26 2002 - sh@suse.de
- Fixed bug #15512: Can't install base pkgs in installed system
* Tue Mar 26 2002 - tom@suse.de
- (#15518) Renamed YaST-internal IDs in sysconfig:
  keyboard: YAST_TYPE --> YAST_KEYBOARD
  mouse:    YAST_TYPE --> YAST_MOUSE
* Tue Mar 26 2002 - kkaempf@suse.de
- Delete runme_at_boot after updating all packages.
* Tue Mar 26 2002 - tom@suse.de
- (#15515) YaST-internal IDs are now: keyboard: YAST_TYPE, mouse: YAST_TYPE
* Tue Mar 26 2002 - sh@suse.de
- Fixed bug #15506: Disable "Change" menu when skipping HW config
* Mon Mar 25 2002 - tom@suse.de
- (#14852) inst_config_x11.ycp:
  The variables currentMode and Selected_3D were first stored into the
  X11 module and then queried from the UI. Fixed.
* Mon Mar 25 2002 - sh@suse.de
- Fixed bug #15418: selbox in inst_rootpart not wide enough
* Mon Mar 25 2002 - kkaempf@suse.de
- make update.post script executable before starting it.
- Allow either packed or unpacked extension disk.
* Mon Mar 25 2002 - fehr@suse.de
- make reading of exiting fstab work again (#15482)
* Mon Mar 25 2002 - schubi@suse.de
- kdoc added in forceupdate list
* Mon Mar 25 2002 - kkaempf@suse.de
- adapt probing for usb controllers to changed libhd requirements
  (#15483).
- dont re-calculate bootloader location if it was set manually
  (#15446).
- fix typo in monitors.ycp ("90,47" is no valid vsync).
* Mon Mar 25 2002 - sh@suse.de
- Fixed bug #15419: confusing message in inst_suseconfig
* Mon Mar 25 2002 - gs@suse.de
- Update: change status from "u" to "i" for uninstalled packages
  (#14727)
* Mon Mar 25 2002 - sh@suse.de
- Fixed bug #15412: One log line for each package installed
* Mon Mar 25 2002 - fehr@suse.de
- moved static dialog definitions for fs options into function
  GetNormalFilesystems() to make translations work (#15460)
* Mon Mar 25 2002 - ms@suse.de
- update monitors.ycp to currently used CDB entries (#15421).
* Sun Mar 24 2002 - kkaempf@suse.de
- delete runme_at_boot after package installation (#15430).
- remember device (index) where (wrong) SuSE medium was found (#15432).
* Fri Mar 22 2002 - gs@suse.de
- package selection: show correct status of the package (#15400)
* Fri Mar 22 2002 - fehr@suse.de
- removed superfluous warning about fsid change when assigning a
  mount point to LVM LV (#15388)
- changed fstab options for /proc/bus/usb from "defaults,noauto"
  to "noauto" (#15389)
* Fri Mar 22 2002 - kkaempf@suse.de
- Call /usr/bin/setfont without parameters when Braille enabled (#13801).
* Fri Mar 22 2002 - gs@suse.de
- Change source of installation: umount /var/adm/mount before mounting
  the new source medium (#14425)
* Fri Mar 22 2002 - sh@suse.de
- Fixed bug #15356: killed mwm message
* Fri Mar 22 2002 - schubi@suse.de
- bugix: Xf86config module has been overwritten while update #15376
  ( wrong if statement in inst_finish.ycp )
* Fri Mar 22 2002 - gs@suse.de
- Update: show packages with status "d" in the "No Update" list
  (#15350)
* Thu Mar 21 2002 - tom@suse.de
- (#14936) Now capturing `cancel and treating like `abort.
* Thu Mar 21 2002 - arvin@suse.de
- check for yast2-qt-plugin and it's libraries in the YaST2 and
  yast2 start scripts (bug #15300 and probably bug #13831)
* Thu Mar 21 2002 - tom@suse.de
- (#14882) Now marking probed but unused monitor-hw-data with configured = no.
* Thu Mar 21 2002 - kkaempf@suse.de
- Drop intermediate textdomain calls, they're useless (#15294).
* Thu Mar 21 2002 - gs@suse.de
- Package installation: respect product information AND release number
  of the source medium (#15278)
* Thu Mar 21 2002 - schubi@suse.de
- Checking mouse protocol before calling update_Xf86config
* Thu Mar 21 2002 - sh@suse.de
- Fixed bug #15220: Wizard buttons not translated
* Thu Mar 21 2002 - sh@suse.de
- Fixed endless loop in language with some weird NCurses combinations
* Thu Mar 21 2002 - gs@suse.de
- Update: do not allow status "delete" for packages which are not
  installed (#14727)
* Thu Mar 21 2002 - ms@suse.de
- fixed check script to be valid with the new firegl driver [fglr200]
* Thu Mar 21 2002 - schubi@suse.de
- Checking broken update correctly #13597
* Thu Mar 21 2002 - kkaempf@suse.de
- fallback to (chipset related) vendor/device if graphics card
  doesn't provide (manufacturer related) subvendor/subdevice (#15099)
* Wed Mar 20 2002 - tom@suse.de
- (#15098) Now reading file with default value.
* Wed Mar 20 2002 - kkaempf@suse.de
- Also show SuSE release number when choosing root partiton (#15243).
- Properly probe cdroms during installation/update (#15275).
* Wed Mar 20 2002 - fehr@suse.de
- fix problem with map access to non-map in GetEntryForMountpoint
  (#15229)
- fix problem with wrong partition proposal
- fix problem with wrong default filesystem (#15057)
* Wed Mar 20 2002 - tom@suse.de
- (#15093) New frequency range: [60,62,65,68,70,72,75,78,80,85,90,100]
* Wed Mar 20 2002 - sh@suse.de
- Fixed bug #15214: Control center after HW proposal english only
- Fixed bug #15201: Disable WM decorations for first control center
* Wed Mar 20 2002 - lnussel@suse.de
- added -S option to yast2 shell script (for susewm)
* Wed Mar 20 2002 - schubi@suse.de
-  Installing vnc (if needed ) while updating the system #14707
* Wed Mar 20 2002 - tom@suse.de
- Added norwegian language.
* Wed Mar 20 2002 - sh@suse.de
- Fixed bug #13894: Slide show progress bar shows wrong value
* Wed Mar 20 2002 - schubi@suse.de
- Starting raidstart for partitions which are not / and have
  raid systems ( update ). #14798
* Wed Mar 20 2002 - kkaempf@suse.de
- remember language in Mouse in order to trigger re-translation
  (#15197).
* Tue Mar 19 2002 - sh@suse.de
- Fixed bug #14530: Explicit file names in .spec rather than *.scr
* Tue Mar 19 2002 - gs@suse.de
- Update: re-evaluate the update packages if the status of the
  "Clean up the system ..." checkbox has changed
* Tue Mar 19 2002 - schubi@suse.de
- Call substring with the correct parameters #15184
  ( inst_rpmupdate.ycp)
* Tue Mar 19 2002 - kkaempf@suse.de
- Also write hardware status for already active ide, floppy, usb
  controllers, and framebuffer (#15195).
- Preliminary fix for YaST2.firstboot (#15187).
* Tue Mar 19 2002 - tom@suse.de
- (#15096) Do not use undefined variable any more.
- (#15091) Now restoring saved monitor data in normal mode.
* Tue Mar 19 2002 - sh@suse.de
- Fixed "update finished, empty proposal dialog" bug
* Tue Mar 19 2002 - kkaempf@suse.de
- Properly check return code from inst_mode if update was choosen.
- just pass 'Framebuffer' entry from install.inf to lilo, don't
  look at probe results (#15168)
- add comments to /etc/sysconfig/bootloader.
* Mon Mar 18 2002 - tom@suse.de
- (#14238) Now writing sysconfig comments for the mouse.
* Mon Mar 18 2002 - sh@suse.de
- Fixed bug #15101: Checkboxes truncated in 80x24 ncurses proposal
* Mon Mar 18 2002 - kkaempf@suse.de
- re-probe cdroms in installed system in order to get proper status
  for ide cdwriter devices which couldn't be detected at boot-time
  (#15126).
* Mon Mar 18 2002 - lnussel@suse.de
- added -i option for installing packages to yast2 shell script
- added some shell magic to allow more than two parameters for modules
* Mon Mar 18 2002 - gs@suse.de
-  Recode for copyright and author added (#15058)
* Mon Mar 18 2002 - kkaempf@suse.de
- Bugfix for lilo/dolilo: drop "vga" from append, pass via "-v"
  to dolilo.
* Mon Mar 18 2002 - sh@suse.de
- Fixed bug #15090: "No" in "really install" interpreted as "yes"
* Mon Mar 18 2002 - sh@suse.de
- Fixed bug #15100: Default "off" for "start control center"
* Mon Mar 18 2002 - snwint@suse.de
- mk_lilo_conf: put 'vga' entry into image section
* Fri Mar 15 2002 - tom@suse.de
- (#13878) Added Estonian keyboard.
* Fri Mar 15 2002 - tom@suse.de
- (#14855) Language: Added Slovene language.
- (#14855) Keyboard: Added Slovene keyboard to YaST2 keyboards.
- (#14855) Timezone: Cleaned up existing lang --> timezone mess (new: Slovene).
* Fri Mar 15 2002 - kkaempf@suse.de
- drop workaround for author/copyright twist from libpkg.
- Replace "\n" in author list with ", "
* Fri Mar 15 2002 - fehr@suse.de
- fix wrong nameing for windows mount points (#15031)
* Fri Mar 15 2002 - kkaempf@suse.de
- ignore more cmdline parameters
- don't pass "-v" (for global vga=) to dolilo, the "vga=" in the
  append line is sufficient.
* Fri Mar 15 2002 - gs@suse.de
- Update: do not delete "aps" if it is in use (#15015)
- Package Selection: correct update of the disk space information
* Fri Mar 15 2002 - snwint@suse.de
- updated 'failsafe' options for lilo.conf
- append user specified boot options to 'failsafe' entry
* Fri Mar 15 2002 - sh@suse.de
- Fixed bug #13894: Slide show pkg sizes garbled from CD2 on
* Fri Mar 15 2002 - tom@suse.de
- (#15021) Now only removing X11-link in case of "No X11".
* Fri Mar 15 2002 - kkaempf@suse.de
- Check also /proc/modules besides the "active" flag from hwinfo
  in order to find out if a module is already loaded (#15007).
* Thu Mar 14 2002 - sh@suse.de
- Fixed bug #14161: wrong background grey
* Thu Mar 14 2002 - sh@suse.de
- Fixed bug #13186: Start Y2 control center after installation
- Fixed bug #14975: Final "All is ready" popup
* Thu Mar 14 2002 - zoz@suse.de
- fix PCMCIA startup (#14661).
* Thu Mar 14 2002 - tom@suse.de
- Added turkish language again in language.ycp.
* Thu Mar 14 2002 - tom@suse.de
- (#14518) Added Irish.
* Thu Mar 14 2002 - tom@suse.de
- (#14814) Now translating old lang codes to ISO codes on entry.
* Thu Mar 14 2002 - kkaempf@suse.de
- scripts/yast2_kde: set LANG from /etc/sysconfig/language:RC_LANG (#14607).
- scripts/yast2: honor $LANG (#14607).
- install k_smp if > 4GB physical memory detected (#14287).
* Thu Mar 14 2002 - gs@suse.de
- (#14592) Now ask the user whether YaST2 shall delete unmaintained
  packages from the system
- (#14406), (#14805) Package selection dialog: help text added for "X"
  status and popup text changed
* Wed Mar 13 2002 - tom@suse.de
- (#14882) Now marking faked GENERIC Monitor with cfg=no.
* Wed Mar 13 2002 - tom@suse.de
- (#14885) Now writing "/dev/mouse" into XF86Config so xmset works in the
  running system.
* Wed Mar 13 2002 - nashif@suse.de
- Don't probe hardware in Mode::config
* Wed Mar 13 2002 - fehr@suse.de
- prevent upward rounding in combination of
  ByteToHumanString/kmgt_str_to_byte (#14673)
* Wed Mar 13 2002 - tom@suse.de
- (#14446) Now also restoring hwclock-param from sysconfig
  and setting timezone again in continue mode.
* Wed Mar 13 2002 - kkaempf@suse.de
- Fix locale for greek (ISO8859-7 -> ISO-8859-7, #14898).
- Set "acpismp=force" for UP and SMP systems if "ht" flag detected (#13531).
- Install k_smp if "BOOT_IMAGE=apic" given in cmdline (#14022).
- Dont change initrd modules aic7xxx vs. aic7xxx_old on update (#14614).
- Override instmode "cd" in install.inf, if setup/descr/info knows better
  (#14469).
- Start ncurses "menu" with first group preselected (instead of all),
  general code cleanup of menu code (#14909).
* Tue Mar 12 2002 - gs@suse.de
- equal button size in package conflict popups (#13302)
* Tue Mar 12 2002 - mvidner@suse.cz
- Provide keyboard shortcuts for the group and package tables in
  ncurses detailed package selection. #14737.
* Tue Mar 12 2002 - tom@suse.de
- (#13198) Changed mouse probing strategy.
  Applied sleep before mouse probing in inst_startup.ycp.
* Tue Mar 12 2002 - fehr@suse.de
- add hibernation partition to expert partitioner menue (#14668)
- handle raids present on system to install reasonably
* Mon Mar 11 2002 - tom@suse.de
- (#14491) Now using new "manual" probing to get the new unique key (mouse).
* Mon Mar 11 2002 - kkaempf@suse.de
- Skip all non-data lines in "parted print" output (#14793).
- Don't pass "manual" option to installed system.
* Mon Mar 11 2002 - tom@suse.de
- Detect language change to avoid unnecessary package selection recalculation.
* Mon Mar 11 2002 - sh@suse.de
- Fixed bug #14164: inst_mode should be a popup
* Mon Mar 11 2002 - tom@suse.de
- New script by ms@suse.de for changing X11-mouse-protocol during update.
* Fri Mar 08 2002 - kkaempf@suse.de
- clean up firsboot script to fix pcmcia/usb and usbdevfs (#14416)
- don't 'hard' probe for cdroms when checking for installation
  sources but rely on libhd configuration database instead.
  Fallback to /dev/cdrom if even this fails (#14555).
- add "vnc" package to installation list if running under vnc (#14707).
- remove duplicate portmap start from firstboot script.
* Fri Mar 08 2002 - tom@suse.de
- (#14663) Added textdomains to import-modules.
* Fri Mar 08 2002 - tom@suse.de
- (#13951) After having talked to ke@suse.de removed (commented out):
  ca_ES, gl_ES, hr_HR, ru_RU, tr_TR
  Added again:
  pt_BR
* Thu Mar 07 2002 - tom@suse.de
- (#14227 addendum) Just discovered that the faked monitor also fooled the
  automatic insertion of probed but unknown monitors into the monitor DB.
  This is done so that those monitors can be selected in the monitor selection
  dialog. Furthermore for user convenience such a monitor is preselected when
  entering the monitor selection dialog. Unfortunately the libhd-faked monitor
  does fulfil all those criteria and triggered this mechanism. Fixed.
* Thu Mar 07 2002 - tom@suse.de
- (#14227) Erroneously there was still a branch where the new behaviour of
  libhd was not honored. YaST now takes this into consideration in any case
  (hopefully) and leads the user to the monitor selection dialog again as it
  was before.
* Thu Mar 07 2002 - tom@suse.de
- (#14606) Solved by now displaying date in numerical form because in inst-sys
  not all translations for all languages are available for system commands.
  Invented new function Timezone::GetDateTime().
* Thu Mar 07 2002 - sh@suse.de
- Added missing "textdomain" in BootSILO.ycp
* Thu Mar 07 2002 - sh@suse.de
- Addes missing translation markers in inst_root
* Thu Mar 07 2002 - schubi@suse.de
- patch xf86config in update mode
* Thu Mar 07 2002 - fehr@suse.de
- handle editing of encrypted partitions in running system correct
- change handling of back-button in LVM lv dialog
* Wed Mar 06 2002 - schubi@suse.de
- textdomain added for software proposal #14538
* Wed Mar 06 2002 - schubi@suse.de
- Showing error popup, if the package agent has not been initialized
  correctly
* Wed Mar 06 2002 - tom@suse.de
- (#14540) Now setting sysconfig var DISPLAYMANAGER to  "console"  instead
  of DISPLAYMANAGER_STARTS_XSERVER to "no" if user selects "No X11".
* Wed Mar 06 2002 - sh@suse.de
- Fixed bug #14011: Switching laguages does not switch all texts
* Wed Mar 06 2002 - fehr@suse.de
- fix bug in handling crypto fs in running system (#13781)
* Wed Mar 06 2002 - kkaempf@suse.de
- Drop "-a" (activate parition) flag from dolilo call if no primary
  partition can be found for activation (#13884).
- Hide information box if user de-selected "Show details" checkbox
  in "Please insert CD n" popup.
- When checking for a medium, always start with the last active
  device and check other devices only on failure.
* Tue Mar 05 2002 - schubi@suse.de
- copy *.pkd to target system
* Tue Mar 05 2002 - tom@suse.de
- (#4849) Corrected if-clause in constructor. Now functional in continue mode.
* Tue Mar 05 2002 - kkaempf@suse.de
- Require "yast2-trans-inst-proposal" for yast2-instsys to get
  proper translations for the "proposal" screen.
- fix textdomain for 'proposal_bootloader' to "proposal".
* Tue Mar 05 2002 - tom@suse.de
- (#14457) Now date/time is redisplayed on any change in the UI.
* Tue Mar 05 2002 - schubi@suse.de
- Bugfix while changing update-upgrade-status #14473
* Tue Mar 05 2002 - lnussel@suse.de
- filter out "\n" in helptexts (#14337)
- create the list of all modules only once when the splashscreen is displayed
  and recycle this list later when the "All" button is selected (#14472)
* Tue Mar 05 2002 - tom@suse.de
- (#14211) Now executing SuSEconfig.3ddiag instead of switch2mesasoft.
* Tue Mar 05 2002 - kkaempf@suse.de
- Copy setup/descr/en.pkd instead of setup/descr/english.pkd to
  installed system.
* Mon Mar 04 2002 - tom@suse.de
- (#14116) Now considering Win partitions when assuming GMT vs. local time.
* Mon Mar 04 2002 - fehr@suse.de
- add module loading info for xfs
* Mon Mar 04 2002 - fehr@suse.de
- support more than 26 scsi disks (#13983)
- various fixes for usage in running system
* Mon Mar 04 2002 - zoz@suse.de
- check usb/pci hotplug on first start and rewrite sysconfig
  properly (#14428).
* Mon Mar 04 2002 - sh@suse.de
- Fixed the YaST2 part of bug #1218: Linuxrc displays an error
  message if the user aborted the installation
* Mon Mar 04 2002 - kkaempf@suse.de
- check old lilo destination on update and re-use it.
- when writing lilo on update, check better if floppy or harddisk.
- write bootloader related settings to sysconfig/bootloader.
- run /sbin/raidautorun after all storage modules are loaded.
* Mon Mar 04 2002 - sh@suse.de
- Fixed bug #14363: Don't execute SuSEconfig once more when going back
* Mon Mar 04 2002 - gs@suse.de
- show the packages of first set or group (#14339)
* Mon Mar 04 2002 - lnussel@suse.de
- added comment header to menu.ycp (#14379)
- replaced "Quit" with QuitButtonLabel()
* Mon Mar 04 2002 - gs@suse.de
- add button and popup for Samba installation in dialog Choose
  installation source (#14010)
* Mon Mar 04 2002 - tom@suse.de
- (#14117) Now showing static date/time in timezone window and proposal.
* Mon Mar 04 2002 - sh@suse.de
- Fixed bug #14351: YaST2 SuSEconfig executes *.rpmsave modules
* Mon Mar 04 2002 - gs@suse.de
- don't destroy the user defined software selection if the
  partitioning is changed (bug #14103)
* Mon Mar 04 2002 - schubi@suse.de
- Showing error message after update #14250
- Deleting unsupported packages while update #14194
- Showing delete packages correctly while update #14235
* Sat Mar 02 2002 - kkaempf@suse.de
- remember state of "details" checkbox if media not found (#14018).
- restore "instmode" properly (#14170).
* Sat Mar 02 2002 - schubi@suse.de
- Postifx added in force update #13995
* Fri Mar 01 2002 - fehr@suse.de
- set passno to 0 for partitions without mount point (#14130)
- determine bootable windows partitions independent of entry in
  /etc/fstab (#13884)
* Fri Mar 01 2002 - tom@suse.de
- (#14174) X11 configuration.
  Now also considering the xserver name when deciding to use framebuffer.
* Fri Mar 01 2002 - sh@suse.de
- Fixed bug #13630: inst_proposal reinitialized after selecting
  "No" in final installation confirmation (inst_doit)
* Fri Mar 01 2002 - kkaempf@suse.de
- Fixed YaST2.firstboot to handle pcmcia network correctly (#13993).
* Thu Feb 28 2002 - tom@suse.de
- (#14076) Now marking the monitor as "configured" and "needed".
* Thu Feb 28 2002 - tom@suse.de
- (#13888) Libhd now delivers a fake monitor when no monitor can be probed.
  So inst_choose_desktop now checks for the unique_key of this fake monitor.
  Also improved logging for diagnosing purposes.
* Thu Feb 28 2002 - sh@suse.de
- Fixed bug #13555: HW proposal error handling - added err logging
* Thu Feb 28 2002 - sh@suse.de
- Fixed bug #13556: Installation proposal screen not re-translated
* Thu Feb 28 2002 - gs@suse.de
- missing description for set "images" added (#1406)
- only one default button (#14067)
- correct installation of software packages in hardware configuration
  dialog (#14026)
* Thu Feb 28 2002 - schubi@suse.de
- Installing 3d packages after rebooting #13659
* Thu Feb 28 2002 - gs@suse.de
- improvements in popups used for software installation
* Thu Feb 28 2002 - fehr@suse.de
- fixes the wrong default when selecting a swap partition in the
  custom partitioner and formatting is turned on.
* Wed Feb 27 2002 - tom@suse.de
- (#13906) Invented a new function TimedOKCancelPopup() in
  common_popups.ycp. Using this function during X11-configuration.
* Wed Feb 27 2002 - kkaempf@suse.de
- Allow splitted dirs (.../CD1, .../CD2, ...) for all network
  installs (#14009).
- Sort partitions combo box in bootloader dialogue (#14124).
* Wed Feb 27 2002 - gs@suse.de
- proposal dialog: show a warning message, if the software selection is reset
  (bug #13942)
- set default button "Select/Deselect" in dialog Package Selection
* Wed Feb 27 2002 - tom@suse.de
- (#13944) Now reading sysconfig with default value.
  This applies to language, keyboard, mouse and timezone.
  Moved SysconfigRead() to Misc-module.
* Wed Feb 27 2002 - schubi@suse.de
- target.insmod to target.modprobe changed #13928
  ( update )
- LANG might not be in install.inf, get it from descr/info then.
  (#13959).
* Wed Feb 27 2002 - kkaempf@suse.de
- fix checking VNC on startup.
* Wed Feb 27 2002 - schubi@suse.de
- bugfix in starting update #13909
* Wed Feb 27 2002 - schubi@suse.de
- setting keyboard while update #13610
* Tue Feb 26 2002 - kkaempf@suse.de
- Fix "please wait" popup, wrap string in `Label().
* Tue Feb 26 2002 - tom@suse.de
- (#13944) Now reading sysconfig with default value.
  This applies to language, keyboard, mouse and timezone.
* Tue Feb 26 2002 - schubi@suse.de
- setting timezone moved to inst_rootpart ( update )
* Tue Feb 26 2002 - arvin@suse.de
- fixed emergency unmounting of installation system
* Tue Feb 26 2002 - kkaempf@suse.de
- add "sv_SV" for "swedish" to language list.
* Tue Feb 26 2002 - fehr@suse.de
- fix syntax error in functions used during update
- add call to .lvm.init before rereading Lvm infos
* Tue Feb 26 2002 - sh@suse.de
- Added help text for installation and hardware proposals
* Tue Feb 26 2002 - sh@suse.de
- Removed leftover debugging condition from last checkin
* Tue Feb 26 2002 - sh@suse.de
- "Only new installation" popup msg back from proof reading
* Tue Feb 26 2002 - schubi@suse.de
- setting timezone after update #13651
* Tue Feb 26 2002 - fehr@suse.de
- fix typo ia86 -> ia64 in do_propocal.ycp
* Tue Feb 26 2002 - gs@suse.de
- software installation: show the package version in the
  description popup (bug #13750)
* Tue Feb 26 2002 - schubi@suse.de
- initialize package agent correctly for update #13838
  ( grep and locate has not been updated )
* Tue Feb 26 2002 - sh@suse.de
- Added notify popup when user wants to change installation mode
  and no Linux partitions were found
* Tue Feb 26 2002 - kkaempf@suse.de
- Fix vnc password setting.
* Tue Feb 26 2002 - kkaempf@suse.de
- fix VNC check and startup.
* Tue Feb 26 2002 - kkaempf@suse.de
- remove "runme_on_start" early during first boot in order to
  prevent endless re-start (#13907).
- re-create "media" convenience symlinks (e.g. /cdrom->/media/cdrom)
  after update (#13756).
* Mon Feb 25 2002 - tom@suse.de
- Corrected handling of wheel mice in Mouse.ycp.
- Extended mouse_raw.ycp with "wheels"-field.
* Mon Feb 25 2002 - kkaempf@suse.de
- re-probe floppy and cdroms in installed system (#13828).
* Mon Feb 25 2002 - kkaempf@suse.de
- Support installation via VNC.
* Mon Feb 25 2002 - fehr@suse.de
- enable support for xfs, issue warning when it is used
- fix reading of fstab in installed system (#13457, #13455)
- fix wrong workflow in partitioner in installed system (#13456)
* Mon Feb 25 2002 - sh@suse.de
- Changed order of initial installation proposals to match
  agreement with marketing and software ergonimists
* Mon Feb 25 2002 - kkaempf@suse.de
- Enable "lo" interface when running in installed system.
- mout installation media read-only (#13846).
* Mon Feb 25 2002 - sh@suse.de
- Fixed bug #13612: Call to obsolete Wizard::SetStage()
* Mon Feb 25 2002 - sh@suse.de
- Fixed bug #13666: (Apparent) bad spelling
* Mon Feb 25 2002 - kkaempf@suse.de
- write hardware status for all storage related devices (#13657).
* Mon Feb 25 2002 - fehr@suse.de
- Fixed bug #11300, #13742 removal of a PV forgot partition marked
  for deletion
- handle active swap partition during installation
* Fri Feb 22 2002 - gs@suse.de
- Fixed bug #13640: consider change of partitioning for software
  selection
* Fri Feb 22 2002 - sh@suse.de
- Fixed bug #13341: Hardware Proposal must suppress missing configs
* Fri Feb 22 2002 - lnussel@suse.de
- workaround to make textdomain call work
- Added some commandline switches to /sbin/yast2, like --list
  (Bug #13738)
* Thu Feb 21 2002 - sh@suse.de
- Reimported monitor DB - fixed bug #13530: IBM monitor not detected
* Thu Feb 21 2002 - kkaempf@suse.de
- Unmount installation medium in target system (#13706).
- Install "apmd" if pcmcia detected (#13713).
- Load "mousedev" if USB (wheel) mouse (#13654).
- Check for either IO or memory resource when checking for
  active storage controllers (#13567).
- Copy hardware status to target system (#13762).
* Wed Feb 20 2002 - fehr@suse.de
- do not destroy proposal in `inst_mode when `installation is
  selected (#13644)
- reorder LVM changes in inst_predisk to make removal of PVs from
  VGs easier and make it succeed in more cases than before (#13415)
* Wed Feb 20 2002 - sh@suse.de
- Fixed bug #13513: Double abort confirmation
* Wed Feb 20 2002 - sh@suse.de
- Fixed bug #13594: Fallback for slide show "en" only, no longer
  "en_US", "en_GB", "en" (in this order)
* Wed Feb 20 2002 - kkaempf@suse.de
- add agent for /etc/sysconfig/windowmanager.
- fix writing of hwstatus for disk controllers.
- fix symlink handling for cd-w and cd-rw (#13596).
- handle $(srcdir) correctly when installing .scr files.
- add "acpismp=force" to kernel command line for "ht" processors.
* Tue Feb 19 2002 - kkaempf@suse.de
- Check for specific .S.u.S.E file, so multiple CDs can be copied
  into a single directory for network installation.
* Tue Feb 19 2002 - tom@suse.de
- Now setting timezone info with hwclock_wrapper.
* Tue Feb 19 2002 - kkaempf@suse.de
- Properly install "Vendor" module.
- Handle "Sourcemounted" from linuxrc and mount the medium if
  not done properly by linuxrc.
* Tue Feb 19 2002 - fehr@suse.de
- fix missing "/data<n>" mount point in installed system (#13406)
* Tue Feb 19 2002 - fehr@suse.de
- fix bug with windows resizing in old installation path
  (inst_target_selection.ycp, inst_target_part.ycp) (#13559)
* Tue Feb 19 2002 - kkaempf@suse.de
- save 'configured' status of devices detected during installation
  in order to get hw-probing at boot time correct.
* Tue Feb 19 2002 - kkaempf@suse.de
- Install SMP kernel if "ht" set in cpuinfo:flags (#13532).
- Keep old initrd, only add new modules.
* Mon Feb 18 2002 - kkaempf@suse.de
- Handle update in Boot, merge old initrd modules with new (#13370).
* Mon Feb 18 2002 - tom@suse.de
- Implemented reprobe functionality  for X11 config.
* Mon Feb 18 2002 - sh@suse.de
- V 2.5.41
* Mon Feb 18 2002 - fehr@suse.de
- Do not allow FAT partitions for system mountpoints (#13485)
- Do not allow some special characters in mountpoint (#13411)
- fix configuration of encrypted filesystems (#13268)
- fix inconsitencie in mount point suggestion (#13444)
* Mon Feb 18 2002 - sh@suse.de
- Fixed bug #13383: Letters not mentioned as valid chars in help text
* Mon Feb 18 2002 - kkaempf@suse.de
- Check pcmcia values in /etc/sysconfig/pcmcia instead of /etc/rc.config.
* Mon Feb 18 2002 - sh@suse.de
- Fixed bug #10726: Installation log incomplete during slide show
* Mon Feb 18 2002 - kkaempf@suse.de
- Move vendor driver update code to separate module.
* Mon Feb 18 2002 - schubi@suse.de
- vim howto* and ttmkfdir added to force list #13195
- Removing release number while checking packages for force update #12187
* Fri Feb 15 2002 - gs@suse.de
- Change source medium dialog: read the package information from
  the source medium (if mounting works)
* Fri Feb 15 2002 - kkaempf@suse.de
- make symlinks for /sbin/yast, /sbin/YaST, /sbin/zast, and /sbin/ZaST (#13292)
* Thu Feb 14 2002 - sh@suse.de
- inst_doit falls through back to proposal if inst_prepdisk etc. failed
- [Back] in update falls back to inst_mode
* Thu Feb 14 2002 - kkaempf@suse.de
- recognize USB-Wheel mouse (imps2 protocol) (#13258).
* Thu Feb 14 2002 - fehr@suse.de
- Fix ycp syntax error (#13214) when editing a dos partition
- Change second error dialog button in inst_prepdisk from
  "Cancel" to "Abort" (#13217)
* Thu Feb 14 2002 - kkaempf@suse.de
- Make fstab entries for all /dev/fdX devices (#13235).
* Wed Feb 13 2002 - sh@suse.de
- Changed default background color in installation start script
- Changed default geometry to 800x600 in start script
* Wed Feb 13 2002 - sh@suse.de
- cut off one of the "easy installation" pics to get rid of tons
  of layout warnings (allow some pixels more space for buttons to
  grow)
* Wed Feb 13 2002 - fehr@suse.de
- fix option handling for new version of mkreiserfs (#13205)
* Wed Feb 13 2002 - gs@suse.de
- don't compare the release number of the installation source
  with the information saved on hard disk
* Wed Feb 13 2002 - kkaempf@suse.de
- make remove button in physical volume dialog of PV work again
- remove correspondig create/remove pairs for LVM modify_targets
  (# 12083)
- add modify_targets to backup set of partition values
- Call BootLILO constructor for proper setting of lba_support.
* Wed Feb 13 2002 - olh@suse.de
- default to GMT also on chrp and prep
* Wed Feb 13 2002 - olh@suse.de
- dont call yast1 anymore on ppc
  dont write to non existant tty devices on iSeries
  handle p690 hvc console on startup
  update ask_for_TERM_variable
* Wed Feb 13 2002 - olh@suse.de
- add support for p690 hvc console in postinstall
  activate all 41prep boot partitions on iSeries
* Wed Feb 13 2002 - olh@suse.de
- add fixes for console font. whitespaces
- add ja_JP.sjis entry to consolefonts.ycp
* Wed Feb 13 2002 - olh@suse.de
- add ppc64 keymaps
* Wed Feb 13 2002 - fehr@suse.de
- fix bug in doing a valid proposal when using only primary
  partitions and /boot is needed (#13184)
- V 2.5.39
* Tue Feb 12 2002 - kkaempf@suse.de
- remove superfluous calls to inst_ask_hardware.
* Tue Feb 12 2002 - sh@suse.de
- V 2.5.37
- Initial call to submod Write() func in proposal (for HW config)
* Tue Feb 12 2002 - kkaempf@suse.de
- setup "lo" during network install.
* Tue Feb 12 2002 - sh@suse.de
- V 2.5.35
* Tue Feb 12 2002 - sh@suse.de
- Added images for new "easy installation" layout
* Tue Feb 12 2002 - msvec@suse.cz
- added network proposals
- 2.5.34
* Tue Feb 12 2002 - kkaempf@suse.de
- hwclock runs only GMT on sparc and iseries.
- dont write FQHOSTNAME.
* Tue Feb 12 2002 - kkaempf@suse.de
- write keyboard data to /etc/sysconfig/keyboard instead of sysconfig/console.
* Mon Feb 11 2002 - kkaempf@suse.de
- re-config network device even on 'warm' boot.
* Mon Feb 11 2002 - fehr@suse.de
- following changes in partition proposal:
  try not to create an extended partition when enough primaries are
  available
  split swap from root slots large enough if at all possible
* Thu Feb 07 2002 - pblahos@suse.cz
- proposal_printers changed to proposal_printers
* Thu Feb 07 2002 - kkaempf@suse.de
- save infoMap and installMap for re-use after reboot.
* Wed Feb 06 2002 - sh@suse.de
- Provides/obsoletes yast
* Tue Feb 05 2002 - sh@suse.de
- Timeout upon msg "now booting your system"
  unless a hard reboot is required
* Tue Feb 05 2002 - kkaempf@suse.de
- Properly reboot when adding ide-scsi to cmdline.
- Re-config ethX for all network installation modes.
- Restart portmapper for "nfs" installation mode.
* Tue Feb 05 2002 - kukuk@suse.de
- Try to clear terminal before we ask for TERM variable [Bug #12848]
* Tue Feb 05 2002 - sh@suse.de
- Fixed bug #13040: yast2 should not require saxtools
* Tue Feb 05 2002 - kkaempf@suse.de
- Make "custom" boot loader field an editable combo box (#11821).
* Mon Feb 04 2002 - snwint@suse.de
- added 'change-rules reset' to lilo.conf to prevent lilo from rewriting
  the partition table (#11875)
* Fri Feb 01 2002 - gs@suse.de
- Single Package Selection: optimize checks when selecting a package
* Thu Jan 31 2002 - sh@suse.de
- Made proposal aware of language changes
- Reintroduced inst_mode unless absolutely clear if update possible
* Thu Jan 31 2002 - kkaempf@suse.de
- recognize "imps2" mice.
* Thu Jan 31 2002 - kkaempf@suse.de
- Fix writing of yast.inf
* Wed Jan 30 2002 - kkaempf@suse.de
- force /dev/cdrom symlink to point to boot cdrom.
- work around linuxrc "InstMode" bug.
* Wed Jan 30 2002 - kkaempf@suse.de
- drop ag_yast agent, do yast.inf writing in Misc module.
* Wed Jan 30 2002 - kkaempf@suse.de
- make cd-links prior to re-mounting.
* Wed Jan 30 2002 - gs@suse.de
- bugfix concerning software installation workflow:
  read local package description instead of information from mounted medium
* Wed Jan 30 2002 - kkaempf@suse.de
- make device symlinks earlier.
* Tue Jan 29 2002 - kkaempf@suse.de
- write lilo to /dev/md if /boot is on raid1.
- adapting update to new agents.
* Tue Jan 29 2002 - arvin@suse.de
- always use ini-agent instead of rcconfig-agent;
  bugfix syntax error in Bootloader module
* Mon Jan 28 2002 - kkaempf@suse.de
- Simplify bootloader proposal.
- Adapt to changed install.inf syntax.
* Mon Jan 28 2002 - gs@suse.de
- internal changes concerning the initialization of the package agent
* Thu Jan 24 2002 - gs@suse.de
- bugfixes package installation workflow (already installed system)
* Wed Jan 23 2002 - schubi@suse.de
- include/packages added in specfile
* Tue Jan 22 2002 - schubi@suse.de
- Saving user package selections
* Mon Jan 21 2002 - nashif@suse.de
- Skip confirmation(inst_doit)  in autoinst mode
  if requested in control file
* Mon Jan 21 2002 - schubi@suse.de
- bufixes in installing packages after reboot
* Fri Jan 18 2002 - kkaempf@suse.de
- more agents moved here.
- Fixed initrd creation, corrected module order.
- Final installation workflow (3 clicks !) and button labels.
* Tue Jan 15 2002 - kkaempf@suse.de
- move bootloader do* scripts to bootloader sub-directories.
- fix bootloader proposal and texts.
* Mon Jan 14 2002 - kkaempf@suse.de
- add dasddev.scr etc_cryptotab.scr etc_fstab.scr parted_check.scr
  parted_print.scr pdisk.scr proc_meminfo.scr proc_swaps.scr
  run_swapon_s.scr to ycp/partitioning/agents
- remove conf directory
- Integrate bootloader proposal.
* Thu Jan 10 2002 - kkaempf@suse.de
- fix filelist.
* Thu Jan 10 2002 - sh@suse.de
- Added proposal files to spec file file list
* Wed Jan 09 2002 - kkaempf@suse.de
- pass filesystem module needed for "/" to Boot module.
* Tue Jan 08 2002 - kkaempf@suse.de
- integrated software and partition proposal.
* Fri Jan 04 2002 - arvin@suse.de
- adapted the new SCROpen syntax
* Fri Jan 04 2002 - kkaempf@suse.de
- Complete modularization, drop user_settings.
- Implement new workflow, based on proposals, requiring
  a minimum amount of mouse clicks.
- Add support for auto installation.
* Mon Dec 10 2001 - kkaempf@suse.de
- Greek locale fix (el_GR@ISO8859-7 instead of el_GR@euro, #12587)
* Wed Nov 21 2001 - sh@suse.de
- Fixed bug #12381: YaST2 ignores ENABLE_SUSECONFIG in rc.config
* Thu Nov 15 2001 - sh@suse.de
- V 2.5.8
- Fixed lots of missing lookup() default values
- Migrated inst_startup to new ProgressBar wizard
* Fri Oct 19 2001 - ms@suse.de
- include BusID statement if r128 driver is used. This is needed
  for the r128 driver on PPC and does not influence the i386 setup
  negatively [y2xr40.pl] Bug: 11689
* Thu Oct 18 2001 - tom@suse.de
- (#11689) Necessary changes to provide the BusID on PPC/r128.
* Thu Oct 18 2001 - tom@suse.de
- (#11876) Corrected Symbols for Japanese. nec/jp --> jp.
* Tue Oct 16 2001 - tom@suse.de
- (#11847) X11-config. Now using new y2xr40 parameter "-o <option-csl>".
* Tue Oct 16 2001 - sh@suse.de
- V 2.5.4
- Migration to yast2-devtools
* Mon Oct 15 2001 - ms@suse.de
- include a general parameter called --option which
  requires a comma separated list of options. This is the better
  solution if we need special options for calling y2xr40.pl
* Mon Oct 15 2001 - sh@suse.de
- Fixed bug #11812: patch_lilo_conf produces double initrd entry
* Fri Oct 12 2001 - tom@suse.de
- (#11672) Extended some YCP files with special cases for PPC.
* Fri Oct 05 2001 - kkaempf@suse.de
- present button "format floppy" if mount fails (#1220).
* Thu Oct 04 2001 - lnussel@suse.de
- do not overwrite softwaresel in usersettings if it's already set
* Wed Oct 03 2001 - olh@suse.de
- first part of bootconfiguration for ppc (#5440) ..............
* Wed Oct 03 2001 - olh@suse.de
- do not create floppy link on new Macs and iSeries
  write fstab correctly, not type auto for known filesystems
  whitespaces..
* Wed Oct 03 2001 - olh@suse.de
- do not force xf3 on ppc. the whole Xsetup is still broken...
* Wed Oct 03 2001 - olh@suse.de
- add mol and sudo to package list on pmac
  small whitespace fixes
* Wed Oct 03 2001 - olh@suse.de
- do not call mk_initrd on ppc in inst_finish_update
* Wed Oct 03 2001 - olh@suse.de
- fix handling of chrp kernels, compare lowercase strings
  use name_of_kernel_image for usersettings,
  s390 and axp must be verified (#9713)
* Tue Oct 02 2001 - olh@suse.de
- add keymap2mac.ycp to filelist (#11336)
  fix english-us and uk list
* Fri Sep 28 2001 - fehr@suse.de
- add dasd-parameter to S390 boot configuration
* Thu Sep 27 2001 - fehr@suse.de
- remove entry bus -> "SCSI" for LVM VGs
* Thu Sep 27 2001 - olh@suse.de
- install pmud on pmac and remove some obsolete packages on pmac
* Thu Sep 27 2001 - kkaempf@suse.de
- drop 3-button emulation since it might interfere with X11
  button events (#11204).
* Wed Sep 26 2001 - tom@suse.de
- (#11315 addendum) Now also updating the path section.
* Wed Sep 26 2001 - kendy@suse.cz
- update_unique_keys.pl: call hwinfo with --all instead of --reallyall
  (#11340).
* Wed Sep 26 2001 - sh@suse.de
- Reimported monitor DB (bug #11252: Iiyama monitors missing)
* Wed Sep 26 2001 - kkaempf@suse.de
- add /sbin:/usr/sbin to runtime PATH.
- vendor.ycp: message is string, not locale.
* Tue Sep 25 2001 - tom@suse.de
- (#11315) X11 reconfig: Now also updating the card section.
* Tue Sep 25 2001 - kkaempf@suse.de
- re-probe for mountable media (floppies) after loading
  of usb-storage (#11299).
* Tue Sep 25 2001 - kkaempf@suse.de
- make proper re-use of messages in inst_finish_update to get
  correct translations.
- prepare a mtab for mk_initrd after update.
- if first bios drive isn't hda, lilo probably wants to know about this.
* Mon Sep 24 2001 - snwint@suse.de
- do not try to install lilo into a raid partition (#10329)
* Mon Sep 24 2001 - sh@suse.de
- Added final "all the rest" step for SuSEconfig
* Mon Sep 24 2001 - lnussel@suse.de
- do not mount ntfs partitions automatically during installation (#11222)
* Mon Sep 24 2001 - kkaempf@suse.de
- If the mouse was choosen manually, going back must present
  mouse selection again (#11235).
- No need to make a backup of /etc/fstab in inst-sys, there's none anyway.
  Then inst_finish_update gets the correct fstab (#11215).
* Mon Sep 24 2001 - kkaempf@suse.de
- update NVIDIA kernel modules regardless of version (#11091).
* Mon Sep 24 2001 - kkaempf@suse.de
- set console keyboard even when called standalone (#11223).
* Mon Sep 24 2001 - kkaempf@suse.de
- split language and encoding to prevent gettext from applying
  it's own recoding.
* Mon Sep 24 2001 - sh@suse.de
- Correctly init slide show in installed system so YOU and single
  package installation works OK
* Mon Sep 24 2001 - kkaempf@suse.de
- Load usb-storage last in order to not interfere with other storage
  module (9490).
* Sun Sep 23 2001 - mike@suse.de
- (#11188) Press back at the "suggested partitioning" screen followed by
  "next" and YaST2 says "You have rejected the proposal.
  RAID: bugfix: user are not allowed to remove RAID Devices in UI
  which are already exist.
* Sun Sep 23 2001 - kukuk@suse.de
- Check for color depth, not # of colors for slide show to avoid
  problems with overflow (#11178)
* Sat Sep 22 2001 - kukuk@suse.de
- Sync X11 font path with SaX2
- Enable jfs and ext3 on PPC (#11194)
* Sat Sep 22 2001 - fehr@suse.de
- add "ori_nr" entries for lvm and md devices
- add empty argument to SCR call
* Sat Sep 22 2001 - tom@suse.de
- (#10421) Fixed the focus switch.
* Sat Sep 22 2001 - mike@suse.de
- md: detect number of raid partitions per RAID only for new created RAIDs
- md: do not let the user edit or delete already existing RAIDs
- swap: activate per default all swap partitions automatically
-modules: switch on automatical load of modules when Y2 is mounting
  filesystems, so that undetectebal and not formated fs are mounted
  properly
* Fri Sep 21 2001 - sh@suse.de
- Fixed bug #10303: Must press 'back' twice in 'choose part. to boot'
* Fri Sep 21 2001 - fehr@suse.de
- allow adding of mount points to LVs in lvm runtime config
- prevent formatting of edited LV in lvm runtime config
- allow handling of ataraid devices (e.g. /dev/ataraid/d0p0)
- prevent partitions with id 0x8E from being written to fstab (#10390)
* Fri Sep 21 2001 - sh@suse.de, gs@suse.de
- Only ONE SlideShow::OpenSlideShowDialog() in all modes -
  avoid confusion, much more reliable in all the different modes
* Fri Sep 21 2001 - lnussel@suse.de
- no longer mark partitions with id 130 automatically as swap
- do not change flags for swap devices in fstab if more than one
  such entry exists
- properly hande fstab entries for moved logical partitions (#11074)
- change fstab entry for first occurence of a device, instead of
  creating a new one
- do not create directories for swap partitions
* Fri Sep 21 2001 - mike@suse.de
- lvm_config now works in ncurses
* Fri Sep 21 2001 - gs@suse.de
- installation startup always (not only in manual mode) checks whether a
  kernel module is already loaded
  (workaround for bug #10983)
* Fri Sep 21 2001 - sh@suse.de
- Fixed bug #9977: Abort button doesn't work during slide show
* Fri Sep 21 2001 - ms@suse.de
- fixed access control bug during X11 reconfiguration
  with YaST2. For further details see Bug: [10921]
* Fri Sep 21 2001 - fehr@suse.de
- fix impossible 0 as stripe size in LV dialog
- make lvm configuration in system work again (#10291)
* Fri Sep 21 2001 - kendy@suse.cz
- Update /var/lib/YaST/unique.inf during update (bug 10931, 10941)
* Fri Sep 21 2001 - kkaempf@suse.de
- default medianame to "CD" (11106).
* Thu Sep 20 2001 - fehr@suse.de
- Fixed bug #10963: Now an update on systems using encrypted fs is
  possible
* Thu Sep 20 2001 - sh@suse.de
- Fixed bug #10325: Save settings to floppy doesn't work
- Reading log file of mkinitrd and lilo correctly #11030
  (inst_finish_update.ycp)
- Correct cancel popup added #10951( inst_kernel.ycp )
* Thu Sep 20 2001 - kkaempf@suse.de
- "break" is not allowed inside "foreach" (11015).
- properly extract module arguments (11015).
- umount medium before ejecting (11053).
- offer "save & exit" in media selection (11086).
* Thu Sep 20 2001 - lnussel@suse.de
- do not create symlink for mountpoint if it would point to itself
* Thu Sep 20 2001 - lnussel@suse.de
- fstab entries for mount flags, passno etc are no longer changed
  for existing entries
* Thu Sep 20 2001 - mike@suse.de
- bug 11063: YaST2 trys to change fsids of pdisk-label partitions, and
  popups therefore irritating popups
* Thu Sep 20 2001 - fehr@suse.de
- fix problem when root fs is md of personality raid5 (#10747)
* Thu Sep 20 2001 - tom@suse.de
- (#10920) Now the presence of the dummy packages is checked at first.
* Thu Sep 20 2001 - kkaempf@suse.de
- Remove old release number file before installing new one (#10992).
* Thu Sep 20 2001 - sh@suse.de
- Fixed bug #10684: Monitor DB outdated
* Thu Sep 20 2001 - fehr@suse.de
- Do not delete modify_targets in inst_sw_select.ycp except when
  using a while disk for installation
* Thu Sep 20 2001 - lnussel@suse.de
- Fixed root filesystem on raid leads to corrupted fstab (#10418)
* Wed Sep 19 2001 - mike@suse.de
- Bugfix: if zero partition table: resync /proc/partitions
  Added warning, if "/" is /dev/md and there is no /boot
- Downgrade versions correctly #10906 ( inst_sw_update.ycp )
* Wed Sep 19 2001 - snwint@suse.de
- YaST2.start: mtab might be missing, avoid error message
- unmounting proc filesystem in inst_finish_update.ycp
- start X-Server for testing with "-ac", needed when starting
  from inside YCC.
* Wed Sep 19 2001 - fehr@suse.de
- force a hard reboot when root filesystem is on a md device
- Logging reduced in inst_rpmupdate.ycp
* Wed Sep 19 2001 - sh@suse.de
- Fixed bug #10909: Complaint about slide show init in log file
- Added more packages for version 6.2 in forceUpdate.ycp
- No error, if the versions of updated packages differs from common.pkd
* Wed Sep 19 2001 - kkaempf@suse.de
- Fix installing package information to updated target.
- Eject CDs on PPC only when unmounting.
* Wed Sep 19 2001 - kkaempf@suse.de
- Fix "Lithuanian" with native translation in language list.
- Properly label progress bar during swap formatting.
- Use predefined button labels for continue/cancel/retry if partitioning
  or formatting fails.
- preselect first partition #10840 (inst_rootpart.ycp)
- /sbin/yast2: add "-f" to 'rm'.
* Wed Sep 19 2001 - schubi@suse.de
- Silly testpopup in inst_finish_update removed.
- packages for 7.2 added #10874" (forceUpdate.ycp)
* Tue Sep 18 2001 - schubi@suse.de
- Recognize update mode after reboot ( installation.ycp )
- /mnt to Installation::destdir changed ; checking modus improved in
  inst_sw_backup.ycp
* Tue Sep 18 2001 - sh@suse.de
- V 2.4.84
- Fixed bug #10859: Inconsistent "needed from CD" values
* Tue Sep 18 2001 - tom@suse.de
- (#10762) Popups displayed in Richtext now (with scroll bars).
* Tue Sep 18 2001 - sh@suse.de
- Fixed bug #10411: Show difference between pkg deleting and inst.
- Fixed bug #10793: Unmounting /mnt after update.
* Tue Sep 18 2001 - tom@suse.de
- Added script call when switching 3D <--> 2D mode. (#10761)
- Module inst_config_x11.ycp
* Tue Sep 18 2001 - kkaempf@suse.de
- only use "switch2mesasoft" for non-3d x11 setups.
* Tue Sep 18 2001 - lnussel@suse.de
- do not try to create or change /etc/raidtab if raid is active
  while the user has changed nothing
* Tue Sep 18 2001 - mike@suse.de
- bug 10673: need /boot if no ext2 on /
- bug 10686: swap <= 1GB
- show raid size correct: existing raid and raid in LVM
- ignore automatic inserted mountpoints
- pdisk: size of partition for inst_doit fixed
* Tue Sep 18 2001 - fehr@suse.de
- shut down LVM VGs and umount /etc/lvmtab.d in inst_finish.ycp
* Tue Sep 18 2001 - lnussel@suse.de
- workaround for '&'-character not displayed in ncurses menu
* Tue Sep 18 2001 - lnussel@suse.de
- removed the texdomain switching from menu.ycp (Bug #10819)
- only create fstab entry for partitions if user explicitly
  entererd a mountpoint, instead of inventing one
* Tue Sep 18 2001 - kkaempf@suse.de
- properly pass encoding ("UTF-8", "ISO-8859-X", ...) via SetLanguage() (#10807).
- drop unsupported "korean" from language list.
- properly detect that X11 couldn't be started and present
  and appropriate error message.
- just skip unknown options.
- stop SCR and all agents on target before umounting filesystems
  from WFM.
- remove faked /etc/mtab from target.
- Installation::normal_mode = true if running in installed system.
  (neither initila_mode, nor continue_mode).
- fix parport zip module loading.
* Mon Sep 17 2001 - kkaempf@suse.de
- write language back to /etc/yast.inf (#9790).
- umount all filesystems in target, except "/". Umount this
  from WFM after stopping SCR (#10685).
- Reading language from user_settings while selection kernel
- Showing correct counter of updated packages
- Button -Old Version- changed #10559
- ChangeCD --> ChangeMedium
- include package_utils removed #10763
* Mon Sep 17 2001 - kkaempf@suse.de
- use "lt-brim-8x14" font and "iso-8859-13" encoding for 'Lithuanian'.
* Sun Sep 16 2001 - kkaempf@suse.de
- only symlink /dev/cdrom once (#10370).
* Fri Sep 14 2001 - kukuk@suse.de
- On SPARC print error message about SILO, not LILO
* Fri Sep 14 2001 - kkaempf@suse.de
- adapt language list accoring to doc department.
* Fri Sep 14 2001 - tom@suse.de
- Bugfix #9986: Reduced suggestion refresh to 75 Hz.
* Fri Sep 14 2001 - mike@suse.de
- bug 10200: check the proposal for failures
  make a boot partition if possible
  bug 10347: set whole_diskflag
  bug 10044: set a message when proposal is discarded
* Fri Sep 14 2001 - kkaempf@suse.de
- fix inst_environment for standalone mode (#10413).
- respect user choice to NOT install a module (#10665).
* Fri Sep 14 2001 - tom@suse.de
- Fixed Bug #10651: Autoadjusting refresh/resolution/color-depth now correct.
* Fri Sep 14 2001 - kkaempf@suse.de
- set correct Installation::encoding in continue_mode (#10611).
* Fri Sep 14 2001 - mike@suse.de
- dont reread partition data always at start of inst_custom
  activate lvm if at least one vg exist
- check if textmode due to memory restrictions or x11 failure (#10134).
- use Arch and Installation modules in inst_environment (#10413).
- pkginfo release common.pkd before releasing CD 1 #10555
* Fri Sep 14 2001 - kkaempf@suse.de
- correct handling of 'splitted' media (#10532)
- touch/remove /var/run/yast.pid
* Thu Sep 13 2001 - snwint@suse.de
- dolilo: new mk_initrd needs fb resolution for splash screen config
- Taking long language for kernel description #10556 #1552
- No penguin progress bar in kernel selection module #10311
- Button -Old Version- changed #10559
* Thu Sep 13 2001 - kkaempf@suse.de
- dont probe mouse on serial console.
- dont probe mouse outside of initial_mode.
- sort languages by ascii equivalent.
* Thu Sep 13 2001 - kkaempf@suse.de
- enable software selection on S/390 (froh@suse.de).
- show proper boot-loader partition even if we don't have lilo (froh@suse.de).
- load input, hid, and mousedev if USB-mouse detected (#9228).
- default medium is CD (#10374)
- re-enable WFM::SetLanguage(), regexp bug in glibc identified,
  workaround in liby2 applied. (#10496)
- use /boot/zilo-kernel/image instead of /boot/vmlinuz on S/390 (froh@suse.de).
- sort language list alphabetically (#10516).
* Wed Sep 12 2001 - kkaempf@suse.de
- drop all WFM::SetLanguage()
- Unmounting partitions correctly while going back #10125
- REQUIRES are ordered; qt, qt-japanese.... in the selection box
- Warning popup for single selection removed while going backward
  in the software selection #10339
* Wed Sep 12 2001 - snwint@suse.de
- revert latest vmware changes to YaST2.start
* Wed Sep 12 2001 - kkaempf@suse.de
- drop initial WFM::SetLanguage()
* Tue Sep 11 2001 - kkaempf@suse.de
- Initial zipl configuration for S/390.
* Tue Sep 11 2001 - kkaempf@suse.de
- Unmount .probe and .disk agent before package installation.
* Tue Sep 11 2001 - kkaempf@suse.de
- call SetLanguage in UI and WFM.
* Mon Sep 10 2001 - snwint@suse.de
- create 'failsafe' instead of 'suse' entry in lilo.conf
- don't overwrite existing vmlinuz.suse
* Mon Sep 10 2001 - snwint@suse.de
- make YaST2.start work with vmware
* Mon Sep 10 2001 - sh@suse.de
- Fixed bug #10350: YaST2 doesn't look good with anti-aliasing
* Fri Sep 07 2001 - sh@suse.de
- Fixed bug #10244: No slide show unless at least 800x600x256col
- center slide show image
* Fri Sep 07 2001 - sh@suse.de
- V2.4.64
* Fri Sep 07 2001 - pblahos@suse.cz
- hotplug is started instead of usbmgr during YaST2.firstboot
* Fri Sep 07 2001 - sh@suse.de
- CD remaining times more pessimistic
* Fri Sep 07 2001 - kkaempf@suse.de
- fix textmode recognition with help of GetDisplayInfo().
* Thu Sep 06 2001 - kkaempf@suse.de
- fix X11 resolution dedection if 3D is selected.
* Thu Sep 06 2001 - sh@suse.de
- V 2.4.62
- Correctly reinitialize packager in continue mode
  -> correct remaining times / progress bar display
* Thu Sep 06 2001 - kkaempf@suse.de
- drop extraction of boot parameter from lilo setup, already
  done at startup. (#10223)
- fix reading of local package information.
- check if mount point is in use in InstMedia
* Wed Sep 05 2001 - schubi@suse.de
- Do not upgrade a package which produces package conflicts.
* Wed Sep 05 2001 - sh@suse.de
- Fixed bug #10063: bad display of hd partitions in inst_doit
  Re-used existing function from partitioning
* Wed Sep 05 2001 - sh@suse.de
- Fixed bug #10084: zero size for k_deflt
* Wed Sep 05 2001 - kkaempf@suse.de
- add belgian keyboard to keyboard list (#9577)
* Wed Sep 05 2001 - kkaempf@suse.de
- fix runtime installation and configuration of X11.
* Wed Sep 05 2001 - kkaempf@suse.de
- dont unmount installation medium if wrong product id detected,
  honor user request to ignore this fact.
* Tue Sep 04 2001 - kkaempf@suse.de
- use plain ascii language names if running in text mode (#10026).
- correct parameter for setEnvironment
* Tue Sep 04 2001 - fehr@suse.de
- add dummy parameter to SCR::Write(.lvm.deactivate)
- deactivate lvm only when running in inst-sys
* Tue Sep 04 2001 - mike@suse.de
- partproposal always creates /boot
  bugfix inst_do_resize: resize always when a "resize" is in targetmap
  software installation in installed system fixed
* Tue Sep 04 2001 - sh@suse.de
- Reimported monitor db
* Tue Sep 04 2001 - kkaempf@suse.de
- get {install,delete}_list in inst_rpmcopy from user_settings if
  not passed otherwise.
* Tue Sep 04 2001 - snwint@suse.de
- YaST start script: use vmware server module, not vga16
* Tue Sep 04 2001 - kukuk@suse.de
- inst_silo_expert.ycp: Initialize PROM/boot-device variablen
- inst_disk.ycp: Fix allowed filesystems on sparc [Bug #9678]
* Mon Sep 03 2001 - kkaempf@suse.de
- recognize IDE CD-R(W) drives and set up ide-scsi automatically.
- Hard reboot after update, if the installed kernel differs from
  the kernel which has been booted #10103
- Checking dependencies in -only update modus- too #10043
* Mon Sep 03 2001 - kendy@suse.cz
- keyboard_raw.ycp: group(shift_toggle) is not needed for the
  Czech and Slovak keyboards any more...
  (In fact, it breaks them.)
* Mon Sep 03 2001 - kkaempf@suse.de
- sort keyboards alphabetically.
- Error popup for dolilo #9729
* Sat Sep 01 2001 - kukuk@suse.de
- Show warning about PROMs with 1GB bug only on sparc32
- If /boot is selected for the boot manager, this is Ok on SPARC.
  Remove extra warning on SPARC since it is wrong here.
- Disable gpm if we install over serial console
* Fri Aug 31 2001 - kkaempf@suse.de
- fix installation path handling and mounting
  should now work for CD, DVD, Harddisk, Nfs, and Smb
* Thu Aug 30 2001 - kkaempf@suse.de
- modularized SlideShow.
- New help text in upgrade frame
- properly recode output of commands to utf-8
- allow change of installation medium on server (Nfs/Ftp/Smb)
- Short language description in inst_sw_select removed.
- fixed some parse errors <msvec@suse.cz>
- added abuild parse check <msvec@suse.cz>
* Thu Aug 30 2001 - kkaempf@suse.de
- unmount wrong medium.
* Thu Aug 30 2001 - kkaempf@suse.de
- always give all alternatives in ChangeCDPopup.
- always do a hard reboot after installation from first medium.
* Thu Aug 30 2001 - kkaempf@suse.de
- properly handle media release and product codes.
- initialize PKGINFO to installed data in continue_mode.
* Wed Aug 29 2001 - kkaempf@suse.de
- re-read installation data in continue_mode.
* Wed Aug 29 2001 - kkaempf@suse.de
- properly switch SCR during update.
- write YaST information after re-mounting installation medium.
- fix re-mounting of source medium in continue_mode
- re-init PKGINFO environment in continue_mode
- Packagelist added which have to be updated without checking version.
* Tue Aug 28 2001 - kkaempf@suse.de
- use "Installation" module in update.
* Tue Aug 28 2001 - kukuk@suse.de
- Fix dosilo script for new /proc behaviour with kernel 2.4.x
  print a message about SuSE Linux version before loading the
  kernel
* Tue Aug 28 2001 - sh@suse.de
- Fixed bug #9900: No ISDN for SPARC
- inst_rpmcopy now displays remaining times for each CD
- slide show
* Tue Aug 28 2001 - kendy@suse.cz
- inst_hw_config.ycp: maps describing the devices to configure can
  have a list "force_reread". It is useful for modules which
  call another one to configure something (e.g. TV may call Sound)
* Tue Aug 28 2001 - mike@suse.de
- fix: part_proposal only for arch == i386
* Mon Aug 27 2001 - kkaempf@suse.de
- Clean up SCR/WFM handling. WFM is always local, SCR is always the target.
- Introduce modules for Installation, InstMedia, PackageIO, and MediaUI.
- Prepare for multiple DVD installation.
- Prepare for Ftp, Harddisk, and SMB installation.
- Finally clean up installMap handling.
* Thu Aug 23 2001 - kukuk@suse.de
- Don't reboot if we use k_deflt on UltraSPARC
* Thu Aug 23 2001 - pblahos@suse.cz
- Fixed: there were 2 arrows in progressbar shown during hw probe.
* Wed Aug 22 2001 - kkaempf@suse.de
- fixed X11 setup
* Mon Aug 20 2001 - mike@suse.de
- partition proposal creates swap partitions
* Mon Aug 20 2001 - kkaempf@suse.de
- dont write "swap" to yast.inf, but "RebootMsg 0" instead
* Sat Aug 18 2001 - tom@suse.de
- Finished new X11 configuration dialog incl. control center ability.
* Fri Aug 17 2001 - kkaempf@suse.de
- implement and use "Arch" module.
- provide modules directory in specfile.
- reduce number of timezones.
- Patch runlevel in /etc/inittab while updating the system.
* Fri Aug 17 2001 - schubi@suse.de
- .targetroot to .root changed
* Tue Aug 14 2001 - kendy@suse.cz
- keyboard_raw.ycp: cs, cs_qwerty -> cz, cz_qwerty
- Added slovak keyboard.
* Fri Aug 10 2001 - tom@suse.de
- X11 configuration:
- Completely redesigned the xf86config module for use with the new
- agent-isax.
- Outsourced functions for X11 keyboard manipulation.
- Outsourced functions for X11 mouse manipulation.
- Outsourced functions for X11 card manipulation.
- Outsourced functions for X11 desktop manipulation.
- Outsourced functions for X11 path manipulation.
- Added batch mode for use with autoinst in xf86config.ycp.
* Fri Aug 10 2001 - jbuch@suse.de
- added SW-RAID support for installation Workflow
- added sequencer
* Fri Aug 10 2001 - kkaempf@suse.de
- extract kernel parameters from /proc/cmdline and pass them to LILO
* Fri Aug 10 2001 - kukuk@suse.de
- Only ask for TERM variable if we use serial console and not if
  we are in text mode (#9701)
* Fri Aug 10 2001 - kkaempf@suse.de
- partitioning enhancements for automatic and runtime usage
- copy info and update.in_ after CD1 installation, not before
* Thu Aug 09 2001 - kkaempf@suse.de
- check /proc/modules before asking for module load (#9698)
* Thu Aug 09 2001 - snwint@suse.de
- yast2 text mode starts on /dev/console, not tty3
- /mnt is a link on LiveEval: don't umount it
* Wed Aug 08 2001 - kkaempf@suse.de
- mount and mk*fs are .local not .target actions
* Wed Aug 08 2001 - kkaempf@suse.de
- adapt driver loading to new .probe format
- replace .target.inject calls
* Tue Aug 07 2001 - kkaempf@suse.de
- replace use of targetroot in favour of system agent.
* Tue Aug 07 2001 - kkaempf@suse.de
- skip "whole disk" partitions on BSD disks. (#7904)
- Activate button in lilo now reads "Activate LILO partition". (#7884)
* Mon Aug 06 2001 - kukuk@suse.de
- Add script to ask for TERM variable to yast2-instsys, too.
* Fri Aug 03 2001 - arvin@suse.de
- don't start vga x11 server on ppc (bug #9622)
* Fri Aug 03 2001 - arvin@suse.de
- added inst_part_proposal.ycp to inst-sys
* Fri Aug 03 2001 - kukuk@suse.de
- If installed over serial console ask the user for the TERM
  variable and write it to /etc/install.inf
* Thu Aug 02 2001 - mike@suse.de
- taged version for 7.3 - preview 3
* Wed Aug 01 2001 - mike@suse.de
- first Version for RAID and partition proposal
  (only for translation, dosn't work properly)
* Fri Jul 27 2001 - kkaempf@suse.de
- initial slide show code for package installation
* Fri Jul 27 2001 - kkaempf@suse.de
- ask for confirmation before loading module in manual mode
* Fri Jul 27 2001 - kkaempf@suse.de
- fix initrd module handling
  properly pass options to modules.conf
  use agent-modules in inst_finish
* Thu Jul 26 2001 - kkaempf@suse.de
- minor text changes
* Tue Jul 24 2001 - fehr@suse.de
- add detection of md devices to function GetLvmMdSystemInfo
* Wed Jul 18 2001 - fehr@suse.de
- fix a bug in LVM configuration for devices /dev/ida/, /dev/rd/
  and /dev/cciss/
* Mon Jul 16 2001 - kkaempf@suse.de
- fix keyboard data for swedish
* Thu Jul 12 2001 - sh@suse.de
- Improved inst_startup UI: More feedback
* Tue Jul 10 2001 - sh@suse.de
- Improved inst_suseconfig UI: Give feedback for individual steps
* Fri Jul 06 2001 - kkaempf@suse.de
- merge SLES fixes
- add JFS as filesystem
* Thu Jul 05 2001 - schubi@suse.de
- New handle of package selection groups.
* Thu Jul 05 2001 - sh@suse.de
- Fixed bug #9277: Bad initial focus in menu.ycp
* Wed Jul 04 2001 - sh@suse.de
- Redesigned inst_doit: Now using RichText widget
* Mon Jul 02 2001 - kkaempf@suse.de
- merge with 7.1-axp fixes:
  fix user information for vfat /boot
  format /boot as fat on milo and ia64
  changed 'doaboot' to get a useable /etc/aboot.conf
  force "-t vfat" for mount of /boot on MILO machines
  check cylinder boundaries on "aboot" only, not "axp" in general
  format /boot on "milo" machines with mkdosfs
  boot_mode "milo" on Alpha has FAT disklabel
  use smp flag from install.inf instead of probing on Alpha
  select correct cpml package for cpu model on Alpha
  auto-select aboot or milo on Alpha
  use data from milo package for installation
  write correct /etc/aboot.conf
  fix kernel image names for depmod
  for /boot to be FAT16 for MILO machines
  implemented boot loader installation on Alpha
  fix handling of XkbModel on pmac
  remove arch_ppc check in inst_lilo_expert.ycp #6684
  add missing pdisk partition type #6688
  allow update on a drive with pdisk label #6689
* Mon Jun 25 2001 - kkaempf@suse.de
- tell about reboot after first round of installation (#7994)
- modprobe "hid" and "mousedev" if "usb mouse" choosen from list (#8215)
- close CD tray before executing mount (#8492)
* Fri Jun 22 2001 - kkaempf@suse.de
- dont mention LILO on ia64 (#9003)
* Wed Jun 20 2001 - fehr@suse.de
- add necessary changes to handle LVs in fstab in running system
* Tue Jun 19 2001 - fehr@suse.de
- add changes for lvm configuration in installed system to
  handle /etc/fstab reasonable.
- Enable "next" button in selection ftp-server (#8641)
* Tue Jun 12 2001 - sh@suse.de
- V 2.4.1
  Fixed bug #8726: SuSEconfig fails on SPARC with serial console
- Fixed bug #8641: Allow "next" button in choosing ftp server
* Tue Jun 12 2001 - sh@suse.de
- V 2.4.0 for 7.3
  Honor new BarGraph / PartitionSplitter format: "%%1"
* Thu Jun 07 2001 - kkaempf@suse.de
- remove @euro for en_GB and da_DK
* Thu Jun 07 2001 - kukuk@suse.de
- inst_silo_info.ycp: Fix info text: Don't speak about whole
  computer but only about selected harddisk.
* Wed Jun 06 2001 - kukuk@suse.de
- inst_environment.ycp: Don't set keyboard if serial console was
  detected.
* Tue Jun 05 2001 - kukuk@suse.de
- Remove inst_sunfb.ycp from instsys
- keyboard_raw.ycp: Replace default us keymap with new cz keymap
  on SPARC.
- inst_choose_desktop: Switch to own workflow for Sun Framebuffers
* Fri Jun 01 2001 - kukuk@suse.de
- inst_finish.ycp: Set correct boot device for hard reboot,
  modify boot-device and set linux alias
* Fri Jun 01 2001 - kkaempf@suse.de
- install correct kernel for different ia64 cpu steppings
- allow vfat as root during update
- define "string architecture" in vendor.ycp
-#8425 update does a hard reboot
  [#8081] too negative message after update ..
  [#8356] vfat will not be mounted while updating the system
  [#8185] Installation/Update: sformat wanted
  [#8567] YaST2 does not mount /boot
  [#6063] Update: Don't see ok button
  [#7097] YaST2 info during update
  [#4953] "Configurate boot-mode" should be renamed to "Configure boot-mode"
  [#5051] typo in yast2 installation popup
* Fri Jun 01 2001 - kkaempf@suse.de
- adapt and enter inst_lilo_info for ia64
* Mon May 28 2001 - schwab@suse.de
- Also mount vfat filesystems during update.
* Wed May 23 2001 - gs@suse.de
- package_utils: samba mount implemented
  inst_smbmount: new module
* Tue May 22 2001 - schwab@suse.de
- doelilo: Adjust elilo config file for gnu-efi 2.5.
- doelilo: Adjust elilo config file for gnu-efi 2.5.
* Mon May 21 2001 - mike@suse.de
- XFS support in custom partitioner and LVM configuration
* Mon May 21 2001 - kukuk@suse.de
- inst_silo_info/inst_silo_expert: Tell the user that we change
  PROM aliases and let him change this.
* Fri May 18 2001 - kkaempf@suse.de
- add xfs to inst_prepdisk
* Fri May 18 2001 - kkaempf@suse.de
- setab 0 -> setab 9 to make output more pleasing on splash screen (#8551)
* Thu May 17 2001 - tom@suse.de
-  X configuration:
  Bugfix 8454: Besides the passing of the currently selected refresh rate
  in the resolution string (e.g. 600x800@70) to isax for XFree 3
  the selected refresh now also terminates the vsync range to
  prevent isax from generating modelines up to this value.
  Bugfix 8524: The 3D acceleration button is now disabled if the graphics
  adapter doesn't support 3D-acceleration.
  Bugfix 8540: Now the vendor and model strings are converted to upper case
  on module entry.
  Bugfix 8541: Now the probed data are deleted if the user selects another
  monitor.
* Thu May 17 2001 - kkaempf@suse.de
- dont pretend that no other os has been found if we can't
  write LILO to floppy disk.
* Thu May 17 2001 - sh@suse.de
- V 2.3.90
  added patch_lilo_conf to file list
* Wed May 16 2001 - sh@suse.de
- Fixed patch_lilo_conf: optional as well as initrd
* Wed May 16 2001 - kkaempf@suse.de
- prevent duplicate entry in initrdmodules during update
- activate only primary devices (#8458)
* Wed May 16 2001 - kkaempf@suse.de
- give proper default for "lilo_device" if "mbr_disk" is unknown (#8501)
* Wed May 16 2001 - sh@suse.de
- Fixed bug #8494: initrd not added to lilo.conf
  patch_lilo_conf adds "initrd" entries if corresponding
  initrd is present in /boot (for SuSE standard kernels only!)
* Wed May 16 2001 - kkaempf@suse.de
- add reiserfs to initrd if root is on reiserfs (#8494)
* Wed May 16 2001 - sh@suse.de
- Fix for bug #7465: "Abort Installation" always default button
  Added more SetFocus() calls for good measure
* Wed May 16 2001 - kkaempf@suse.de
- use gdm as displaymanager if minimal(+x11) and gnome (#6175)
- dont write MODEM in rc.config (#7895)
- copy complete y2log to installed system.
- fix declaration in lilo_info, string->boolean
* Tue May 15 2001 - tom@suse.de
- Bugfix 8423: probed monitor data now used.
* Tue May 15 2001 - gs@suse.de
- bugfix in Change Source Media (include file added) bug # 8406
* Tue May 15 2001 - mike@suse.de
- due to last information: to crypt /usr is
  not allowed. Added a popup
* Tue May 15 2001 - kkaempf@suse.de
- revert change in y2xr40.pl, support tft panel layouts
  in favour of higher resolutions (#8348)
- remove "breton" from languages, add "danish"
- patching XF86config for wheel mouse (#8251)
* Tue May 15 2001 - mike@suse.de
- bugfix cryptofs: now works with already existing
  and edited partitions
* Tue May 15 2001 - ms@suse.de
- disable use of DDC resolutions in y2xr40.pl (bug #8329)
  ( YaST2 used its own resolution list )
* Tue May 15 2001 - gs@suse.de
- don't show /dev/shm in single package selection (bug #8318)
* Mon May 14 2001 - sh@suse.de
- V2.2.79
  Fixed bug #8255: Wrong mouse cursor during SuSEconfig
  Removed obsolete UI(`NormalCursor()) calls
* Mon May 14 2001 - kkaempf@suse.de
- create lower case symlinks for /windows and /dos mount points
  (installation and update) to get around case mapping bug
  in star office (#8310)
* Mon May 14 2001 - kkaempf@suse.de
- properly initiale UI wizard for vendor cd modules (#8268)
- de-activate pt_PT, translations are incomplete (afaber@suse.de)
* Mon May 14 2001 - kkaempf@suse.de
- fix variable name in inst_finish (install_inf -> installMap) (#8247)
* Mon May 14 2001 - kkaempf@suse.de
- dont look at "Language" in install.inf, it's not in ISO-format
  if "Locale" in install.inf doesn't give a value, look at descr/info
* Mon May 14 2001 - kkaempf@suse.de
- read Locale, Language (from install.inf), and LANG (from desc/info)
  and use first set value.
* Mon May 14 2001 - kkaempf@suse.de
- restart network after staring system in NFS install (#8274)
* Mon May 14 2001 - kkaempf@suse.de
- check if "/" is reiser and force "reisefs" to INITRD_MODULES
* Mon May 14 2001 - kkaempf@suse.de
- drop question for kernel 2.2 on pcmcia, only very rare systems
  still fail with kernel 2.4
* Mon May 14 2001 - fehr@suse.de
- make removal of LVM volume groups work
* Sun May 13 2001 - kkaempf@suse.de
- fix blocker bug 8216
* Sat May 12 2001 - kkaempf@suse.de
- ask for kernel 2.2 on PCMCIA systems
* Sat May 12 2001 - kkaempf@suse.de
- unset MODPATH at initial start (#8143)
- install kernel 2.2 on PCMCIA systems
* Fri May 11 2001 - schubi@suse.de
- Not required reread of target map fixed.
* Fri May 11 2001 - pblahos@suse.cz
- #8064: fixed: if there is print spooled installed and configuration
  tool is not, there is no status in final YaST2 inst. screen.
- Correct popup message while backup #7584
* Fri May 11 2001 - kkaempf@suse.de
- provide extra start script for KDE which suppresses geometry hint
  to window manager.
* Thu May 10 2001 - kkaempf@suse.de
- Require translation packages
- dont translate empty string
- force LILO on MBR if initrd won't make it on floppy (#7864)
- calling patch_lilo_conf while update #7556
- bugfix in renamed packages while update #8057
- mounting swapfile correctly while update #8040
* Thu May 10 2001 - kkaempf@suse.de
- fix initrd modules order after update (#7948)
* Thu May 10 2001 - mike@suse.de
- fix for LVM configuration at runtime
* Thu May 10 2001 - sh@suse.de
- Fixed bug #7388: unnecessary OK-buttons
  (confirmation for writing LILO, confirmation for reboot)
  only one popup that contains both messages
* Thu May 10 2001 - kkaempf@suse.de
- dont write /boot/message any more (#8062)
* Thu May 10 2001 - fehr@suse.de
- add lvm initialisation when doing an update (#7974)
- allow update when root fs is LV (#7801)
- fixed:YaST updated old updatelist after reboot #8066
- #8025 not starting update, if there is nothing for update
* Thu May 10 2001 - sh@suse.de
- Fixed bug #8049: "boot installed system" "back" button boots
* Thu May 10 2001 - kkaempf@suse.de
- set "ulimit -s unlimited" before calling "rpm --rebuilddb"
* Thu May 10 2001 - kendy@suse.cz
- added console fonts for Brezhoneg and Lithuania
- Russian -> Russkij in cyrilics
- adaption of SelectConsoleFont() to new language.ycp
* Thu May 10 2001 - gs@suse.de
- make the popup Additional package needed larger (bug # 7900)
- Software Source Media dialog: label for button is "Next" (bug # 8038)
* Thu May 10 2001 - sh@suse.de
- Fixed bug #7199: Printer config before network
  Changed order to "professional" mode when network card detected
- bugfix in eavaluate diskspace in boot partition #8047
* Thu May 10 2001 - sh@suse.de
- (partial) fix for bug #7888: obsolete lilo.conf entries after update
  added patch_lilo_conf script that deletes vmlinuz_22 / vmlinuz_24
  if the respective boot images are not present and adds "optional"
  for other boot images that are not present
* Thu May 10 2001 - kkaempf@suse.de
- use RC_LANG when starting yast2 to get correct language (#8013)
* Thu May 10 2001 - tom@suse.de
- bugfix 7823:
  Now even in the special cases LCD and VESA an xserver query is made
  to get information regarding the possible color depths.
* Thu May 10 2001 - tom@suse.de
- bugfix #8000:
  Now the modified monitor db is preserved by storing it to disk.
* Thu May 10 2001 - sh@suse.de
- Re-imported SaX2 monitor DB
* Thu May 10 2001 - kendy@suse.cz
- lat9w font for EU states (#7776)
* Thu May 10 2001 - kkaempf@suse.de
- keep LANG codes and modifiers in single list (#7957)
* Wed May 09 2001 - kkaempf@suse.de
- fix order of initrd modules (#7948)
* Wed May 09 2001 - gs@suse.de
- text changed for popup package conflicts (bug # 7887)
  and popup "Release number differs ...."
* Wed May 09 2001 - jbuch@suse.de
- forbid crypt_fs with mountpoints like / /boot swap
  added cryt_fs to ExistingPartitionDlg
* Tue May 08 2001 - kkaempf@suse.de
- set "Greenwich" as default timezone for en_GB (#7837)
- unset MODPATH before calling depmod
- Update: selecting default to UPGRADE #7804
* Tue May 08 2001 - kkaempf@suse.de
- skip drives which are not ready (#6547)
* Tue May 08 2001 - tom@suse.de
- X11 configuration: removed integer <---> float inconsistency
* Tue May 08 2001 - kkaempf@suse.de
- reset have_x11 after switching to "minimal"
- allow "activate" switch for partitions
* Tue May 08 2001 - gs@suse.de
- package_utils: CheckLocalDescription added
* Tue May 08 2001 - mike@suse.de
- for security reasons: use now losetup agent instead of standalone binary
* Tue May 08 2001 - fehr@suse.de
- add shortcut key to crypt checkbox
* Tue May 08 2001 - sh@suse.de
- Fixed bug #7547: "Boot installed system" not active
  Implemented reboot from installed system
* Tue May 08 2001 - jbuch@suse.de
- fixed english
* Tue May 08 2001 - jbuch@suse.de
- removed not used variable last_format from inst_custompart.ycp
  forbid using fat file system with mountpoints / /home /opt /usr /var
* Tue May 08 2001 - schubi@suse.de
- showing progress bars again #7774
- rename /cdrom to /media/cdrom in /etc/fstab #7732
* Tue May 08 2001 - snwint@suse.de
- floppy device for mk_lilo_conf via $floppy environment var
- mk_boot_floppy completely rewritten to use lilo instead of syslinux
* Tue May 08 2001 - schwab@suse.de
- Fix typo targeroot -> targetroot.
* Tue May 08 2001 - jbuch@suse.de
- added define to change fsid from 5 to 15
  only for new extended partitions
  added DisplayMessage if a fat file system is greater than 2 GB
- showing progress bars again #7774
* Tue May 08 2001 - kkaempf@suse.de
- set hwclock before starting to change the target (#7833)
* Mon May 07 2001 - gs@suse.de
- Single Package Selection: improve popup Severe package conflict
- mk_lilo_conf removed #7569
* Mon May 07 2001 - kkaempf@suse.de
- FHS: /floppy -> /media/floppy also in inst-sys (#7827)
* Mon May 07 2001 - fehr@suse.de
- Add possibility to encrypt lvm logical volumes
* Mon May 07 2001 - sh@suse.de
- Fixed bug #7628: textmode info shown after booting
  Add flag to user_settings when text mode warning is shown
* Mon May 07 2001 - kendy@suse.cz
- Do not use CONSOLE_UNIMAP in consolefonts.ycp (#7767)
* Mon May 07 2001 - kkaempf@suse.de
- drop hard coded /dev/fd0, use value from hw-probing (#7789)
* Mon May 07 2001 - mike@suse.de
- Bugfix LVM: mount more than one crypted partition
* Mon May 07 2001 - tom@suse.de
- X-configuration
  Bugfix 7641: X-configuration for XFree86 3.x now functional (didn't work).
  Removed integer|float syntax warning.
  Added support for mice with wheels.
  checked default values for some lookups.
* Mon May 07 2001 - arvin@suse.de
- added output of memory information to YaST2 start script
* Mon May 07 2001 - sh@suse.de
- Use new UI builtin GetLanguage() parameter "strip_encoding"
* Mon May 07 2001 - kendy@suse.cz
- Use non-UTF-8 locale in the y2xfinetune40 (not reported bug)
* Mon May 07 2001 - arvin@suse.de
- start qt frontend with >= 64MB and adjusted corresponding text
- mounting /usr as reiserfs #7585
- initialize server, if another root has been selected #7495
* Mon May 07 2001 - kkaempf@suse.de
- change controlling terminal after switching virtual console (#7626)
- dont check mouse with serial console (#7716)
- dont ask keyboard with serial console (#7717)
- dont ask hwclock setting on sparc (#7717)
* Fri May 04 2001 - mike@suse.de
- fixed Bug 7528: YaST2->Partitioning: wrong info in popup
- Bug:          LVM:
  it at the moment not possible to delete a "activated"
  lvm partition (physical volume) and do afterwards
  mk*fs ...
                - changed: read lvm as late as possible
                - after deleting a  physical volume:
  immediately do partitioning and reboot
                - if the target_partitioner delets volume group: reboot
- Bug:          Setting up an LVM an than switching via back to custom
  partitioner:
                - drop target_modifications in inst_sw_select
- Bug:          wrong error message appears:
  quick hack: delete message: inst_target_selection.ycp
- Bug:          no warning if /boot is to small
                - added warning
- Bug:          missing textdomains is lvm includes
* Fri May 04 2001 - gs@suse.de
- helptext for Mininum graphical system added (bug 7483) in
  dialog Software Selection
- check the software selection again when going next (bug reported by mike)
* Wed May 02 2001 - kkaempf@suse.de
- allow calling inst_enviroment and inst_language from outside
* Wed May 02 2001 - sh@suse.de
- Fixed bug #7463: next/abort/back not translated in installed system
  Moved msg re-translation code out to separate function
  added call to this function when starting in "continue mode"
- no more: RPM returned an error (#7424)
* Wed May 02 2001 - fehr@suse.de
- umount lvm agent after re-partitioning harddisk
* Wed May 02 2001 - sh@suse.de
- Fixed bug #7467: Help text not translated in inst_finish.ycp
  Added missing translation markers
* Wed May 02 2001 - sh@suse.de
- updated monitor DB from devel server
* Wed May 02 2001 - kkaempf@suse.de
- handle all sync values as floats in x11
* Wed May 02 2001 - kkaempf@suse.de
- use gdm as display manager if gnome is selected
* Tue May 01 2001 - kkaempf@suse.de
- drop obsolete file from filelist
* Mon Apr 30 2001 - fehr@suse.de
- bugfix for lvm configuration
* Mon Apr 30 2001 - kkaempf@suse.de
- Evaluate "buttons" and "wheels" values from probing
  dont emulate 3 buttons if not needed
* Mon Apr 30 2001 - sh@suse.de
- Fix for bug #7004: Penguin image too small
  New penguin image at startup: colored margins right and bottom,
  can adapt to different screen geometries
* Mon Apr 30 2001 - snwint@suse.de
- removed mk_lilo_message
- vga parameter correctly interpreted in mk_lilo_conf (#7197)
- new graphical boot screen handling
* Mon Apr 30 2001 - kkaempf@suse.de
- first try on DVORAK keyboard (incomplete)
- showing package description while installing rpm via ftp update (#6573)
- install "yast2-ui-qt" if "xf86" is installed.
* Mon Apr 30 2001 - mike@suse.de
- bugfix creating two volume groups
* Mon Apr 30 2001 - kkaempf@suse.de
- fix lilo device message (show disk instead of partition)
* Mon Apr 30 2001 - sh@suse.de
- (partial) fix for bug #7004: Penguin image too small at Y2 start
  Allow more flexible scaling of image, top left aligned, zero
  size by default
* Mon Apr 30 2001 - tom@suse.de
- X11 configuration:
  Fixed bug 7437:
  Corrected typo in sorting algorithm for sorting resolutions in the GUI.
* Mon Apr 30 2001 - kkaempf@suse.de
- mount "/boot" with "defaults", even if its vfat formatted (#7413)
* Fri Apr 27 2001 - tom@suse.de
- X11 configuration:
  Improved display with erroneous probing of monitor vendor and/or model.
* Fri Apr 27 2001 - fehr@suse.de
- bug fixes in lvm configuration
* Fri Apr 27 2001 - gs@suse.de
- inst_sw_details: internal changes because of new package dependencies
- package_utils: improve function ChangeCD
- Single Package Selection: translation of group tags
- evaluate splitted packages correctly ( e.g finger ) #7271
* Fri Apr 27 2001 - mike@suse.de
- Bugfixes:
  read cryptotab at firstboot failed
  7238  crypto dialog has no frame
  5967  unnecessary logline
  crypto dialog appears twice
  4693  deleting of extended partition 8 and 9
  2309  popup when deleteing partitions
  5422  display an error if we mount a ro filesystem for update
* Thu Apr 26 2001 - kkaempf@suse.de
- extrace x11 3d packages correctly (#7231)
* Thu Apr 26 2001 - tom@suse.de
- X11 configuration:
  Fixed Bug 4558: Now the model string (if VESA or LCD) is parsed and the
  resolution and refresh rate are used for configuration.
  Improved setting of refresh rate with XFree86 4.
  (now reality will suit the users demand better)
  Consequently changed suggestion value from 90 Hz to 80 Hz.
* Thu Apr 26 2001 - kendy@suse.cz
- inst_hw_config: ReallyAbortPopup()->UI(`ReallyAbortPopup())
* Thu Apr 26 2001 - kkaempf@suse.de
- evaluate return from NIS question (#7269)
* Thu Apr 26 2001 - kkaempf@suse.de
- dont start inetd by default.
* Thu Apr 26 2001 - kkaempf@suse.de
- re-compute timezone if language was changed (#7008)
* Thu Apr 26 2001 - kkaempf@suse.de
- added "ash" to requires for dolilo (#7254)
- Checking boot partitionsize while updating the system (#6445)
* Thu Apr 26 2001 - kkaempf@suse.de
- look for "update.tar.gz" first, fallback to "update.tgz" else
* Thu Apr 26 2001 - kkaempf@suse.de
- load usb modules and mount usbdevfs (#7037)
* Thu Apr 26 2001 - kkaempf@suse.de
- set hwclock option to "--localtime" instead of empty (#3907)
* Thu Apr 26 2001 - kkaempf@suse.de
- correctly check for have_smp and pae flag for k_psmp kernel (#7093)
- add requires for yast2-instsys (#7189)
* Wed Apr 25 2001 - fehr@suse.de
- removal of LVM volume group should now work
- Bugfix showing logging after installation (#7034)
- Deleting old kernel will be handled by rpm ( update )
- Setting textdomain for logging installation
* Wed Apr 25 2001 - tom@suse.de
- X11 configuration
  fixed bug 7193: now empty vendor results in "".
  set default refresh to 90 Hz due to XFree86 4 variations.
  removed test code and test logging.
* Wed Apr 25 2001 - schwab@suse.de
- Add doelilo for ia64.
* Wed Apr 25 2001 - kkaempf@suse.de
- disable kernel include copies
* Wed Apr 25 2001 - kkaempf@suse.de
- /boot on ia64 is `fat32, not `fat (#6599)
* Wed Apr 25 2001 - mike@suse.de
- new lvm helptexts
* Wed Apr 25 2001 - sh@suse.de
- Fixed bug #6947: Long time empty screen
  Added feedback what's happening to inst_finish.ycp
* Wed Apr 25 2001 - sh@suse.de
- Fixed X11 config: Add correct user_settings key to
  inst_choose_desktop.ycp
* Wed Apr 25 2001 - gs@suse.de
- use of common popups in update modules
* Wed Apr 25 2001 - kkaempf@suse.de
- read euro.ycp from proper dir
- remove duplicate popup
* Wed Apr 25 2001 - kkaempf@suse.de
- moved menu.ycp here (from yast2-menu)
* Tue Apr 24 2001 - tom@suse.de
- X11 configuration fixed
  restriction logic complete in first version
  merged suggestion logic with restriction logic
* Tue Apr 24 2001 - kkaempf@suse.de
- mount in lexical order
- updating k_deflt_24 to k_deflt
* Tue Apr 24 2001 - gs@suse.de
- Single Package Selction: popup to show the Obsolete dependencies has changed
* Tue Apr 24 2001 - tom@suse.de
- interim checkin for beta 2
- texts now final for translaters
- restriction logic partly implemented
* Tue Apr 24 2001 - kkaempf@suse.de
- fix COMPOSETABLE entry according to latest kdb package (#7023)
* Tue Apr 24 2001 - fehr@suse.de
- change layout of vuloume group dialog
- add help texts for lvm dialog
* Tue Apr 24 2001 - kkaempf@suse.de
- new list of language codes which allow "@euro" appended
- error popup in inst_rpmupdate removed BUG 6243
* Mon Apr 23 2001 - fehr@suse.de
- fixes and extensions for lvm configuration
* Mon Apr 23 2001 - kkaempf@suse.de
- append "@euro" instead of ".ISO8859-15" to RC_LANG
* Mon Apr 23 2001 - sh@suse.de
- Fix for bug #7013: Abort should be disabled
  Disable "Abort" button in inst_suseconfig.ycp
* Mon Apr 23 2001 - sh@suse.de
- Always use "Abort Installation" for button label, even on the
  first dialogs (before lang switch)
- Fix screen shot mode hint in inst_startup: Use correct popup
* Mon Apr 23 2001 - sh@suse.de
- Fixed check_ycp complaints in installation.ycp:
  Obsolete WFM functions
- Assume presence of floppy in test_mode so "write settings to
  floppy" button appears consistently (screen shots!)
* Mon Apr 23 2001 - sh@suse.de
- Used correct include path for custom_part_helptexts.ycp
  in custom_part_dialogs.ycp
* Mon Apr 23 2001 - sh@suse.de
- declared "hwclock" in inst_environment.ycp
* Mon Apr 23 2001 - kkaempf@suse.de
- set COMPOSETABLE in rc.config (#7023)
* Mon Apr 23 2001 - kkaempf@suse.de
- fix isnil check in installation.ycp
- inst_sw_update: Changes for new dependencies
- add requirements for yast2-instsys package
- remove /var/lib/YaST2/run_suseconfig after SuSEconfig
- replace all isnil() calls
* Fri Apr 20 2001 - tom@suse.de
  X11 configuration:
- added nvidia warning
- added change warning popup
- cleaned sequence of dialogs
- streamlined code
- fixed bug 7028: now text login when X11 configuration is skipped
- restriction logic when selecting resolution, color depth, or refresh
  is still missing
* Fri Apr 20 2001 - kkaempf@suse.de
- prepare standalone handling of keyboard and timezone selection
* Fri Apr 20 2001 - kkaempf@suse.de
- show username only if given (#7082)
* Fri Apr 20 2001 - kkaempf@suse.de
- switch "START_PORTMAP" back to "yes", must be fixed in kernel 2.4 by linus
- Update: Deleting old packages removed.
* Fri Apr 20 2001 - kkaempf@suse.de
- write bios ids to lilo.conf only on an ide/scsi mix system
* Fri Apr 20 2001 - gs@suse.de
- show set pay in dialog Pay Selection and groups tags in Single Selection
- popup displaying obsolete package dependencies added
* Fri Apr 20 2001 - fehr@suse.de
- fix some problems with lvm configuration
* Fri Apr 20 2001 - kkaempf@suse.de
- drop SEARCHLIST from rc.config (#7063)
* Thu Apr 19 2001 - kkaempf@suse.de
- X11 configuration fixes
  module loading fix
* Wed Apr 18 2001 - kkaempf@suse.de
- re-create tmpdir in continue_mode
* Wed Apr 18 2001 - kkaempf@suse.de
- add ".ISO8859-15" to RC_LANG where appropriate
* Wed Apr 18 2001 - kkaempf@suse.de
- provide correct "vga" entry to lilo.conf
* Wed Apr 18 2001 - kkaempf@suse.de
- use WarningPopup in installation.ycp
* Wed Apr 18 2001 - kkaempf@suse.de
- fixed x11 fontpathes
* Wed Apr 18 2001 - kkaempf@suse.de
- fix filelist for yast2-instsys
* Wed Apr 18 2001 - kkaempf@suse.de
- define "current_video" for x11 setting
* Wed Apr 18 2001 - kkaempf@suse.de
- set "YAST_ASK" values in rc.config (#6261)
* Tue Apr 17 2001 - kkaempf@suse.de
- check for serial console when configuring x11
* Tue Apr 17 2001 - fehr@suse.de
- allow formatting of lvm logical volumes
* Tue Apr 17 2001 - kkaempf@suse.de
- fix "have_x11" handling
* Tue Apr 17 2001 - gs@suse.de
- show package groups when entering the dialog
* Tue Apr 17 2001 - kkaempf@suse.de
- "START_PORTMAP" in rc.config defaults to "no" now (#6270)
* Tue Apr 17 2001 - kkaempf@suse.de
- dont ask for mouse on serial console (#6030)
* Tue Apr 17 2001 - kkaempf@suse.de
- dont ask for keyboard on serial console (#5939)
* Tue Apr 17 2001 - kkaempf@suse.de
- set linuxrc override language code from CD (#5249)
* Tue Apr 17 2001 - mike@suse.de
- new FEATURE: LVM setup is now possible
* Fri Apr 13 2001 - kendy@suse.cz
- inst_hw_config rewritten to use ui/summary.ycp include and
  to ask modules about the configured devices (or about the
  devices to configure) using calls of <module>_summary.ycp.
* Thu Apr 12 2001 - tom@suse.de
- X11 configuration
  Complete redesign involving heavy changes (mostly new code).
  o Split up functionality into modules and functions.
  o Providing testsuites for functions (nearly all of them still to be done)
  o Ask user if he wants to skip X11 configuration if "No X11" is selected
  in monitor selection dialog.
  o Now reading X11 font pathes dynamically (hardcoded up to now).
  o Better logic presenting resolution-colordepth-frequency dependencies.
  o Better logic providing the settings suggestion that user may accept.
  o New decision workflow in GUI (one more dialog).
  o Better handling of monitor refresh rate (user can choose one).
  o DPMS now supported in the XF86Config file to be created.
  o Now it is possible to go back to the original YaST2 monitor data base after
  having read a Microsoft compatible drivers disk.
  o Now a monitor that could be probed but is not known in the YaST2 monitor
  data base is automatically added to this data base (volatile, not in the
  data base file) if the monitor selection dialog is entered.
* Thu Apr 12 2001 - gs@suse.de
- respect new package dependencies for Single Package Selection
* Thu Apr 12 2001 - kkaempf@suse.de
- provide menuentry for vendor.ycp
* Thu Apr 12 2001 - sh@suse.de
- Migration to yast2-lib-wizard: Get rid of duplicate code,
  replace old style popups with new ones from common_popups.ycp
- Fixed lots of check_ycp complaints
* Thu Apr 12 2001 - kkaempf@suse.de
- adapt to FHS, /floppy, /cdrom, and /zip are below /media now
  provide compatibility symlinks
* Thu Apr 12 2001 - kkaempf@suse.de
- dont pass user_settings to SelectConsoleFont
* Tue Apr 10 2001 - kkaempf@suse.de
- do swap calculation based on detected main memory
* Fri Apr 06 2001 - kkaempf@suse.de
- ensure proper libGL link in YaST2.firstboot (# 6916)
* Thu Apr 05 2001 - kkaempf@suse.de
- kernel rpm rename, drop "_24" suffix
* Wed Apr 04 2001 - kkaempf@suse.de
- revert "switch_kernel" check, 2.4 is default now
* Wed Apr 04 2001 - kkaempf@suse.de
- separate show log defines from inst_suseconfig.ycp
* Tue Apr 03 2001 - kkaempf@suse.de
- add "yast2-agent-rcconfig" to Requires
* Tue Apr 03 2001 - kkaempf@suse.de
- remove need for global variables in installation.ycp
* Tue Apr 03 2001 - arvin@suse.de
- adapt calls to makefs-agent to new syntax
* Fri Mar 30 2001 - arvin@suse.de
- filelist correction for "yast2-instsys"
* Tue Mar 27 2001 - kkaempf@suse.de
- recode passwd comment to local encoding (#3798)
* Tue Mar 27 2001 - kkaempf@suse.de
- filelist correction for "yast2-instsys"
* Mon Mar 26 2001 - kkaempf@suse.de
- mark global defines as such
- require "yast2-core-pkginfo"
* Thu Mar 22 2001 - kkaempf@suse.de
- first round of check_ycp adaptions
* Thu Mar 22 2001 - kkaempf@suse.de
- merge 7.1 branch with CVS head
* Wed Mar 21 2001 - kkaempf@suse.de
- remove all "...|any" declarations
* Wed Mar 21 2001 - kkaempf@suse.de
- sub-package "yast2-instsys" for easier instsys creation.
* Thu Mar 15 2001 - mfabian@suse.de
- change ja_JP : "english" to ja_JP : "japanese" in lang2yast1.ycp
  YaST1 doesn't know "japanese" but this entry is also used for
  the package selection in YaST2.
* Fri Mar 09 2001 - kkaempf@suse.de
- recognize firewall cd
* Thu Mar 08 2001 - kkaempf@suse.de
- clean up neededforbuild
  add yast2-base, -core, and -agents to Requires
* Thu Mar 08 2001 - kkaempf@suse.de
- dont show "save to floppy" if no floppy present (#6634)
* Tue Mar 06 2001 - kkaempf@suse.de
- check for partition table overflow on BSD disks (#6614)
* Mon Mar 05 2001 - kkaempf@suse.de
- recognize arch_alpha during kernel selection (#6581)
- no kernel selection on IA64 (#6597)
* Mon Mar 05 2001 - kkaempf@suse.de
- compute last used partition for BSD partitions (# 6580)
* Tue Feb 27 2001 - gs@suse.de
- ppc_fix: eject CD works also if there are several CD devices
  (module package_utils.ycp)
* Fri Feb 23 2001 - mike@suse.de
- ppc_fix: more than 9 pdisk partitions, format hfs partition
* Fri Feb 23 2001 - mfabian@suse.de
- gs@suse.de fixed the syntax error I introduced in
  inst_finish.ycp. Sorry.
- powerpc kernel selection by gs@suse.de
* Fri Feb 23 2001 - kukuk@suse.de
- Reset kernel_is list for sparc64 and PPC [Bug #6489]
* Thu Feb 22 2001 - mfabian@suse.de
- fix from ms@suse.de:
  update fine tune scripts to work with the new
  saxtools package ( start xbound as background process )
* Thu Feb 22 2001 - mfabian@suse.de
- add entries for Korean and Japanese to lang2yast1.ycp
- workaround for Japanese: set RC_LANG. See also bug 5712.
* Wed Feb 21 2001 - snwint@suse.de
- remove /var/X11R6/bin/X link in YaST2.start
* Wed Feb 21 2001 - snwint@suse.de
- remove /var/X11R6/bin/X link in YaST2.start
* Wed Feb 21 2001 - snwint@suse.de
- accidentally removed x11 detection in YaST2.start (ppc only); fixed
* Wed Feb 21 2001 - kkaempf@suse.de
- only check lba_support on i386 (bug #6341)
* Tue Feb 20 2001 - snwint@suse.de
- accidentally removed x11 detection in YaST2.start (ppc only); fixed
* Mon Feb 19 2001 - kkaempf@suse.de
- dont refer to exact kernel version (bug #6403)
- treat primary partitions in BSD and FAT alike (bug #6394)
* Sat Feb 17 2001 - kukuk@suse.de
- Switch for all Sun Framebuffer driver from XFree86 4.0.2 into
  the sunfb module.
- dosilo: Rename label "linux.suse" into "suse"
* Wed Feb 14 2001 - snwint@suse.de
- no braille detection on ppc
* Fri Feb 09 2001 - sh@suse.de
- Re-imported monitor DB - now includes some more Sun monitors
* Wed Feb 07 2001 - sh@suse.de
- Fix for bug #6263: Language selection box loses keyboard focus
  Set focus to the selbox, now simply hitting "Return" doesn't
  proceed to the next dialog any more.
* Wed Feb 07 2001 - kkaempf@suse.de
- honor answer for "show logging"
* Wed Feb 07 2001 - kkaempf@suse.de
- remove USE_KERNEL_NFSD from rc.config (bug #6262)
* Tue Feb 06 2001 - kkaempf@suse.de
- fix partition check for BSD partitions (bug #6249)
* Tue Feb 06 2001 - kkaempf@suse.de
- fix kernel installation (2.2 and 2.4) for Sparc64 and PPC
* Sun Feb 04 2001 - kukuk@suse.de
- custom_part_check_generated.ycp: Fix second check for broken
  PROM version (1GB limit), too
* Sun Feb 04 2001 - kukuk@suse.de
- dosilo: add workaround for new mk_initrd return codes
* Fri Feb 02 2001 - kkaempf@suse.de
- added "lt_LT" : "Lithuania" to language selection
* Tue Jan 30 2001 - kkaempf@suse.de
- support live_eval_mode for LiveCD
* Mon Jan 29 2001 - kkaempf@suse.de
- fix /dev/NULL -> /dev/null (bug 6182)
- update sparc-kernel (schubi)
- call silo (schubi)
* Mon Jan 29 2001 - kkaempf@suse.de
- drop "id" (indonesia) from language list
* Mon Jan 29 2001 - kukuk@suse.de
- keyboard_raw.ycp: Fix dutch type5 keyboard description
* Sat Jan 27 2001 - kukuk@suse.de
- dosilo: Make it useable after installation
* Fri Jan 26 2001 - kkaempf@suse.de
- removed unneeded unimap settings for ISO-2 console fonts
- added ca_ES and gl_ES to consolefonts
* Thu Jan 25 2001 - mike@suse.de
- menulogo.png deleted, not needed anymore
* Wed Jan 24 2001 - kkaempf@suse.de
- enabled "ca_ES" (catalan) in language selection
* Tue Jan 23 2001 - kkaempf@suse.de
- dont check for graphics or mouse if serial console is active
* Tue Jan 23 2001 - kkaempf@suse.de
- write swap partition to global data
* Tue Jan 23 2001 - kkaempf@suse.de
- write proper data to /etc/yast.inf so linuxrc can swapoff
  and set language correctly
* Tue Jan 23 2001 - kkaempf@suse.de
- rename of update.tgz to update.tar.gz
* Mon Jan 22 2001 - kkaempf@suse.de
- fix for initial console message in YaST2.firstboot
* Mon Jan 22 2001 - kkaempf@suse.de
- pass root device to mk_initrd in chroot environment
* Mon Jan 22 2001 - mike@suse.de
- dumpe2fs with option -h to avoid enormous logging
* Mon Jan 22 2001 - sh@suse.de
- Re-imported monitor DB:
  10%% higher sync range for LCDs to compensate for -10%
  safety decrease during X11 config
  + some new monitors
* Mon Jan 22 2001 - sh@suse.de
- V2.1.148
- New title graphics from <wimer@suse.de> that no longer are
  cut off to the right
* Sun Jan 21 2001 - schubi@suse.de
- update from 6.2 works
* Sun Jan 21 2001 - schubi@suse.de
- logging of dumpe2fs reduced, is important for update <6.3
* Sun Jan 21 2001 - schubi@suse.de
- new menu position (new logo) in lilo
* Sun Jan 21 2001 - schubi@suse.de
- Update although there are packages which need a manual selection
* Sat Jan 20 2001 - schubi@suse.de
- Warning to update manuell packages
- Made softboot while update
* Fri Jan 19 2001 - tom@suse.de
- Fixed bug #6012: Now restoring original partition state on `back
* Fri Jan 19 2001 - kukuk@suse.de
- Don't set defaultdepth in the moment for Sun Framebuffer
* Fri Jan 19 2001 - sh@suse.de
- V2.1.141
  updated monitor DB (fix for bug #5177: display DB outdated)
* Fri Jan 19 2001 - mike@suse.de
- bug fix 5016: custom partitioner sees a other OS
* Fri Jan 19 2001 - kkaempf@suse.de
- after update:
  properly merge initrd modules from linuxrc and hwinfo
  properly merge modules.conf settings
  properly set USB
  Changing installed kernels which are no longer supported.
  Writing Lilo on floppy while update and retry if an error
  has been occured
* Fri Jan 19 2001 - kkaempf@suse.de
- re-construct INITRD_MODULES after update to match current hardware
  and kernel.
* Fri Jan 19 2001 - kkaempf@suse.de
- write all data needed for re-start at end of first update
- properly initialize initrd modules at startup
- Bugfix 5880: shrinkable in table-widget removed ( inst_sw_single)
* Fri Jan 19 2001 - mike@suse.de
- bugfix 5857: Layout logging of installation
  bugfix 5933: Save and exit-button changed
  message in changeCD changed
* Thu Jan 18 2001 - kkaempf@suse.de
- dont configure X11 with serial console (bug 5951)
* Thu Jan 18 2001 - kkaempf@suse.de
- enable "korean"
- create extended part as "Win Ext LBA" if it starts above cyl 1024
* Thu Jan 18 2001 - tom@suse.de
- added functionality for emulate 3 buttons (Bug #5802)
* Thu Jan 18 2001 - sh@suse.de
- V2.1.131
- Added new column for encoding (ISO-8859-1 etc.) in consolefonts
  and changed the call to SetConsole() accordingly
* Thu Jan 18 2001 - kkaempf@suse.de
- alternative bugfix 5579 to write correct /var/lib/YaST/install.inf
- pass installMap correctly to inst_rpmcopy
* Thu Jan 18 2001 - kkaempf@suse.de
- read correct image to determine kernel version
* Wed Jan 17 2001 - kkaempf@suse.de
- fully implemented driver update feature
- fully implemented vendor driver CD feature with
  fallback to floppy
* Wed Jan 17 2001 - kkaempf@suse.de
- fix chroot call for driver update script (bug #5810)
* Wed Jan 17 2001 - schubi@suse.de
- not mounting partitions with the option noauto while update
* Tue Jan 16 2001 - kkaempf@suse.de
- correctly detect driver update (bug 5799)
* Tue Jan 16 2001 - kkaempf@suse.de
- replace "/mnt" to "/" instead of "" (bug 5512)
- fix syntax error in keymap2yast1 (bug 5782)
* Tue Jan 16 2001 - kkaempf@suse.de
- start/stop usbmgr before probing for printers
* Tue Jan 16 2001 - schubi@suse.de
- Checking dependencies and disk space while UPGRADE
* Mon Jan 15 2001 - schubi@suse.de
- calling GetInstSource at the beginning of the update
* Mon Jan 15 2001 - snwint@suse.de
- add memtest86 to lilo.conf
* Mon Jan 15 2001 - kkaempf@suse.de
- leave RC_LANG alone (bug 5712)
* Mon Jan 15 2001 - snwint@suse.de
- fixed Screen[vga] bug
* Mon Jan 15 2001 - sh@suse.de
- Fixed bug #5114: Title graphics too small
  Changed title graphics to much wider images (2000 pixels wide)
* Sun Jan 14 2001 - tom@suse.de
- Added comment as suggested by ke in bug #5484.
* Sun Jan 14 2001 - tom@suse.de
- Fixed Bug 5638: NVIDIA Warning now appears when enabling 3D acceleration.
* Sun Jan 14 2001 - kkaempf@suse.de
- show partitions being created or formatted (bug #5649)
* Sat Jan 13 2001 - kkaempf@suse.de
- write mtab to target (bug 5512)
- add comment for translators to log popups
* Sat Jan 13 2001 - kkaempf@suse.de
- correctly re-read installMap in continue_mode
* Sat Jan 13 2001 - kkaempf@suse.de
- disable kernel modprobe (bug #5639)
* Sat Jan 13 2001 - schubi@suse.de
- Calling SuSEConfig
- Writing installMap to user_settings
* Fri Jan 12 2001 - mike@suse.de
-  maximum of hda and sda devices changed
  changed message of error popup
* Fri Jan 12 2001 - sh@suse.de
- display only the first device of any kind (printer, sound card,
  modem/isdn card/net card) in inst_ask_config
* Fri Jan 12 2001 - kkaempf@suse.de
- dont leave LILO screen empty (bug 4942)
- user popup "not enough disk space " changed ( schubi )
* Fri Jan 12 2001 - kkaempf@suse.de
- pass full path to vendor install script
* Fri Jan 12 2001 - kkaempf@suse.de
- dont load modules in "manual" mode (bug #5575)
* Fri Jan 12 2001 - kukuk@suse.de
- inst_sunfb.ycp: Write glx modules into filelist for 3D fb cards
- Aborting installation after disk-space exhausted (schubi)
* Fri Jan 12 2001 - smueller@suse.de
- removed debug logging in autoinst modules
* Fri Jan 12 2001 - kkaempf@suse.de
- check for existance of kernels before access
* Fri Jan 12 2001 - kkaempf@suse.de
- provide check.boot in filelist
* Fri Jan 12 2001 - kkaempf@suse.de
- fix write of /var/lib/YaST/install.inf
* Thu Jan 11 2001 - kkaempf@suse.de
- implemented full functionality for vendor.ycp (vendor driver CD)
* Thu Jan 11 2001 - tom@suse.de
- Corrected wrong sync values in X configuration (#5539)
* Thu Jan 11 2001 - kkaempf@suse.de
- add vendor.ycp to filelist
- Installation from partition fixed Bugfix 5480
* Thu Jan 11 2001 - smueller@suse.de
- remember settings during autoinstall process
- user-logging added for non installed packages ( BUG ID 5417)
* Thu Jan 11 2001 - kukuk@suse.de
- YaST2.start: Sync mouse protocoll with template, change keyboard
  section to autoprobed results, too.
* Thu Jan 11 2001 - kkaempf@suse.de
- dont always copy kernel headers in inst_suseconfig (bug #5503)
* Thu Jan 11 2001 - kkaempf@suse.de
- use yast2's copy of install.inf in package_utils
* Thu Jan 11 2001 - kkaempf@suse.de
- write install.inf to installed system (for later use)
* Wed Jan 10 2001 - tom@suse.de
- Fixed bug #5461
  Fixed bug #5411 (schubi)
* Wed Jan 10 2001 - kkaempf@suse.de
- bugfix #5453
- bugfixes in ChangeCD ( schubi )
* Wed Jan 10 2001 - schubi@suse.de
- bugfix in spec-file
* Wed Jan 10 2001 - kukuk@suse.de
- inst_sunfb.ycp: Add XFree86 4.0 support for SPARC framebuffer
* Wed Jan 10 2001 - tom@suse.de
- switch off 32 bpp for XFree 4 config.
  correct partition handling in the "delete Windows" case
* Wed Jan 10 2001 - schubi@suse.de
- Booting from floppy with grafical-lilo works after update the
  system.
* Wed Jan 10 2001 - kukuk@suse.de
- dosilo: Use /proc/mounts instead of mount
- inst_config_x11.ycp: Add more Sun framebuffer cards for inst_sunfb
* Wed Jan 10 2001 - smueller@suse.de
- implemented disabling of SCR with dummyagent during config_mode
* Wed Jan 10 2001 - kkaempf@suse.de
- pass lba capability to lilo (bug #5418)
* Tue Jan 09 2001 - kkaempf@suse.de
- dont force usbcore on sparc (bug #5368)
* Tue Jan 09 2001 - kkaempf@suse.de
- write dummy install.inf before calling PKGINFO (bug 5361)
* Tue Jan 09 2001 - kkaempf@suse.de
- add usb mouse to manual selection list (bug #5355)
* Tue Jan 09 2001 - kkaempf@suse.de
- honor xkblayout if present (bug #5341)
* Tue Jan 09 2001 - kkaempf@suse.de
- do a hard reboot if user de-selects kernel 2.2 (bug #5344)
* Tue Jan 09 2001 - tom@suse.de
- replaced dosfsck with parted, added scandisk hint in resizer module
* Mon Jan 08 2001 - snwint@suse.de
- fixed (hopefully) quoting while reading install.inf
* Mon Jan 08 2001 - kkaempf@suse.de
- remove X11 link before init, yast2.firstboot will do this
* Mon Jan 08 2001 - snwint@suse.de
- set lilo timeout to 8s
* Mon Jan 08 2001 - kkaempf@suse.de
- dont use xfree86 3.x vga16 or fbdev server any more (bug 5214)
* Sun Jan 07 2001 - schubi@suse.de
- update from NFS with CD1,CD2...directories
* Sun Jan 07 2001 - tom@suse.de
- added nvidia warning in inst_config_x11.ycp
* Sun Jan 07 2001 - schubi@suse.de
- Rebooting after CD1 while updating the system
* Sat Jan 06 2001 - kkaempf@suse.de
- fill vendor CD update module with life
* Sat Jan 06 2001 - kkaempf@suse.de
- add missing "/boot" to path (bug 5268)
* Sat Jan 06 2001 - kkaempf@suse.de
- patch y2xr40 for FireGL 2/3
* Sat Jan 06 2001 - kkaempf@suse.de
- start X with PseudoColor if VGA(16) (bug #5243)
* Sat Jan 06 2001 - kkaempf@suse.de
- recognize request for 3DLabs server at startup
* Fri Jan 05 2001 - tom@suse.de
- resizer now handles extended partitions
* Thu Jan 04 2001 - kkaempf@suse.de
- treat part 3 on BSD as extended (e.g. spanning multiple partitions)
* Thu Jan 04 2001 - kkaempf@suse.de
- implement driver update functionality
* Thu Jan 04 2001 - schubi@suse.de
- Bugfix in installPackageInformation ( rm -F )
* Wed Jan 03 2001 - mike@suse.de
- bugfix Bug 2503 4390 detect used_fs
* Wed Jan 03 2001 - kkaempf@suse.de
- fix architecture variable handling
* Wed Jan 03 2001 - kkaempf@suse.de
- dont call xhost or su in /sbin/yast2, let susewm handle this
* Wed Jan 03 2001 - kkaempf@suse.de
- dont explain "default+office" on non-i386
* Tue Jan 02 2001 - tom@suse.de
- fixed bugs #4376 and #4849
* Tue Jan 02 2001 - schubi@suse.de
- call RPM-rebuild with Shell
* Tue Jan 02 2001 - kkaempf@suse.de
- fix lba support check
* Fri Dec 22 2000 - schubi@suse.de
- Bug fixes in kernel-installation
* Wed Dec 20 2000 - tom@suse.de
- corrected X11-3D setup
* Wed Dec 20 2000 - sh@suse.de
- Moved hw_setup_launcher.ycp from include to include/ui
- V2.1.58
* Wed Dec 20 2000 - kkaempf@suse.de
- add include/ui to filelist
* Tue Dec 19 2000 - schubi@suse.de
- kill pkginfo-server removed
* Tue Dec 19 2000 - kkaempf@suse.de
- dont resize Win2000 partitions, let M$ get their act together first
* Mon Dec 18 2000 - kkaempf@suse.de
- better determine version of installed kernel image
* Mon Dec 18 2000 - mike@suse.de
- Fixed Bug 4769
  reiserfs on /boot -> no warning
  check if bios supports lba -> no warning if boot-partition is >1024 cyl
* Sat Dec 16 2000 - schubi@suse.de
-  killing pkginfo while installation
  saving package-description into system
  bugixes in ChangeCD
  installation-logging for user improved
* Fri Dec 15 2000 - kkaempf@suse.de
- prepare for loading vendor-specific driver CDs
* Fri Dec 15 2000 - kkaempf@suse.de
- tell the partitioner about ia64
* Fri Dec 15 2000 - kkaempf@suse.de
- dont put usbdevs in /etc/fstab, usbmgr handles this now
* Thu Dec 14 2000 - kkaempf@suse.de
- usbdevfs is available for ppc now (bug #4694)
* Thu Dec 14 2000 - sh@suse.de
- Fixed bug #4633: Set keyboard focus in text field for package search
- Fixed bug #4632: Added popup for empty results for package search
- V2.1.48
* Thu Dec 14 2000 - kkaempf@suse.de
- activate /boot only if LILO is in MBR
* Wed Dec 13 2000 - schubi@suse.de
- runlevel switching removed, SuSEconfig handles this
* Wed Dec 13 2000 - kkaempf@suse.de
- correct path for kernel includes
* Wed Dec 13 2000 - kkaempf@suse.de
- mount ntfs partitions with umask=022
* Wed Dec 13 2000 - mike@suse.de
- yast2 now starts y2controlcenter
* Wed Dec 13 2000 - schubi@suse.de
- rpm-rebuild added
* Wed Dec 13 2000 - kkaempf@suse.de
- automatically use free space on disk only if it's enough
  for a default installation (w/o office)
* Wed Dec 13 2000 - kkaempf@suse.de
- create version correct include and depmods for all installed kernels
* Wed Dec 13 2000 - kkaempf@suse.de
- flush rc.config agent at end of x11 configuration
* Wed Dec 13 2000 - kkaempf@suse.de
- convert /sbin/init.d -> /etc/init.d in start scripts
* Tue Dec 12 2000 - kkaempf@suse.de
- enable VESA framebuffer in lilo if needed and system is capable
* Mon Dec 11 2000 - kkaempf@suse.de
- support Sun Type5/UK keyboard properly
* Mon Dec 11 2000 - mike@suse.de
- bugfix 4524 reiserfs partition now possible
* Mon Dec 11 2000 - kkaempf@suse.de
- force install usbcore to get usbdevfs
  run depmod for all installed kernels
  rm /etc/install.inf at end of continue_mode only
* Mon Dec 11 2000 - kkaempf@suse.de
- install kernel source configs for all installed kernels
* Sun Dec 10 2000 - schubi@suse.de
- update-mode in installation.ycp added
* Sun Dec 10 2000 - kkaempf@suse.de
- modprobe usbcore to mount usbdevfs
* Sun Dec 10 2000 - kkaempf@suse.de
- make appropriate mountpoints for cdrecorder, dvd, cdrom
  tell mk_lilo_conf about kernel 2.4 and initrd_24
* Sat Dec 09 2000 - kkaempf@suse.de
- adapt mk_lilo_conf to multiple kernels
* Sat Dec 09 2000 - kkaempf@suse.de
- activate kernel 2.4 installation
* Sat Dec 09 2000 - dan@suse.cz
- remove '/etc/install.inf' after inst_ask_config
* Fri Dec 08 2000 - mike@suse.de
- fixed bug in inst_custom test mode
* Fri Dec 08 2000 - arvin@suse.de
- fixed variable name in inst_ask_config.ycp
* Thu Dec 07 2000 - kkaempf@suse.de
- use () for each double-quote
  add "--enable-testsuite" to configure to do just this
  fix update mounts in respect to targetroot
* Thu Dec 07 2000 - kkaempf@suse.de
- fix typo in filename
* Thu Dec 07 2000 - kkaempf@suse.de
- fix mount calls in update
* Thu Dec 07 2000 - kkaempf@suse.de
- dont use double qouted symbols or term, use expressions
* Thu Dec 07 2000 - kkaempf@suse.de
- fix monitor selection
* Tue Dec 05 2000 - kkaempf@suse.de
- do graceful exit on resize errors
* Tue Dec 05 2000 - kkaempf@suse.de
- windows resizing enabled
* Mon Dec 04 2000 - kkaempf@suse.de
- gcc not needed, just gpp
  re-read settings in continue mode
  correct text for curses fallback
  adapt to splitted translation packages
* Mon Dec 04 2000 - kkaempf@suse.de
- strip auto_part_create to match requirements
* Sat Dec 02 2000 - kkaempf@suse.de
- move all UI related code for auto partitioner to auto_part_ui.ycp
* Sat Dec 02 2000 - kkaempf@suse.de
- split up inst_target_part to support testing and
  re-use code for partition resizer
* Fri Dec 01 2000 - arvin@suse.de
- If either the x server could not be started or the computer
  has to less memory, ncurses interface is started and a message
  is displayed to inform the user. (Fix for bug #4272)
* Thu Nov 30 2000 - arvin@suse.de
- unmount agent instsource after use
* Thu Nov 30 2000 - kkaempf@suse.de
- force flush of rc.config agent
* Wed Nov 29 2000 - kkaempf@suse.de
- respect data from setup/descr/info
* Tue Nov 28 2000 - kkaempf@suse.de
- adopt to fixed Y2_TARGET_ROOT handling of target agent
* Tue Nov 21 2000 - kkaempf@suse.de
- dont refer to k_laptop any more
* Mon Nov 20 2000 - kkaempf@suse.de
- make use of target agent
* Fri Nov 17 2000 - kkaempf@suse.de
- use proper agents
* Fri Nov 17 2000 - kkaempf@suse.de
- drop y2t_inst from requires
* Thu Nov 09 2000 - kkaempf@suse.de
- update workflow integrated
  general code cleanup
  workflow for product cd integrated
* Fri Nov 03 2000 - kkaempf@suse.de
- merge with ppc and s390 branch
* Mon Oct 23 2000 - kkaempf@suse.de
- disable .dumpto calls in inst_finish
  version 2.0.71
* Thu Oct 19 2000 - mike@suse.de
- s390 fixes
  version 2.0.77
* Wed Oct 18 2000 - choeger@suse.de
- added product cd detection
* Wed Oct 18 2000 - choeger@suse.de
- changed the color of the lilo menu to green
* Wed Oct 18 2000 - kkaempf@suse.de
- allow back from imap to lan at end of installation
  version 2.0.70
* Fri Oct 13 2000 - kkaempf@suse.de
- also recognize /dev/cciss/... as raid device
  same in mk_lilo_conf
  version 2.0.69
* Thu Oct 05 2000 - mike@suse.de
- fixed Makefile
  version 2.0.76
* Thu Oct 05 2000 - mike@suse.de
- s390 support
  version 2.0.75
* Thu Sep 28 2000 - choeger@suse.de
- workflow for imap server cd implemented
  version 2.0.68
* Tue Sep 26 2000 - kkaempf@suse.de
- add '-p' to all mkdir calls
- fix alpha custom partition
- probe floppies for ZIP (IDE Zips report as floppy, not disk)
  version 2.0.74
* Fri Sep 22 2000 - mike@suse.de
- ppc: limit boot region to 4MB if possible
  version 2.0.73
* Fri Sep 08 2000 - mike@suse.de
- ppc fixes (no msdos floppy needed, warning if on prep/chrp /boot
  is missing, first root login string beautified)
  version 2.0.72
* Mon Aug 28 2000 - kkaempf@suse.de
- create mountpoints for installation with mkdir -p
  usbdevfs is available for ppc now
  version 2.0.71
* Wed Aug 23 2000 - kkaempf@suse.de
- new keyboard defines for ppc
  special yast1 keyboard handling for ppc/macs
  version 2.0.70
* Tue Aug 22 2000 - kkaempf@suse.de
- ignore more Apple partition names
  version 2.0.69
* Thu Aug 17 2000 - mike@suse.de
- check for a corrupt partition table (partition magic 5.0 can corrupt the
  partition tabe)
  version 2.0.67
* Tue Aug 08 2000 - mike@suse.de
- enhancement fpr SPARC AXP and PPC
  version 2.0.68
* Mon Aug 07 2000 - kkaempf@suse.de
- set GMT to "-u" on sparc
  check for dos/windows/nt partitions on i386 architectures only
  version 2.0.67
* Wed Aug 02 2000 - kkaempf@suse.de
- remove /etc/install.inf at end of installation
  version 2.0.66
* Fri Jul 28 2000 - kkaempf@suse.de
- default to 640x480 if DDC string does not contain frequency values
  dont select highest monitor resol, most monitors lie about this
  version 2.0.65
* Wed Jul 26 2000 - kkaempf@suse.de
- fix x11 keyboard handling for sparc
  fix YaST2 startup for XFree86 4.0
  require y2t_inst in specfile
  clean up /tmp
  version 2.0.64
* Tue Jul 25 2000 - kkaempf@suse.de
- call package module in live_eval_mode to get x11 server data
  set have_x11=true in live_eval_mode
  version 2.0.63
* Mon Jul 24 2000 - kkaempf@suse.de
- bumped to 2.0.62 due to checkin clash
* Mon Jul 24 2000 - kkaempf@suse.de
- always allow 640x480 as selectable resolution
  use unicode font at runtime
  pass module name to "su -c"
  better -probeonly parsing from x11 server
  version 2.0.61
* Mon Jul 24 2000 - kkaempf@suse.de
- always close each opened dialog (bug 3611)
  version 2.0.60
* Fri Jul 21 2000 - gs@suse.de
- added portuguese, delete brasil
  version 2.0.59
* Thu Jul 20 2000 - kkaempf@suse.de
- enter all supported video modes to xf86config
  reboot if VGA16 is selected (clash with fbdev)
  check for x server alias existance befor using
  version 2.0.58
* Wed Jul 19 2000 - gs@suse.de
- condition of warnig popup in package post install mode changed
  version 2.0.57
* Tue Jul 18 2000 - kkaempf@suse.de
- take VGA16 as default X11 server for unknown graphic cards
  version 2.0.56
* Tue Jul 18 2000 - kkaempf@suse.de
- fix x11 server selection bug (3d/non-3d)
  version 2.0.55
* Mon Jul 17 2000 - kkaempf@suse.de
- restrict vsync to 100khz
  correctly construct video data
  version 2.0.54
* Mon Jul 17 2000 - kkaempf@suse.de
- sparc port: SILO workflow added
  version 2.0.53
* Mon Jul 17 2000 - kkaempf@suse.de
- only mount floppy if present (bug #3410)
  version 2.0.52
* Mon Jul 17 2000 - kkaempf@suse.de
- always install vga16 and fbdev
  force reboot if laptop kernel was installed
  version 2.0.51
* Sun Jul 16 2000 - kkaempf@suse.de
- pass x11 options to isax
  fix czech keyboard
  allow X4 fbdev if the user asked for it
  version 2.0.50
* Sat Jul 15 2000 - kkaempf@suse.de
- remove bogus help, fix typos
  version 2.0.49
* Sat Jul 15 2000 - kkaempf@suse.de
- never use nv/nvidia
  never use 4.0 fbdev
  version 2.0.48
* Fri Jul 14 2000 - kkaempf@suse.de
- fixed custom installer
  decrease space safety threshold
  version 2.0.47
* Fri Jul 14 2000 - kkaempf@suse.de
- fixed linear lilo bug
  fixed passing bios drivecodes to lilo
  version 2.0.46
* Fri Jul 14 2000 - tom@suse.de
- added y2merge.pl
  version 2.0.45
* Fri Jul 14 2000 - kkaempf@suse.de
- added client component password (bug #3403)
  version 2.0.44
* Thu Jul 13 2000 - kkaempf@suse.de
- fix voodoo handling
  fix nfs install
  version 2.0.43
* Thu Jul 13 2000 - kkaempf@suse.de
- remove mk_initrd, now in aaa_base
  version 2.0.42
* Wed Jul 12 2000 - kkaempf@suse.de
- remove cmdline copy (libhd kludge)
* Wed Jul 12 2000 - kkaempf@suse.de
- fix for free space immediately before empty extended part.
  version 2.0.41
* Wed Jul 12 2000 - kkaempf@suse.de
- special handling for voodoo1/2 add-on cards
  version 2.0.40
* Wed Jul 12 2000 - kkaempf@suse.de
- sparc patches
  version 2.0.39
* Tue Jul 11 2000 - kkaempf@suse.de
- fix space requirements calculation (new du.dir)
  remember if hard-boot is needed (smp, pcmcia)
  version 2.0.38
* Tue Jul 11 2000 - kkaempf@suse.de
- fix X11 start bug
  version 2.0.37
* Tue Jul 11 2000 - kkaempf@suse.de
- restart network after hard reboot
  version 2.0.36
* Tue Jul 11 2000 - kkaempf@suse.de
- dont offer zip drives for installation
  add /zip mountpoint to fstab
  version 2.0.35
* Tue Jul 11 2000 - kkaempf@suse.de
- re-read partitions after custom partitioning
  version 2.0.34
* Tue Jul 11 2000 - kkaempf@suse.de
- fix x11 start
  eject cdroms on ppc
  version 2.0.33
* Mon Jul 10 2000 - kkaempf@suse.de
- fix raid support
  version 2.0.32
* Fri Jul 07 2000 - @suse.de
- fix pdisk read for ppc
  fix parport ZIP init
  version 2.0.31
* Fri Jul 07 2000 - kkaempf@suse.de
- fix system probing for PPC
  version 2.0.29
* Fri Jul 07 2000 - kkaempf@suse.de
- fix NFS install from sub-dirs per CD
  version 2.0.28
* Wed Jul 05 2000 - kkaempf@suse.de
- fix dolilo activate partition (snwint@suse.de)
  version 2.0.27
* Tue Jul 04 2000 - kkaempf@suse.de
- support new dolilo options
  version 2.0.26
* Tue Jul 04 2000 - kkaempf@suse.de
- allow module as argument to "yast2" script
  activate /boot partition in mk_lilo_conf
  version 2.0.25
* Tue Jul 04 2000 - kkaempf@suse.de
- handle systems without mouse correctly
  version 2.0.24
* Mon Jul 03 2000 - kkaempf@suse.de
- dont Include() translatable strings
  version 2.0.23
* Thu Jun 29 2000 - kkaempf@suse.de
- remove noarch
  fixed copying of XF86Config
  version 2.0.22
* Wed Jun 28 2000 - kkaempf@suse.de
- correct monitor database to reflect documentation
  version 2.0.21
* Wed Jun 28 2000 - kkaempf@suse.de
- remove FROM_HEADER from sendmail.rc.config
* Wed Jun 28 2000 - kkaempf@suse.de
- fix sync range handling, decrease max values by 10%
  version 2.0.19
* Wed Jun 28 2000 - kkaempf@suse.de
- added comments and sparc support to keyboard_raw.ycp
  version 2.0.18
* Wed Jun 28 2000 - kkaempf@suse.de
- fixed wrong handling of xkbdprotocol
* Wed Jun 28 2000 - kkaempf@suse.de
- add x11 config setup tools for XFree86 4.0
  version 2.0.17
* Wed Jun 28 2000 - kkaempf@suse.de
- dont change consolefont for blinux
  version 2.0.16
* Wed Jun 28 2000 - kkaempf@suse.de
- fix monitor probing
* Wed Jun 28 2000 - kkaempf@suse.de
- add blinux support
  version 2.0.15
* Wed Jun 28 2000 - kkaempf@suse.de
- select and install correct kernel for sun4u architecture
* Wed Jun 28 2000 - kkaempf@suse.de
- fixed XFree86 4.0 startup to prevent sig11
  version 2.0.14
* Wed Jun 28 2000 - kkaempf@suse.de
- new XFree86 4.0, re-enable SetLanguage and SetKeyboard
  version 2.0.13
* Mon Jun 26 2000 - kkaempf@suse.de
- new title graphics
  version 2.0.12
* Mon Jun 19 2000 - kkaempf@suse.de
- correct xf86config
  use binaries from saxtools package
  version 2.0.11
* Fri Jun 16 2000 - kkaempf@suse.de
- make symlink for /usr/X11R6/bin/X (not in xf86 package any more)
  version 2.0.10
* Fri Jun 16 2000 - kkaempf@suse.de
- back out workarounds for aaa_base bugs
  version 2.0.9
* Fri Jun 09 2000 - kkaempf@suse.de
- start using ag_shell and Include()
  version 2.0.8
* Fri Jun 09 2000 - kkaempf@suse.de
- .probe adaptions, no more "byclass" probing
  corrected inst_ask_config
  version 2.0.7
* Thu Jun 08 2000 - kkaempf@suse.de
- scripts fixed for XFree86 4.0
  SetLanguage disabled for continue_mode
  version 2.0.6
* Thu Jun 08 2000 - kkaempf@suse.de
- set LD_LIBRARY_PATH
  version 2.0.5
* Thu Jun 08 2000 - kkaempf@suse.de
- fixed driver lookup
  added initrd scripts
  version 2.0.4
* Thu Jun 08 2000 - kkaempf@suse.de
- added dolilo
  version 2.0.3
* Wed Jun 07 2000 - kkaempf@suse.de
- .ycp are not executable
  use XFree86 3.3.x on startup
* Tue Jun 06 2000 - kkaempf@suse.de
- syntax change for makefs/makereiserfs/packager clients
* Wed May 31 2000 - kkaempf@suse.de
- allow for optional translation of timezone list
* Tue May 30 2000 - kkaempf@suse.de
- allow for optional translation of keyboard and mouse list
* Thu May 25 2000 - kkaempf@suse.de
- merge ppc changes
  new abort dialogue
  adapt to new .probe paths
* Tue May 23 2000 - kkaempf@suse.de
- backport sparc changes from old yast2
* Fri May 19 2000 - kkaempf@suse.de
- add data files for x11 configuration
* Fri May 19 2000 - kkaempf@suse.de
- add start scripts for yast2
* Wed May 17 2000 - kkaempf@suse.de
- Initial version based on SuSE 6.4 (i386)
